#!/usr/bin/env python
# -*- coding: utf-8 -*-

###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# Outil de migration simplifié
#       
###########################################################################
from eolepack import eolepackdb
from eolepack import eolepacksvn
from eolepack import config
from os.path import join, isdir, isfile
from os import makedirs, chdir
from shutil import rmtree
from eolepack.cfgparser import Config
#from os import getcwd, chdir
from eolepack.config import EOLEPACK_FILE
import subprocess
#from optparse import OptionParser
#from eolepack.cfgparser import Config
#from eolepack.pack import pack
import sys

# "constantes"
SRC = "gutsy"
DST = "feisty"
DIST = "eole-2.0"
SVN_ROOT = config.SVN_ORIG_PATH

def run():
    "point d'entrée ligne de commande"
    #cwd = getcwd()
    #config = Config(EOLEPACK_FILE)
    #options = parse_options(config.get_distributions())
    # la fonction prend les mêmes options que la ligne de commande
    print 
    print "Migration des paquets de %s vers %s" % (SRC, DST)
    print "Distribution de destination : %s" % (DIST)
    print
    nom = raw_input("Nom du paquet à migrer : ")
    # recherche du paquet dans la base
    infos = eolepackdb.get_eole_packages_version(dist_ubuntu=SRC, name=nom)
    if not infos:
        sys.exit("""Paquet "%s" inconnu !""" % nom)
    if len(infos) != 1:
        sys.exit("Réponse de la base de données invalide %s !" % str(infos))
    id_paquet = infos[0][0]
    version = infos[0][2]
    paquet = "%s-%s" % (nom, version)
    # vérification de l'inexistandce du paquet cible
    infos = eolepackdb.get_eole_packages_version(dist_ubuntu=DST, name=nom)
    if len(infos) != 0:
        sys.exit("Le paquet %s existe déjà pour %s : %s" % (nom, DST, str(infos)))
    # récupération de la configuration
    try:
        svn_path = eolepackdb.get_svn_path(id_paquet)
    except:
        sys.exit("Pas de configuration SVN pour le paquet n°%s !" % id_paquet)
    print
    print "* Migration du paquet %s : %s (%s) *" % (id_paquet, paquet, svn_path)
    print
    version_proposee = str(float(version)-0.1)
    new_version = raw_input("Nouvelle version du paquet %s [%s] : " % (nom, version_proposee))
    if new_version == "":
        new_version = version_proposee
    new_paquet = "%s-%s" % (nom, new_version)
    svn_propose = svn_path.replace(version, new_version)
    # 2.1 => 2.2 : suppression du repertoire outils
    #svn_propose = svn_propose.replace('outils', 'commun')
    new_svn_path = raw_input("Nouveau chemin SVN [%s] : " % svn_propose)
    if new_svn_path == "":
        new_svn_path = svn_propose
#    new_release = raw_input("Release de base pour le paquet %s [eole1] : " % new_paquet)
#    if new_release == "":
#        new_release = 'eole1'
#    ## Gestion du subversion ##
#    svn_tmp_path = SVN_ROOT
#    client = eolepacksvn.svnclient()
#    for svn_part in new_svn_path.split('/'):
#        svn_tmp_path = join(svn_tmp_path, svn_part)
#        try:
#            client.ls(svn_tmp_path)
#        except:            
#            print "Création de %s" % svn_tmp_path
#            client.mkdir(svn_tmp_path, "mkdir %s" % svn_tmp_path.replace("%s/" % SVN_ROOT, ''))
#    # récupération des sources
#    if not isdir(join("/tmp", "eolepack")):
#        makedirs(join("/tmp", "eolepack"))
#    if isdir(join("/tmp", "eolepack", "trunk")):
#        rmtree(join("/tmp", "eolepack", "trunk"))
#    print
#    print "Téléchargement de %s..." % join(SVN_ROOT, svn_path, 'trunk')
#    client.export(join(SVN_ROOT, svn_path, 'trunk'), join("/tmp", "eolepack", "trunk"))
#    chdir(join("/tmp", "eolepack", "trunk"))
#    if not isfile('debian/changelog'):
#        sys.exit("Fichier changelog non trouvé !")
#    # positionnement des variables d'environnement pour debchange
#    cfg = Config(EOLEPACK_FILE)
#    environ = {}
#    environ['DEBEMAIL'] = cfg.get_main_value('GLOBAL','DEBEMAIL')
#    environ['DEBFULLNAME'] = cfg.get_main_value('GLOBAL', 'DEBFULLNAME')
#    comment = "passage en %s" % DST
#    long_release = "%s-%s" % (new_version, new_release)
#    retcode = subprocess.call('echo "\n" | debchange -b --distribution="%s" -v %s "%s"' % (DIST, long_release, comment), shell=True, env=environ)
#    if retcode != 0:
#        sys.exit("Erreur lors de l'édition du changelog")
    #client.import_(join("/tmp", "eolepack", "trunk"), 
    #               join(SVN_ROOT, new_svn_path, 'trunk'), 
    #               "Import du projet %s" % new_paquet)
    new_id = eolepackdb.create_paquet(nom, new_version, new_svn_path, dist_ubuntu=DST)
    print
    print "Le paquet %s a été ajouté dans la base de données" % new_paquet
    print "avec l'identifiant %s" % str(new_id)
    print

if __name__ == "__main__":
	run()
