--
-- PostgreSQL database cluster dump
--

\connect postgres

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET escape_string_warning = 'off';

--
-- Roles
--

CREATE ROLE eole;
ALTER ROLE eole WITH SUPERUSER INHERIT CREATEROLE CREATEDB LOGIN PASSWORD 'md52f885b581e81bea4dfcc59c1db21a3c8';
CREATE ROLE ftpmaster;
ALTER ROLE ftpmaster WITH NOSUPERUSER INHERIT NOCREATEROLE NOCREATEDB NOLOGIN;
CREATE ROLE postgres;
ALTER ROLE postgres WITH SUPERUSER INHERIT CREATEROLE CREATEDB LOGIN PASSWORD 'md543b3ab3a770774c48298ddfcb9a50fed';






--
-- Database creation
--

CREATE DATABASE eole WITH TEMPLATE = template0 OWNER = eole ENCODING = 'UTF8';
CREATE DATABASE eolepack WITH TEMPLATE = template0 OWNER = eole ENCODING = 'UTF8';
CREATE DATABASE projectb WITH TEMPLATE = template0 OWNER = eole ENCODING = 'SQL_ASCII';
REVOKE ALL ON DATABASE template1 FROM PUBLIC;
REVOKE ALL ON DATABASE template1 FROM postgres;
GRANT ALL ON DATABASE template1 TO postgres;
GRANT CONNECT ON DATABASE template1 TO PUBLIC;


\connect eole

--
-- PostgreSQL database dump
--

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'Standard eole schema';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = true;

--
-- Name: composants; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE composants (
    nom character varying(60) NOT NULL,
    description text,
    responsable character varying(30),
    famille integer,
    dispo integer DEFAULT 1
);


ALTER TABLE public.composants OWNER TO eole;

--
-- Name: depends; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE depends (
    composant character varying(60) NOT NULL,
    depends character varying(60) NOT NULL,
    version character varying,
    revision integer
);


ALTER TABLE public.depends OWNER TO eole;

--
-- Name: famille; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE famille (
    id integer NOT NULL,
    libelle character varying(100)
);


ALTER TABLE public.famille OWNER TO eole;

--
-- Name: famille_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE famille_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.famille_id_seq OWNER TO eole;

--
-- Name: famille_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE famille_id_seq OWNED BY famille.id;


--
-- Name: famille_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('famille_id_seq', 1, false);


--
-- Name: modules; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE modules (
    id integer NOT NULL,
    nom character varying(60),
    description text,
    responsable character varying(30)
);


ALTER TABLE public.modules OWNER TO eole;

--
-- Name: modules_composants; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE modules_composants (
    id_modules integer NOT NULL,
    nom_composants character varying(30) NOT NULL,
    status integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.modules_composants OWNER TO eole;

--
-- Name: modules_composants_id_modules_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE modules_composants_id_modules_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.modules_composants_id_modules_seq OWNER TO eole;

--
-- Name: modules_composants_id_modules_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE modules_composants_id_modules_seq OWNED BY modules_composants.id_modules;


--
-- Name: modules_composants_id_modules_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('modules_composants_id_modules_seq', 1, false);


--
-- Name: modules_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE modules_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.modules_id_seq OWNER TO eole;

--
-- Name: modules_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE modules_id_seq OWNED BY modules.id;


--
-- Name: modules_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('modules_id_seq', 2, true);


--
-- Name: paquets; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE paquets (
    composant character varying NOT NULL,
    version character varying NOT NULL,
    revision integer NOT NULL,
    date_creation timestamp(0) with time zone DEFAULT ('now'::text)::timestamp(6) without time zone,
    realisateur character varying(50),
    controleur character varying(50),
    date_controle timestamp(0) with time zone,
    commentaires text
);


ALTER TABLE public.paquets OWNER TO eole;

--
-- Name: release; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE "release" (
    id integer NOT NULL,
    id_module integer NOT NULL,
    numero_majeur integer,
    numero_mineur integer,
    date_generation timestamp(0) with time zone,
    date_diffusion timestamp(0) without time zone
);


ALTER TABLE public."release" OWNER TO eole;

--
-- Name: release_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE release_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.release_id_seq OWNER TO eole;

--
-- Name: release_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE release_id_seq OWNED BY "release".id;


--
-- Name: release_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('release_id_seq', 1, true);


--
-- Name: release_paquets; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE release_paquets (
    id_release integer NOT NULL,
    id_composant character varying(60) NOT NULL,
    id_version character varying(60) NOT NULL,
    id_revision character varying(60) NOT NULL
);


ALTER TABLE public.release_paquets OWNER TO eole;

--
-- Name: release_paquets_id_release_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE release_paquets_id_release_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.release_paquets_id_release_seq OWNER TO eole;

--
-- Name: release_paquets_id_release_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE release_paquets_id_release_seq OWNED BY release_paquets.id_release;


--
-- Name: release_paquets_id_release_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('release_paquets_id_release_seq', 1, false);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE famille ALTER COLUMN id SET DEFAULT nextval('famille_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE modules ALTER COLUMN id SET DEFAULT nextval('modules_id_seq'::regclass);


--
-- Name: id_modules; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE modules_composants ALTER COLUMN id_modules SET DEFAULT nextval('modules_composants_id_modules_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE "release" ALTER COLUMN id SET DEFAULT nextval('release_id_seq'::regclass);


--
-- Name: id_release; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE release_paquets ALTER COLUMN id_release SET DEFAULT nextval('release_paquets_id_release_seq'::regclass);


--
-- Data for Name: composants; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY composants (nom, description, responsable, famille, dispo) FROM stdin;
\.


--
-- Data for Name: depends; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY depends (composant, depends, version, revision) FROM stdin;
\.


--
-- Data for Name: famille; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY famille (id, libelle) FROM stdin;
\.


--
-- Data for Name: modules; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY modules (id, nom, description, responsable) FROM stdin;
1	scribe-1.0	module scribe	jojo
\.


--
-- Data for Name: modules_composants; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY modules_composants (id_modules, nom_composants, status) FROM stdin;
\.


--
-- Data for Name: paquets; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY paquets (composant, version, revision, date_creation, realisateur, controleur, date_controle, commentaires) FROM stdin;
\.


--
-- Data for Name: release; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY "release" (id, id_module, numero_majeur, numero_mineur, date_generation, date_diffusion) FROM stdin;
\.


--
-- Data for Name: release_paquets; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY release_paquets (id_release, id_composant, id_version, id_revision) FROM stdin;
\.


--
-- Name: composants_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY composants
    ADD CONSTRAINT composants_pkey PRIMARY KEY (nom);


--
-- Name: famille_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY famille
    ADD CONSTRAINT famille_pkey PRIMARY KEY (id);


--
-- Name: libelle_unique; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY famille
    ADD CONSTRAINT libelle_unique UNIQUE (libelle);


--
-- Name: modules_composants_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY modules_composants
    ADD CONSTRAINT modules_composants_pkey PRIMARY KEY (id_modules, nom_composants);


--
-- Name: modules_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY modules
    ADD CONSTRAINT modules_pkey PRIMARY KEY (id);


--
-- Name: new_dtc; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY paquets
    ADD CONSTRAINT new_dtc PRIMARY KEY (composant, version, revision);


--
-- Name: new_index; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY release_paquets
    ADD CONSTRAINT new_index PRIMARY KEY (id_release, id_composant, id_version, id_revision);


--
-- Name: nom_unique; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY modules
    ADD CONSTRAINT nom_unique UNIQUE (nom);


--
-- Name: release_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY "release"
    ADD CONSTRAINT release_pkey PRIMARY KEY (id);


--
-- Name: unique_depends; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY depends
    ADD CONSTRAINT unique_depends PRIMARY KEY (composant, depends);


--
-- Name: $1; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY "release"
    ADD CONSTRAINT "$1" FOREIGN KEY (id_module) REFERENCES modules(id) MATCH FULL ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: $1; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY modules_composants
    ADD CONSTRAINT "$1" FOREIGN KEY (id_modules) REFERENCES modules(id) MATCH FULL ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: $1; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY release_paquets
    ADD CONSTRAINT "$1" FOREIGN KEY (id_release) REFERENCES "release"(id) MATCH FULL ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: $1; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY composants
    ADD CONSTRAINT "$1" FOREIGN KEY (famille) REFERENCES famille(id) MATCH FULL;


--
-- Name: $1; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY paquets
    ADD CONSTRAINT "$1" FOREIGN KEY (composant) REFERENCES composants(nom) MATCH FULL;


--
-- Name: $2; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY modules_composants
    ADD CONSTRAINT "$2" FOREIGN KEY (nom_composants) REFERENCES composants(nom) MATCH FULL ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: $2; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY release_paquets
    ADD CONSTRAINT "$2" FOREIGN KEY (id_composant, id_version, id_revision) REFERENCES paquets(composant, version, revision) MATCH FULL ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: depends_composant_fkey; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY depends
    ADD CONSTRAINT depends_composant_fkey FOREIGN KEY (composant) REFERENCES composants(nom);


--
-- Name: depends_depends_fkey; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY depends
    ADD CONSTRAINT depends_depends_fkey FOREIGN KEY (depends) REFERENCES composants(nom);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

\connect eolepack

--
-- PostgreSQL database dump
--

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'Standard public schema';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: dist_eole; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE dist_eole (
    id integer NOT NULL,
    name text
);


ALTER TABLE public.dist_eole OWNER TO eole;

--
-- Name: dist_eole_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE dist_eole_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.dist_eole_id_seq OWNER TO eole;

--
-- Name: dist_eole_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE dist_eole_id_seq OWNED BY dist_eole.id;


--
-- Name: dist_eole_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('dist_eole_id_seq', 2, true);


--
-- Name: dist_ubuntu; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE dist_ubuntu (
    id integer NOT NULL,
    name text
);


ALTER TABLE public.dist_ubuntu OWNER TO eole;

--
-- Name: TABLE dist_ubuntu; Type: COMMENT; Schema: public; Owner: eole
--

COMMENT ON TABLE dist_ubuntu IS 'distribution Ubuntu de base';


--
-- Name: dist_ubuntu_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE dist_ubuntu_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.dist_ubuntu_id_seq OWNER TO eole;

--
-- Name: dist_ubuntu_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE dist_ubuntu_id_seq OWNED BY dist_ubuntu.id;


--
-- Name: dist_ubuntu_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('dist_ubuntu_id_seq', 3, true);


--
-- Name: paquets; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE paquets (
    id integer NOT NULL,
    name text,
    version text,
    id_dist_ubuntu integer
);


ALTER TABLE public.paquets OWNER TO eole;

--
-- Name: TABLE paquets; Type: COMMENT; Schema: public; Owner: eole
--

COMMENT ON TABLE paquets IS 'A completer';


--
-- Name: paquets_conf; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE paquets_conf (
    id integer NOT NULL,
    id_paquet integer,
    svn_path text
);


ALTER TABLE public.paquets_conf OWNER TO eole;

--
-- Name: paquets_conf_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE paquets_conf_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.paquets_conf_id_seq OWNER TO eole;

--
-- Name: paquets_conf_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE paquets_conf_id_seq OWNED BY paquets_conf.id;


--
-- Name: paquets_conf_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('paquets_conf_id_seq', 11, true);


--
-- Name: paquets_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE paquets_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.paquets_id_seq OWNER TO eole;

--
-- Name: paquets_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE paquets_id_seq OWNED BY paquets.id;


--
-- Name: paquets_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('paquets_id_seq', 4, true);


--
-- Name: paquets_version; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE paquets_version (
    id integer NOT NULL,
    id_paquet integer,
    id_dist_eole integer,
    long_release text,
    "release" integer
);


ALTER TABLE public.paquets_version OWNER TO eole;

--
-- Name: TABLE paquets_version; Type: COMMENT; Schema: public; Owner: eole
--

COMMENT ON TABLE paquets_version IS 'paquets compilés';


--
-- Name: paquets_version_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE paquets_version_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.paquets_version_id_seq OWNER TO eole;

--
-- Name: paquets_version_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE paquets_version_id_seq OWNED BY paquets_version.id;


--
-- Name: paquets_version_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('paquets_version_id_seq', 4, true);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE dist_eole ALTER COLUMN id SET DEFAULT nextval('dist_eole_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE dist_ubuntu ALTER COLUMN id SET DEFAULT nextval('dist_ubuntu_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE paquets ALTER COLUMN id SET DEFAULT nextval('paquets_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE paquets_conf ALTER COLUMN id SET DEFAULT nextval('paquets_conf_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE paquets_version ALTER COLUMN id SET DEFAULT nextval('paquets_version_id_seq'::regclass);


--
-- Data for Name: dist_eole; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY dist_eole (id, name) FROM stdin;
1	eole-dev
2	eole-2.0
\.


--
-- Data for Name: dist_ubuntu; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY dist_ubuntu (id, name) FROM stdin;
1	dapper
2	edgy
3	feisty
\.


--
-- Data for Name: paquets; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY paquets (id, name, version, id_dist_ubuntu) FROM stdin;
2	eoletest	2.0	3
3	conf-amon	0.99	2
4	conf-amon	1.99	3
\.


--
-- Data for Name: paquets_conf; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY paquets_conf (id, id_paquet, svn_path) FROM stdin;
1	2	Eole2/commun/eoletest
\.


--
-- Data for Name: paquets_version; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY paquets_version (id, id_paquet, id_dist_eole, long_release, "release") FROM stdin;
1	2	1	2.0-eole89	89
2	3	1	0.99-eole25	25
3	4	1	1.99-eole1	1
4	4	1	1.99-eole2	2
\.


--
-- Name: dist_eole_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY dist_eole
    ADD CONSTRAINT dist_eole_pkey PRIMARY KEY (id);


--
-- Name: dist_ubuntu_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY dist_ubuntu
    ADD CONSTRAINT dist_ubuntu_pkey PRIMARY KEY (id);


--
-- Name: paquets_conf_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY paquets_conf
    ADD CONSTRAINT paquets_conf_pkey PRIMARY KEY (id);


--
-- Name: paquets_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY paquets
    ADD CONSTRAINT paquets_pkey PRIMARY KEY (id);


--
-- Name: paquets_version_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY paquets_version
    ADD CONSTRAINT paquets_version_pkey PRIMARY KEY (id);


--
-- Name: paquets_conf_id_paquet_fkey; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY paquets_conf
    ADD CONSTRAINT paquets_conf_id_paquet_fkey FOREIGN KEY (id_paquet) REFERENCES paquets(id);


--
-- Name: paquets_id_dist_ubuntu_fkey; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY paquets
    ADD CONSTRAINT paquets_id_dist_ubuntu_fkey FOREIGN KEY (id_dist_ubuntu) REFERENCES dist_ubuntu(id);


--
-- Name: paquets_version_id_dist_eole_fkey; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY paquets_version
    ADD CONSTRAINT paquets_version_id_dist_eole_fkey FOREIGN KEY (id_dist_eole) REFERENCES dist_eole(id);


--
-- Name: paquets_version_id_paquet_fkey; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY paquets_version
    ADD CONSTRAINT paquets_version_id_paquet_fkey FOREIGN KEY (id_paquet) REFERENCES paquets(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

\connect postgres

--
-- PostgreSQL database dump
--

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'Standard public schema';


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

\connect projectb

--
-- PostgreSQL database dump
--

SET client_encoding = 'SQL_ASCII';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'Standard public schema';


SET search_path = public, pg_catalog;

--
-- Name: bin_associations_id_max(); Type: FUNCTION; Schema: public; Owner: eole
--

CREATE FUNCTION bin_associations_id_max() RETURNS integer
    AS $$SELECT max(id) FROM bin_associations$$
    LANGUAGE sql;


ALTER FUNCTION public.bin_associations_id_max() OWNER TO eole;

--
-- Name: binaries_id_max(); Type: FUNCTION; Schema: public; Owner: eole
--

CREATE FUNCTION binaries_id_max() RETURNS integer
    AS $$SELECT max(id) FROM binaries$$
    LANGUAGE sql;


ALTER FUNCTION public.binaries_id_max() OWNER TO eole;

--
-- Name: dsc_files_id_max(); Type: FUNCTION; Schema: public; Owner: eole
--

CREATE FUNCTION dsc_files_id_max() RETURNS integer
    AS $$SELECT max(id) FROM dsc_files$$
    LANGUAGE sql;


ALTER FUNCTION public.dsc_files_id_max() OWNER TO eole;

--
-- Name: files_id_max(); Type: FUNCTION; Schema: public; Owner: eole
--

CREATE FUNCTION files_id_max() RETURNS integer
    AS $$SELECT max(id) FROM files$$
    LANGUAGE sql;


ALTER FUNCTION public.files_id_max() OWNER TO eole;

--
-- Name: override_type_id_max(); Type: FUNCTION; Schema: public; Owner: eole
--

CREATE FUNCTION override_type_id_max() RETURNS integer
    AS $$SELECT max(id) FROM override_type$$
    LANGUAGE sql;


ALTER FUNCTION public.override_type_id_max() OWNER TO eole;

--
-- Name: priority_id_max(); Type: FUNCTION; Schema: public; Owner: eole
--

CREATE FUNCTION priority_id_max() RETURNS integer
    AS $$SELECT max(id) FROM priority$$
    LANGUAGE sql;


ALTER FUNCTION public.priority_id_max() OWNER TO eole;

--
-- Name: section_id_max(); Type: FUNCTION; Schema: public; Owner: eole
--

CREATE FUNCTION section_id_max() RETURNS integer
    AS $$SELECT max(id) FROM section$$
    LANGUAGE sql;


ALTER FUNCTION public.section_id_max() OWNER TO eole;

--
-- Name: source_id_max(); Type: FUNCTION; Schema: public; Owner: eole
--

CREATE FUNCTION source_id_max() RETURNS integer
    AS $$SELECT max(id) FROM source$$
    LANGUAGE sql;


ALTER FUNCTION public.source_id_max() OWNER TO eole;

--
-- Name: src_associations_id_max(); Type: FUNCTION; Schema: public; Owner: eole
--

CREATE FUNCTION src_associations_id_max() RETURNS integer
    AS $$SELECT max(id) FROM src_associations$$
    LANGUAGE sql;


ALTER FUNCTION public.src_associations_id_max() OWNER TO eole;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: accepted_autobuild; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE accepted_autobuild (
    suite integer NOT NULL,
    filename text NOT NULL,
    in_accepted boolean NOT NULL,
    last_used timestamp without time zone
);


ALTER TABLE public.accepted_autobuild OWNER TO eole;

--
-- Name: architecture; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE architecture (
    id integer NOT NULL,
    arch_string text NOT NULL,
    description text
);


ALTER TABLE public.architecture OWNER TO eole;

--
-- Name: architecture_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE architecture_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.architecture_id_seq OWNER TO eole;

--
-- Name: architecture_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE architecture_id_seq OWNED BY architecture.id;


--
-- Name: architecture_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('architecture_id_seq', 1, false);


--
-- Name: archive; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE archive (
    id integer NOT NULL,
    name text NOT NULL,
    origin_server text,
    description text
);


ALTER TABLE public.archive OWNER TO eole;

--
-- Name: archive_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE archive_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.archive_id_seq OWNER TO eole;

--
-- Name: archive_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE archive_id_seq OWNED BY archive.id;


--
-- Name: archive_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('archive_id_seq', 1, false);


--
-- Name: bin_associations; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE bin_associations (
    id integer NOT NULL,
    suite integer NOT NULL,
    bin integer NOT NULL
);


ALTER TABLE public.bin_associations OWNER TO eole;

--
-- Name: bin_associations_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE bin_associations_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bin_associations_id_seq OWNER TO eole;

--
-- Name: bin_associations_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE bin_associations_id_seq OWNED BY bin_associations.id;


--
-- Name: bin_associations_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('bin_associations_id_seq', 1, false);


--
-- Name: binaries; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE binaries (
    id integer NOT NULL,
    package text NOT NULL,
    version text NOT NULL,
    maintainer integer NOT NULL,
    source integer,
    architecture integer NOT NULL,
    file integer NOT NULL,
    "type" text NOT NULL,
    sig_fpr integer NOT NULL
);


ALTER TABLE public.binaries OWNER TO eole;

--
-- Name: binaries_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE binaries_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.binaries_id_seq OWNER TO eole;

--
-- Name: binaries_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE binaries_id_seq OWNED BY binaries.id;


--
-- Name: binaries_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('binaries_id_seq', 1, false);


--
-- Name: component; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE component (
    id integer NOT NULL,
    name text NOT NULL,
    description text,
    meets_dfsg boolean
);


ALTER TABLE public.component OWNER TO eole;

--
-- Name: component_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE component_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.component_id_seq OWNER TO eole;

--
-- Name: component_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE component_id_seq OWNED BY component.id;


--
-- Name: component_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('component_id_seq', 1, false);


--
-- Name: dsc_files; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE dsc_files (
    id integer NOT NULL,
    source integer NOT NULL,
    file integer NOT NULL
);


ALTER TABLE public.dsc_files OWNER TO eole;

--
-- Name: dsc_files_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE dsc_files_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.dsc_files_id_seq OWNER TO eole;

--
-- Name: dsc_files_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE dsc_files_id_seq OWNED BY dsc_files.id;


--
-- Name: dsc_files_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('dsc_files_id_seq', 1, false);


--
-- Name: files; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE files (
    id integer NOT NULL,
    filename text NOT NULL,
    size bigint NOT NULL,
    md5sum text NOT NULL,
    "location" integer NOT NULL,
    last_used timestamp without time zone
);


ALTER TABLE public.files OWNER TO eole;

--
-- Name: files_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE files_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.files_id_seq OWNER TO eole;

--
-- Name: files_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE files_id_seq OWNED BY files.id;


--
-- Name: files_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('files_id_seq', 1, false);


--
-- Name: fingerprint; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE fingerprint (
    id integer NOT NULL,
    fingerprint text NOT NULL,
    uid integer
);


ALTER TABLE public.fingerprint OWNER TO eole;

--
-- Name: fingerprint_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE fingerprint_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.fingerprint_id_seq OWNER TO eole;

--
-- Name: fingerprint_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE fingerprint_id_seq OWNED BY fingerprint.id;


--
-- Name: fingerprint_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('fingerprint_id_seq', 1, false);


--
-- Name: location; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE "location" (
    id integer NOT NULL,
    path text NOT NULL,
    component integer,
    archive integer,
    "type" text NOT NULL
);


ALTER TABLE public."location" OWNER TO eole;

--
-- Name: location_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE location_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.location_id_seq OWNER TO eole;

--
-- Name: location_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE location_id_seq OWNED BY "location".id;


--
-- Name: location_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('location_id_seq', 1, false);


--
-- Name: maintainer; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE maintainer (
    id integer NOT NULL,
    name text NOT NULL
);


ALTER TABLE public.maintainer OWNER TO eole;

--
-- Name: maintainer_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE maintainer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.maintainer_id_seq OWNER TO eole;

--
-- Name: maintainer_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE maintainer_id_seq OWNED BY maintainer.id;


--
-- Name: maintainer_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('maintainer_id_seq', 1, false);


--
-- Name: override; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE override (
    package text NOT NULL,
    suite integer NOT NULL,
    component integer NOT NULL,
    priority integer,
    section integer NOT NULL,
    "type" integer NOT NULL,
    maintainer text
);


ALTER TABLE public.override OWNER TO eole;

--
-- Name: override_type; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE override_type (
    id integer NOT NULL,
    "type" text NOT NULL
);


ALTER TABLE public.override_type OWNER TO eole;

--
-- Name: override_type_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE override_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.override_type_id_seq OWNER TO eole;

--
-- Name: override_type_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE override_type_id_seq OWNED BY override_type.id;


--
-- Name: override_type_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('override_type_id_seq', 1, false);


--
-- Name: priority; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE priority (
    id integer NOT NULL,
    priority text NOT NULL,
    "level" integer NOT NULL
);


ALTER TABLE public.priority OWNER TO eole;

--
-- Name: priority_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE priority_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.priority_id_seq OWNER TO eole;

--
-- Name: priority_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE priority_id_seq OWNED BY priority.id;


--
-- Name: priority_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('priority_id_seq', 1, false);


--
-- Name: section; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE section (
    id integer NOT NULL,
    section text NOT NULL
);


ALTER TABLE public.section OWNER TO eole;

--
-- Name: section_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE section_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.section_id_seq OWNER TO eole;

--
-- Name: section_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE section_id_seq OWNED BY section.id;


--
-- Name: section_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('section_id_seq', 1, false);


--
-- Name: source; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE source (
    id integer NOT NULL,
    source text NOT NULL,
    version text NOT NULL,
    maintainer integer NOT NULL,
    file integer NOT NULL,
    install_date timestamp without time zone NOT NULL,
    sig_fpr integer NOT NULL
);


ALTER TABLE public.source OWNER TO eole;

--
-- Name: source_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE source_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.source_id_seq OWNER TO eole;

--
-- Name: source_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE source_id_seq OWNED BY source.id;


--
-- Name: source_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('source_id_seq', 1, false);


--
-- Name: src_associations; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE src_associations (
    id integer NOT NULL,
    suite integer NOT NULL,
    source integer NOT NULL
);


ALTER TABLE public.src_associations OWNER TO eole;

--
-- Name: src_associations_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE src_associations_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.src_associations_id_seq OWNER TO eole;

--
-- Name: src_associations_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE src_associations_id_seq OWNED BY src_associations.id;


--
-- Name: src_associations_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('src_associations_id_seq', 1, false);


--
-- Name: suite; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE suite (
    id integer NOT NULL,
    suite_name text NOT NULL,
    version text,
    origin text,
    label text,
    policy_engine text,
    description text
);


ALTER TABLE public.suite OWNER TO eole;

--
-- Name: suite_architectures; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE suite_architectures (
    suite integer NOT NULL,
    architecture integer NOT NULL
);


ALTER TABLE public.suite_architectures OWNER TO eole;

--
-- Name: suite_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE suite_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.suite_id_seq OWNER TO eole;

--
-- Name: suite_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE suite_id_seq OWNED BY suite.id;


--
-- Name: suite_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('suite_id_seq', 1, false);


--
-- Name: uid; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE uid (
    id integer NOT NULL,
    uid text NOT NULL
);


ALTER TABLE public.uid OWNER TO eole;

--
-- Name: uid_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE uid_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.uid_id_seq OWNER TO eole;

--
-- Name: uid_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE uid_id_seq OWNED BY uid.id;


--
-- Name: uid_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('uid_id_seq', 1, false);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE architecture ALTER COLUMN id SET DEFAULT nextval('architecture_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE archive ALTER COLUMN id SET DEFAULT nextval('archive_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE bin_associations ALTER COLUMN id SET DEFAULT nextval('bin_associations_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE binaries ALTER COLUMN id SET DEFAULT nextval('binaries_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE component ALTER COLUMN id SET DEFAULT nextval('component_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE dsc_files ALTER COLUMN id SET DEFAULT nextval('dsc_files_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE fingerprint ALTER COLUMN id SET DEFAULT nextval('fingerprint_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE "location" ALTER COLUMN id SET DEFAULT nextval('location_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE maintainer ALTER COLUMN id SET DEFAULT nextval('maintainer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE override_type ALTER COLUMN id SET DEFAULT nextval('override_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE priority ALTER COLUMN id SET DEFAULT nextval('priority_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE section ALTER COLUMN id SET DEFAULT nextval('section_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE source ALTER COLUMN id SET DEFAULT nextval('source_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE src_associations ALTER COLUMN id SET DEFAULT nextval('src_associations_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE suite ALTER COLUMN id SET DEFAULT nextval('suite_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE uid ALTER COLUMN id SET DEFAULT nextval('uid_id_seq'::regclass);


--
-- Data for Name: accepted_autobuild; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY accepted_autobuild (suite, filename, in_accepted, last_used) FROM stdin;
\.


--
-- Data for Name: architecture; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY architecture (id, arch_string, description) FROM stdin;
\.


--
-- Data for Name: archive; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY archive (id, name, origin_server, description) FROM stdin;
\.


--
-- Data for Name: bin_associations; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY bin_associations (id, suite, bin) FROM stdin;
\.


--
-- Data for Name: binaries; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY binaries (id, package, version, maintainer, source, architecture, file, "type", sig_fpr) FROM stdin;
\.


--
-- Data for Name: component; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY component (id, name, description, meets_dfsg) FROM stdin;
\.


--
-- Data for Name: dsc_files; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY dsc_files (id, source, file) FROM stdin;
\.


--
-- Data for Name: files; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY files (id, filename, size, md5sum, "location", last_used) FROM stdin;
\.


--
-- Data for Name: fingerprint; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY fingerprint (id, fingerprint, uid) FROM stdin;
\.


--
-- Data for Name: location; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY "location" (id, path, component, archive, "type") FROM stdin;
\.


--
-- Data for Name: maintainer; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY maintainer (id, name) FROM stdin;
\.


--
-- Data for Name: override; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY override (package, suite, component, priority, section, "type", maintainer) FROM stdin;
\.


--
-- Data for Name: override_type; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY override_type (id, "type") FROM stdin;
\.


--
-- Data for Name: priority; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY priority (id, priority, "level") FROM stdin;
\.


--
-- Data for Name: section; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY section (id, section) FROM stdin;
\.


--
-- Data for Name: source; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY source (id, source, version, maintainer, file, install_date, sig_fpr) FROM stdin;
\.


--
-- Data for Name: src_associations; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY src_associations (id, suite, source) FROM stdin;
\.


--
-- Data for Name: suite; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY suite (id, suite_name, version, origin, label, policy_engine, description) FROM stdin;
\.


--
-- Data for Name: suite_architectures; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY suite_architectures (suite, architecture) FROM stdin;
\.


--
-- Data for Name: uid; Type: TABLE DATA; Schema: public; Owner: eole
--

COPY uid (id, uid) FROM stdin;
\.


--
-- Name: architecture_arch_string_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY architecture
    ADD CONSTRAINT architecture_arch_string_key UNIQUE (arch_string);


--
-- Name: architecture_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY architecture
    ADD CONSTRAINT architecture_pkey PRIMARY KEY (id);


--
-- Name: archive_name_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY archive
    ADD CONSTRAINT archive_name_key UNIQUE (name);


--
-- Name: archive_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY archive
    ADD CONSTRAINT archive_pkey PRIMARY KEY (id);


--
-- Name: bin_associations_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY bin_associations
    ADD CONSTRAINT bin_associations_pkey PRIMARY KEY (id);


--
-- Name: bin_associations_suite_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY bin_associations
    ADD CONSTRAINT bin_associations_suite_key UNIQUE (suite, bin);


--
-- Name: binaries_file_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY binaries
    ADD CONSTRAINT binaries_file_key UNIQUE (file);


--
-- Name: binaries_package_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY binaries
    ADD CONSTRAINT binaries_package_key UNIQUE (package, version, architecture);


--
-- Name: binaries_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY binaries
    ADD CONSTRAINT binaries_pkey PRIMARY KEY (id);


--
-- Name: component_name_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY component
    ADD CONSTRAINT component_name_key UNIQUE (name);


--
-- Name: component_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY component
    ADD CONSTRAINT component_pkey PRIMARY KEY (id);


--
-- Name: dsc_files_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY dsc_files
    ADD CONSTRAINT dsc_files_pkey PRIMARY KEY (id);


--
-- Name: dsc_files_source_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY dsc_files
    ADD CONSTRAINT dsc_files_source_key UNIQUE (source, file);


--
-- Name: files_filename_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY files
    ADD CONSTRAINT files_filename_key UNIQUE (filename, "location");


--
-- Name: files_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY files
    ADD CONSTRAINT files_pkey PRIMARY KEY (id);


--
-- Name: fingerprint_fingerprint_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY fingerprint
    ADD CONSTRAINT fingerprint_fingerprint_key UNIQUE (fingerprint);


--
-- Name: fingerprint_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY fingerprint
    ADD CONSTRAINT fingerprint_pkey PRIMARY KEY (id);


--
-- Name: location_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY "location"
    ADD CONSTRAINT location_pkey PRIMARY KEY (id);


--
-- Name: maintainer_name_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY maintainer
    ADD CONSTRAINT maintainer_name_key UNIQUE (name);


--
-- Name: maintainer_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY maintainer
    ADD CONSTRAINT maintainer_pkey PRIMARY KEY (id);


--
-- Name: override_suite_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY override
    ADD CONSTRAINT override_suite_key UNIQUE (suite, component, package, "type");


--
-- Name: override_type_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY override_type
    ADD CONSTRAINT override_type_pkey PRIMARY KEY (id);


--
-- Name: override_type_type_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY override_type
    ADD CONSTRAINT override_type_type_key UNIQUE ("type");


--
-- Name: priority_level_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY priority
    ADD CONSTRAINT priority_level_key UNIQUE ("level");


--
-- Name: priority_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY priority
    ADD CONSTRAINT priority_pkey PRIMARY KEY (id);


--
-- Name: priority_priority_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY priority
    ADD CONSTRAINT priority_priority_key UNIQUE (priority);


--
-- Name: section_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY section
    ADD CONSTRAINT section_pkey PRIMARY KEY (id);


--
-- Name: section_section_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY section
    ADD CONSTRAINT section_section_key UNIQUE (section);


--
-- Name: source_file_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY source
    ADD CONSTRAINT source_file_key UNIQUE (file);


--
-- Name: source_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY source
    ADD CONSTRAINT source_pkey PRIMARY KEY (id);


--
-- Name: source_source_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY source
    ADD CONSTRAINT source_source_key UNIQUE (source, version);


--
-- Name: src_associations_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY src_associations
    ADD CONSTRAINT src_associations_pkey PRIMARY KEY (id);


--
-- Name: src_associations_suite_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY src_associations
    ADD CONSTRAINT src_associations_suite_key UNIQUE (suite, source);


--
-- Name: suite_architectures_suite_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY suite_architectures
    ADD CONSTRAINT suite_architectures_suite_key UNIQUE (suite, architecture);


--
-- Name: suite_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY suite
    ADD CONSTRAINT suite_pkey PRIMARY KEY (id);


--
-- Name: uid_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY uid
    ADD CONSTRAINT uid_pkey PRIMARY KEY (id);


--
-- Name: uid_uid_key; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY uid
    ADD CONSTRAINT uid_uid_key UNIQUE (uid);


--
-- Name: bin_associations_bin; Type: INDEX; Schema: public; Owner: eole; Tablespace: 
--

CREATE INDEX bin_associations_bin ON bin_associations USING btree (bin);


--
-- Name: binaries_fingerprint; Type: INDEX; Schema: public; Owner: eole; Tablespace: 
--

CREATE INDEX binaries_fingerprint ON binaries USING btree (sig_fpr);


--
-- Name: binaries_maintainer; Type: INDEX; Schema: public; Owner: eole; Tablespace: 
--

CREATE INDEX binaries_maintainer ON binaries USING btree (maintainer);


--
-- Name: dsc_files_file; Type: INDEX; Schema: public; Owner: eole; Tablespace: 
--

CREATE INDEX dsc_files_file ON dsc_files USING btree (file);


--
-- Name: source_fingerprint; Type: INDEX; Schema: public; Owner: eole; Tablespace: 
--

CREATE INDEX source_fingerprint ON source USING btree (sig_fpr);


--
-- Name: source_maintainer; Type: INDEX; Schema: public; Owner: eole; Tablespace: 
--

CREATE INDEX source_maintainer ON source USING btree (maintainer);


--
-- Name: src_associations_source; Type: INDEX; Schema: public; Owner: eole; Tablespace: 
--

CREATE INDEX src_associations_source ON src_associations USING btree (source);


--
-- Name: $1; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY "location"
    ADD CONSTRAINT "$1" FOREIGN KEY (component) REFERENCES component(id);


--
-- Name: $2; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY "location"
    ADD CONSTRAINT "$2" FOREIGN KEY (archive) REFERENCES archive(id);


--
-- Name: accepted_autobuild_suite; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY accepted_autobuild
    ADD CONSTRAINT accepted_autobuild_suite FOREIGN KEY (suite) REFERENCES suite(id) MATCH FULL;


--
-- Name: bin_associations_bin; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY bin_associations
    ADD CONSTRAINT bin_associations_bin FOREIGN KEY (bin) REFERENCES binaries(id) MATCH FULL;


--
-- Name: bin_associations_suite; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY bin_associations
    ADD CONSTRAINT bin_associations_suite FOREIGN KEY (suite) REFERENCES suite(id) MATCH FULL;


--
-- Name: binaries_architecture; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY binaries
    ADD CONSTRAINT binaries_architecture FOREIGN KEY (architecture) REFERENCES architecture(id) MATCH FULL;


--
-- Name: binaries_file; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY binaries
    ADD CONSTRAINT binaries_file FOREIGN KEY (file) REFERENCES files(id) MATCH FULL;


--
-- Name: binaries_maintainer; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY binaries
    ADD CONSTRAINT binaries_maintainer FOREIGN KEY (maintainer) REFERENCES maintainer(id) MATCH FULL;


--
-- Name: binaries_sig_fpr; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY binaries
    ADD CONSTRAINT binaries_sig_fpr FOREIGN KEY (sig_fpr) REFERENCES fingerprint(id) MATCH FULL;


--
-- Name: binaries_source; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY binaries
    ADD CONSTRAINT binaries_source FOREIGN KEY (source) REFERENCES source(id) MATCH FULL;


--
-- Name: dsc_files_file; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY dsc_files
    ADD CONSTRAINT dsc_files_file FOREIGN KEY (file) REFERENCES files(id) MATCH FULL;


--
-- Name: dsc_files_source; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY dsc_files
    ADD CONSTRAINT dsc_files_source FOREIGN KEY (source) REFERENCES source(id) MATCH FULL;


--
-- Name: files_location; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY files
    ADD CONSTRAINT files_location FOREIGN KEY ("location") REFERENCES "location"(id) MATCH FULL;


--
-- Name: fingerprint_uid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY fingerprint
    ADD CONSTRAINT fingerprint_uid_fkey FOREIGN KEY (uid) REFERENCES uid(id);


--
-- Name: override_component; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY override
    ADD CONSTRAINT override_component FOREIGN KEY (component) REFERENCES component(id) MATCH FULL;


--
-- Name: override_priority; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY override
    ADD CONSTRAINT override_priority FOREIGN KEY (priority) REFERENCES priority(id) MATCH FULL;


--
-- Name: override_section; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY override
    ADD CONSTRAINT override_section FOREIGN KEY (section) REFERENCES section(id) MATCH FULL;


--
-- Name: override_suite; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY override
    ADD CONSTRAINT override_suite FOREIGN KEY (suite) REFERENCES suite(id) MATCH FULL;


--
-- Name: override_type; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY override
    ADD CONSTRAINT override_type FOREIGN KEY ("type") REFERENCES override_type(id) MATCH FULL;


--
-- Name: source_file; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY source
    ADD CONSTRAINT source_file FOREIGN KEY (file) REFERENCES files(id) MATCH FULL;


--
-- Name: source_maintainer; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY source
    ADD CONSTRAINT source_maintainer FOREIGN KEY (maintainer) REFERENCES maintainer(id) MATCH FULL;


--
-- Name: source_sig_fpr; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY source
    ADD CONSTRAINT source_sig_fpr FOREIGN KEY (sig_fpr) REFERENCES fingerprint(id) MATCH FULL;


--
-- Name: src_associations_source; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY src_associations
    ADD CONSTRAINT src_associations_source FOREIGN KEY (source) REFERENCES source(id) MATCH FULL;


--
-- Name: src_associations_suite; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY src_associations
    ADD CONSTRAINT src_associations_suite FOREIGN KEY (suite) REFERENCES suite(id) MATCH FULL;


--
-- Name: suite_architectures_architecture; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY suite_architectures
    ADD CONSTRAINT suite_architectures_architecture FOREIGN KEY (architecture) REFERENCES architecture(id) MATCH FULL;


--
-- Name: suite_architectures_suite; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY suite_architectures
    ADD CONSTRAINT suite_architectures_suite FOREIGN KEY (suite) REFERENCES suite(id) MATCH FULL;


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- Name: accepted_autobuild; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE accepted_autobuild FROM PUBLIC;
REVOKE ALL ON TABLE accepted_autobuild FROM eole;
GRANT ALL ON TABLE accepted_autobuild TO eole;
GRANT SELECT ON TABLE accepted_autobuild TO PUBLIC;
GRANT ALL ON TABLE accepted_autobuild TO ftpmaster;


--
-- Name: architecture; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE architecture FROM PUBLIC;
REVOKE ALL ON TABLE architecture FROM eole;
GRANT ALL ON TABLE architecture TO eole;
GRANT SELECT ON TABLE architecture TO PUBLIC;
GRANT ALL ON TABLE architecture TO ftpmaster;


--
-- Name: architecture_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE architecture_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE architecture_id_seq FROM eole;
GRANT ALL ON SEQUENCE architecture_id_seq TO eole;
GRANT SELECT ON SEQUENCE architecture_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE architecture_id_seq TO ftpmaster;


--
-- Name: archive; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE archive FROM PUBLIC;
REVOKE ALL ON TABLE archive FROM eole;
GRANT ALL ON TABLE archive TO eole;
GRANT SELECT ON TABLE archive TO PUBLIC;
GRANT ALL ON TABLE archive TO ftpmaster;


--
-- Name: archive_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE archive_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE archive_id_seq FROM eole;
GRANT ALL ON SEQUENCE archive_id_seq TO eole;
GRANT SELECT ON SEQUENCE archive_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE archive_id_seq TO ftpmaster;


--
-- Name: bin_associations; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE bin_associations FROM PUBLIC;
REVOKE ALL ON TABLE bin_associations FROM eole;
GRANT ALL ON TABLE bin_associations TO eole;
GRANT SELECT ON TABLE bin_associations TO PUBLIC;
GRANT ALL ON TABLE bin_associations TO ftpmaster;


--
-- Name: bin_associations_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE bin_associations_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE bin_associations_id_seq FROM eole;
GRANT ALL ON SEQUENCE bin_associations_id_seq TO eole;
GRANT SELECT ON SEQUENCE bin_associations_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE bin_associations_id_seq TO ftpmaster;


--
-- Name: binaries; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE binaries FROM PUBLIC;
REVOKE ALL ON TABLE binaries FROM eole;
GRANT ALL ON TABLE binaries TO eole;
GRANT SELECT ON TABLE binaries TO PUBLIC;
GRANT ALL ON TABLE binaries TO ftpmaster;


--
-- Name: binaries_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE binaries_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE binaries_id_seq FROM eole;
GRANT ALL ON SEQUENCE binaries_id_seq TO eole;
GRANT SELECT ON SEQUENCE binaries_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE binaries_id_seq TO ftpmaster;


--
-- Name: component; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE component FROM PUBLIC;
REVOKE ALL ON TABLE component FROM eole;
GRANT ALL ON TABLE component TO eole;
GRANT SELECT ON TABLE component TO PUBLIC;
GRANT ALL ON TABLE component TO ftpmaster;


--
-- Name: component_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE component_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE component_id_seq FROM eole;
GRANT ALL ON SEQUENCE component_id_seq TO eole;
GRANT SELECT ON SEQUENCE component_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE component_id_seq TO ftpmaster;


--
-- Name: dsc_files; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE dsc_files FROM PUBLIC;
REVOKE ALL ON TABLE dsc_files FROM eole;
GRANT ALL ON TABLE dsc_files TO eole;
GRANT SELECT ON TABLE dsc_files TO PUBLIC;
GRANT ALL ON TABLE dsc_files TO ftpmaster;


--
-- Name: dsc_files_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE dsc_files_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE dsc_files_id_seq FROM eole;
GRANT ALL ON SEQUENCE dsc_files_id_seq TO eole;
GRANT SELECT ON SEQUENCE dsc_files_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE dsc_files_id_seq TO ftpmaster;


--
-- Name: files; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE files FROM PUBLIC;
REVOKE ALL ON TABLE files FROM eole;
GRANT ALL ON TABLE files TO eole;
GRANT SELECT ON TABLE files TO PUBLIC;
GRANT ALL ON TABLE files TO ftpmaster;


--
-- Name: files_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE files_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE files_id_seq FROM eole;
GRANT ALL ON SEQUENCE files_id_seq TO eole;
GRANT SELECT ON SEQUENCE files_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE files_id_seq TO ftpmaster;


--
-- Name: fingerprint; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE fingerprint FROM PUBLIC;
REVOKE ALL ON TABLE fingerprint FROM eole;
GRANT ALL ON TABLE fingerprint TO eole;
GRANT SELECT ON TABLE fingerprint TO PUBLIC;
GRANT ALL ON TABLE fingerprint TO ftpmaster;


--
-- Name: fingerprint_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE fingerprint_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE fingerprint_id_seq FROM eole;
GRANT ALL ON SEQUENCE fingerprint_id_seq TO eole;
GRANT SELECT ON SEQUENCE fingerprint_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE fingerprint_id_seq TO ftpmaster;


--
-- Name: location; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE "location" FROM PUBLIC;
REVOKE ALL ON TABLE "location" FROM eole;
GRANT ALL ON TABLE "location" TO eole;
GRANT SELECT ON TABLE "location" TO PUBLIC;
GRANT ALL ON TABLE "location" TO ftpmaster;


--
-- Name: location_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE location_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE location_id_seq FROM eole;
GRANT ALL ON SEQUENCE location_id_seq TO eole;
GRANT SELECT ON SEQUENCE location_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE location_id_seq TO ftpmaster;


--
-- Name: maintainer; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE maintainer FROM PUBLIC;
REVOKE ALL ON TABLE maintainer FROM eole;
GRANT ALL ON TABLE maintainer TO eole;
GRANT SELECT ON TABLE maintainer TO PUBLIC;
GRANT ALL ON TABLE maintainer TO ftpmaster;


--
-- Name: maintainer_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE maintainer_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE maintainer_id_seq FROM eole;
GRANT ALL ON SEQUENCE maintainer_id_seq TO eole;
GRANT SELECT ON SEQUENCE maintainer_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE maintainer_id_seq TO ftpmaster;


--
-- Name: override; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE override FROM PUBLIC;
REVOKE ALL ON TABLE override FROM eole;
GRANT ALL ON TABLE override TO eole;
GRANT SELECT ON TABLE override TO PUBLIC;
GRANT ALL ON TABLE override TO ftpmaster;


--
-- Name: override_type; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE override_type FROM PUBLIC;
REVOKE ALL ON TABLE override_type FROM eole;
GRANT ALL ON TABLE override_type TO eole;
GRANT SELECT ON TABLE override_type TO PUBLIC;
GRANT ALL ON TABLE override_type TO ftpmaster;


--
-- Name: override_type_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE override_type_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE override_type_id_seq FROM eole;
GRANT ALL ON SEQUENCE override_type_id_seq TO eole;
GRANT SELECT ON SEQUENCE override_type_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE override_type_id_seq TO ftpmaster;


--
-- Name: priority; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE priority FROM PUBLIC;
REVOKE ALL ON TABLE priority FROM eole;
GRANT ALL ON TABLE priority TO eole;
GRANT SELECT ON TABLE priority TO PUBLIC;
GRANT ALL ON TABLE priority TO ftpmaster;


--
-- Name: priority_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE priority_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE priority_id_seq FROM eole;
GRANT ALL ON SEQUENCE priority_id_seq TO eole;
GRANT SELECT ON SEQUENCE priority_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE priority_id_seq TO ftpmaster;


--
-- Name: section; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE section FROM PUBLIC;
REVOKE ALL ON TABLE section FROM eole;
GRANT ALL ON TABLE section TO eole;
GRANT SELECT ON TABLE section TO PUBLIC;
GRANT ALL ON TABLE section TO ftpmaster;


--
-- Name: section_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE section_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE section_id_seq FROM eole;
GRANT ALL ON SEQUENCE section_id_seq TO eole;
GRANT SELECT ON SEQUENCE section_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE section_id_seq TO ftpmaster;


--
-- Name: source; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE source FROM PUBLIC;
REVOKE ALL ON TABLE source FROM eole;
GRANT ALL ON TABLE source TO eole;
GRANT SELECT ON TABLE source TO PUBLIC;
GRANT ALL ON TABLE source TO ftpmaster;


--
-- Name: source_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE source_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE source_id_seq FROM eole;
GRANT ALL ON SEQUENCE source_id_seq TO eole;
GRANT SELECT ON SEQUENCE source_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE source_id_seq TO ftpmaster;


--
-- Name: src_associations; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE src_associations FROM PUBLIC;
REVOKE ALL ON TABLE src_associations FROM eole;
GRANT ALL ON TABLE src_associations TO eole;
GRANT SELECT ON TABLE src_associations TO PUBLIC;
GRANT ALL ON TABLE src_associations TO ftpmaster;


--
-- Name: src_associations_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE src_associations_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE src_associations_id_seq FROM eole;
GRANT ALL ON SEQUENCE src_associations_id_seq TO eole;
GRANT SELECT ON SEQUENCE src_associations_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE src_associations_id_seq TO ftpmaster;


--
-- Name: suite; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE suite FROM PUBLIC;
REVOKE ALL ON TABLE suite FROM eole;
GRANT ALL ON TABLE suite TO eole;
GRANT SELECT ON TABLE suite TO PUBLIC;
GRANT ALL ON TABLE suite TO ftpmaster;


--
-- Name: suite_architectures; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE suite_architectures FROM PUBLIC;
REVOKE ALL ON TABLE suite_architectures FROM eole;
GRANT ALL ON TABLE suite_architectures TO eole;
GRANT SELECT ON TABLE suite_architectures TO PUBLIC;
GRANT ALL ON TABLE suite_architectures TO ftpmaster;


--
-- Name: suite_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE suite_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE suite_id_seq FROM eole;
GRANT ALL ON SEQUENCE suite_id_seq TO eole;
GRANT SELECT ON SEQUENCE suite_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE suite_id_seq TO ftpmaster;


--
-- Name: uid; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON TABLE uid FROM PUBLIC;
REVOKE ALL ON TABLE uid FROM eole;
GRANT ALL ON TABLE uid TO eole;
GRANT SELECT ON TABLE uid TO PUBLIC;
GRANT ALL ON TABLE uid TO ftpmaster;


--
-- Name: uid_id_seq; Type: ACL; Schema: public; Owner: eole
--

REVOKE ALL ON SEQUENCE uid_id_seq FROM PUBLIC;
REVOKE ALL ON SEQUENCE uid_id_seq FROM eole;
GRANT ALL ON SEQUENCE uid_id_seq TO eole;
GRANT SELECT ON SEQUENCE uid_id_seq TO PUBLIC;
GRANT ALL ON SEQUENCE uid_id_seq TO ftpmaster;


--
-- PostgreSQL database dump complete
--

\connect template1

--
-- PostgreSQL database dump
--

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- Name: template1; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON DATABASE template1 IS 'Default template database';


--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'Standard public schema';


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

--
-- PostgreSQL database cluster dump complete
--

