--
-- PostgreSQL database dump
--

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'Standard public schema';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: binaires; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE binaires (
    source text NOT NULL,
    binaire text NOT NULL
);


ALTER TABLE public.binaires OWNER TO eole;

--
-- Name: TABLE binaires; Type: COMMENT; Schema: public; Owner: eole
--

COMMENT ON TABLE binaires IS 'association paquets source / paquets binaires';


--
-- Name: COLUMN binaires.source; Type: COMMENT; Schema: public; Owner: eole
--

COMMENT ON COLUMN binaires.source IS 'nom du paquet source';


--
-- Name: COLUMN binaires.binaire; Type: COMMENT; Schema: public; Owner: eole
--

COMMENT ON COLUMN binaires.binaire IS 'nom du paquet binaire';


--
-- Name: dependances; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE dependances (
    paquet text NOT NULL,
    dependance text NOT NULL
);


ALTER TABLE public.dependances OWNER TO eole;

--
-- Name: dist_eole; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE dist_eole (
    id integer NOT NULL,
    name text,
    dist_ubuntu text
);


ALTER TABLE public.dist_eole OWNER TO eole;

--
-- Name: dist_eole_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE dist_eole_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.dist_eole_id_seq OWNER TO eole;

--
-- Name: dist_eole_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE dist_eole_id_seq OWNED BY dist_eole.id;


--
-- Name: dist_eole_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('dist_eole_id_seq', 11, true);


--
-- Name: dist_ubuntu; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE dist_ubuntu (
    id integer NOT NULL,
    name text,
    eole text,
    serveur text
);


ALTER TABLE public.dist_ubuntu OWNER TO eole;

--
-- Name: TABLE dist_ubuntu; Type: COMMENT; Schema: public; Owner: eole
--

COMMENT ON TABLE dist_ubuntu IS 'distribution Ubuntu de base';


--
-- Name: COLUMN dist_ubuntu.eole; Type: COMMENT; Schema: public; Owner: eole
--

COMMENT ON COLUMN dist_ubuntu.eole IS 'version de module Eole';


--
-- Name: COLUMN dist_ubuntu.serveur; Type: COMMENT; Schema: public; Owner: eole
--

COMMENT ON COLUMN dist_ubuntu.serveur IS 'adresse du serveur de compilation';


--
-- Name: dist_ubuntu_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE dist_ubuntu_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.dist_ubuntu_id_seq OWNER TO eole;

--
-- Name: dist_ubuntu_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE dist_ubuntu_id_seq OWNED BY dist_ubuntu.id;


--
-- Name: dist_ubuntu_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('dist_ubuntu_id_seq', 5, true);


--
-- Name: modules; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE modules (
    id integer NOT NULL,
    name text
);


ALTER TABLE public.modules OWNER TO eole;

--
-- Name: modules_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE modules_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.modules_id_seq OWNER TO eole;

--
-- Name: modules_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE modules_id_seq OWNED BY modules.id;


--
-- Name: modules_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('modules_id_seq', 10, true);


--
-- Name: paquets; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE paquets (
    id integer NOT NULL,
    name text,
    version text,
    id_dist_ubuntu integer
);


ALTER TABLE public.paquets OWNER TO eole;

--
-- Name: TABLE paquets; Type: COMMENT; Schema: public; Owner: eole
--

COMMENT ON TABLE paquets IS 'A completer';


--
-- Name: paquets_conf; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE paquets_conf (
    id integer NOT NULL,
    id_paquet integer,
    svn_path text
);


ALTER TABLE public.paquets_conf OWNER TO eole;

--
-- Name: paquets_conf_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE paquets_conf_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.paquets_conf_id_seq OWNER TO eole;

--
-- Name: paquets_conf_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE paquets_conf_id_seq OWNED BY paquets_conf.id;


--
-- Name: paquets_conf_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('paquets_conf_id_seq', 166, true);


--
-- Name: paquets_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE paquets_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.paquets_id_seq OWNER TO eole;

--
-- Name: paquets_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE paquets_id_seq OWNED BY paquets.id;


--
-- Name: paquets_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('paquets_id_seq', 163, true);


--
-- Name: paquets_modules; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE paquets_modules (
    id_paquet integer NOT NULL,
    id_module integer NOT NULL
);


ALTER TABLE public.paquets_modules OWNER TO eole;

--
-- Name: paquets_release; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE paquets_release (
    id integer NOT NULL,
    id_paquet integer,
    id_dist_eole integer,
    long_release text,
    "release" integer
);


ALTER TABLE public.paquets_release OWNER TO eole;

--
-- Name: TABLE paquets_release; Type: COMMENT; Schema: public; Owner: eole
--

COMMENT ON TABLE paquets_release IS 'paquets compilés';


--
-- Name: paquets_version_id_seq; Type: SEQUENCE; Schema: public; Owner: eole
--

CREATE SEQUENCE paquets_version_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.paquets_version_id_seq OWNER TO eole;

--
-- Name: paquets_version_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: eole
--

ALTER SEQUENCE paquets_version_id_seq OWNED BY paquets_release.id;


--
-- Name: paquets_version_id_seq; Type: SEQUENCE SET; Schema: public; Owner: eole
--

SELECT pg_catalog.setval('paquets_version_id_seq', 232, true);


--
-- Name: utilisateurs; Type: TABLE; Schema: public; Owner: eole; Tablespace: 
--

CREATE TABLE utilisateurs (
    name text,
    pwd text
);


ALTER TABLE public.utilisateurs OWNER TO eole;

--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE dist_eole ALTER COLUMN id SET DEFAULT nextval('dist_eole_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE dist_ubuntu ALTER COLUMN id SET DEFAULT nextval('dist_ubuntu_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE modules ALTER COLUMN id SET DEFAULT nextval('modules_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE paquets ALTER COLUMN id SET DEFAULT nextval('paquets_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE paquets_conf ALTER COLUMN id SET DEFAULT nextval('paquets_conf_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: eole
--

ALTER TABLE paquets_release ALTER COLUMN id SET DEFAULT nextval('paquets_version_id_seq'::regclass);


--
-- Data for Name: binaires; Type: TABLE DATA; Schema: public; Owner: eole
--

INSERT INTO binaires VALUES ('eole-ead', 'eole-ead-common');
INSERT INTO binaires VALUES ('eole-ead', 'eole-ead-server');
INSERT INTO binaires VALUES ('eole-ead', 'eole-ead-web');
INSERT INTO binaires VALUES ('zephir-parc', 'zephir-common');
INSERT INTO binaires VALUES ('zephir-parc', 'zephir-backend');
INSERT INTO binaires VALUES ('zephir-parc', 'zephir-dictionnaires');
INSERT INTO binaires VALUES ('zephir-parc', 'zephir-doc');
INSERT INTO binaires VALUES ('zephir-parc', 'zephir-web');


--
-- Data for Name: dependances; Type: TABLE DATA; Schema: public; Owner: eole
--

INSERT INTO dependances VALUES ('adduser', 'perl-base');
INSERT INTO dependances VALUES ('adduser', 'passwd');
INSERT INTO dependances VALUES ('alsa-base', 'lsof');
INSERT INTO dependances VALUES ('alsa-base', 'module-init-tools');
INSERT INTO dependances VALUES ('alsa-base', 'linux-sound-base');
INSERT INTO dependances VALUES ('alsa-utils', 'libasound2');
INSERT INTO dependances VALUES ('alsa-utils', 'libc6');
INSERT INTO dependances VALUES ('alsa-utils', 'libncurses5');
INSERT INTO dependances VALUES ('alsa-utils', 'dialog');
INSERT INTO dependances VALUES ('alsa-utils', 'module-init-tools');
INSERT INTO dependances VALUES ('alsa-utils', 'pciutils');
INSERT INTO dependances VALUES ('alsa-utils', 'python');
INSERT INTO dependances VALUES ('alsa-utils', 'lsb-base');
INSERT INTO dependances VALUES ('alsa-utils', 'linux-sound-base');
INSERT INTO dependances VALUES ('apache2', 'apache2-mpm-event');
INSERT INTO dependances VALUES ('apache2-mpm-prefork', 'libapr1');
INSERT INTO dependances VALUES ('apache2-mpm-prefork', 'libaprutil1');
INSERT INTO dependances VALUES ('apache2-mpm-prefork', 'libc6');
INSERT INTO dependances VALUES ('apache2-mpm-prefork', 'libdb4.4');
INSERT INTO dependances VALUES ('apache2-mpm-prefork', 'libexpat1');
INSERT INTO dependances VALUES ('apache2-mpm-prefork', 'libldap2');
INSERT INTO dependances VALUES ('apache2-mpm-prefork', 'libpcre3');
INSERT INTO dependances VALUES ('apache2-mpm-prefork', 'libpq5');
INSERT INTO dependances VALUES ('apache2-mpm-prefork', 'libsqlite3-0');
INSERT INTO dependances VALUES ('apache2-mpm-prefork', 'libuuid1');
INSERT INTO dependances VALUES ('apache2-mpm-prefork', 'apache2.2-common');
INSERT INTO dependances VALUES ('apache2-utils', 'libapr1');
INSERT INTO dependances VALUES ('apache2-utils', 'libaprutil1');
INSERT INTO dependances VALUES ('apache2-utils', 'libc6');
INSERT INTO dependances VALUES ('apache2-utils', 'libdb4.4');
INSERT INTO dependances VALUES ('apache2-utils', 'libexpat1');
INSERT INTO dependances VALUES ('apache2-utils', 'libldap2');
INSERT INTO dependances VALUES ('apache2-utils', 'libpcre3');
INSERT INTO dependances VALUES ('apache2-utils', 'libpq5');
INSERT INTO dependances VALUES ('apache2-utils', 'libsqlite3-0');
INSERT INTO dependances VALUES ('apache2-utils', 'libssl0.9.8');
INSERT INTO dependances VALUES ('apache2-utils', 'libuuid1');
INSERT INTO dependances VALUES ('apache2.2-common', 'apache2-utils');
INSERT INTO dependances VALUES ('apache2.2-common', 'net-tools');
INSERT INTO dependances VALUES ('apache2.2-common', 'libmagic1');
INSERT INTO dependances VALUES ('apache2.2-common', 'mime-support');
INSERT INTO dependances VALUES ('apache2.2-common', 'lsb-base');
INSERT INTO dependances VALUES ('appres', 'libc6');
INSERT INTO dependances VALUES ('appres', 'libice6');
INSERT INTO dependances VALUES ('appres', 'libsm6');
INSERT INTO dependances VALUES ('appres', 'libx11-6');
INSERT INTO dependances VALUES ('appres', 'libxt6');
INSERT INTO dependances VALUES ('apt', 'libc6');
INSERT INTO dependances VALUES ('apt', 'libgcc1');
INSERT INTO dependances VALUES ('apt', 'libstdc++6');
INSERT INTO dependances VALUES ('apt-show-versions', 'apt');
INSERT INTO dependances VALUES ('apt-show-versions', 'libapt-pkg-perl');
INSERT INTO dependances VALUES ('apt-utils', 'libc6');
INSERT INTO dependances VALUES ('apt-utils', 'libdb4.4');
INSERT INTO dependances VALUES ('apt-utils', 'libgcc1');
INSERT INTO dependances VALUES ('apt-utils', 'libstdc++6');
INSERT INTO dependances VALUES ('aptitude', 'libc6');
INSERT INTO dependances VALUES ('aptitude', 'libgcc1');
INSERT INTO dependances VALUES ('aptitude', 'libncursesw5');
INSERT INTO dependances VALUES ('aptitude', 'libsigc++-2.0-0c2a');
INSERT INTO dependances VALUES ('aptitude', 'libstdc++6');
INSERT INTO dependances VALUES ('at', 'libc6');
INSERT INTO dependances VALUES ('at', 'libpam0g');
INSERT INTO dependances VALUES ('at', 'lsb-base');
INSERT INTO dependances VALUES ('at', 'sysv-rc');
INSERT INTO dependances VALUES ('autostatus', 'libc6');
INSERT INTO dependances VALUES ('autostatus', 'fping');
INSERT INTO dependances VALUES ('bacula-common', 'adduser');
INSERT INTO dependances VALUES ('bacula-fd', 'bacula-common');
INSERT INTO dependances VALUES ('bacula-fd', 'libacl1');
INSERT INTO dependances VALUES ('bacula-fd', 'libc6');
INSERT INTO dependances VALUES ('bacula-fd', 'libgcc1');
INSERT INTO dependances VALUES ('bacula-fd', 'libssl0.9.8');
INSERT INTO dependances VALUES ('bacula-fd', 'libstdc++6');
INSERT INTO dependances VALUES ('bacula-fd', 'libwrap0');
INSERT INTO dependances VALUES ('bacula-fd', 'python2.5');
INSERT INTO dependances VALUES ('bacula-fd', 'zlib1g');
INSERT INTO dependances VALUES ('base-files', 'base-passwd');
INSERT INTO dependances VALUES ('base-files', 'libpam-modules');
INSERT INTO dependances VALUES ('base-passwd', 'libc6');
INSERT INTO dependances VALUES ('bash', 'base-files');
INSERT INTO dependances VALUES ('bash', 'debianutils');
INSERT INTO dependances VALUES ('beforelight', 'libc6');
INSERT INTO dependances VALUES ('beforelight', 'libice6');
INSERT INTO dependances VALUES ('beforelight', 'libsm6');
INSERT INTO dependances VALUES ('beforelight', 'libx11-6');
INSERT INTO dependances VALUES ('beforelight', 'libxaw7');
INSERT INTO dependances VALUES ('beforelight', 'libxmu6');
INSERT INTO dependances VALUES ('beforelight', 'libxss1');
INSERT INTO dependances VALUES ('beforelight', 'libxt6');
INSERT INTO dependances VALUES ('belocs-locales-bin', 'libc6');
INSERT INTO dependances VALUES ('bind9', 'libbind9-0');
INSERT INTO dependances VALUES ('bind9', 'libc6');
INSERT INTO dependances VALUES ('bind9', 'libdns22');
INSERT INTO dependances VALUES ('bind9', 'libisc11');
INSERT INTO dependances VALUES ('bind9', 'libisccc0');
INSERT INTO dependances VALUES ('bind9', 'libisccfg1');
INSERT INTO dependances VALUES ('bind9', 'liblwres9');
INSERT INTO dependances VALUES ('bind9', 'libssl0.9.8');
INSERT INTO dependances VALUES ('bind9', 'netbase');
INSERT INTO dependances VALUES ('bind9', 'adduser');
INSERT INTO dependances VALUES ('bind9', 'lsb-base');
INSERT INTO dependances VALUES ('bind9-host', 'libbind9-0');
INSERT INTO dependances VALUES ('bind9-host', 'libc6');
INSERT INTO dependances VALUES ('bind9-host', 'libdns22');
INSERT INTO dependances VALUES ('bind9-host', 'libisc11');
INSERT INTO dependances VALUES ('bind9-host', 'libisccfg1');
INSERT INTO dependances VALUES ('bind9-host', 'liblwres9');
INSERT INTO dependances VALUES ('bind9-host', 'libssl0.9.8');
INSERT INTO dependances VALUES ('binutils', 'libc6');
INSERT INTO dependances VALUES ('binutils-static', 'libc6');
INSERT INTO dependances VALUES ('bitmap', 'libc6');
INSERT INTO dependances VALUES ('bitmap', 'libice6');
INSERT INTO dependances VALUES ('bitmap', 'libsm6');
INSERT INTO dependances VALUES ('bitmap', 'libx11-6');
INSERT INTO dependances VALUES ('bitmap', 'libxaw7');
INSERT INTO dependances VALUES ('bitmap', 'libxmu6');
INSERT INTO dependances VALUES ('bitmap', 'libxt6');
INSERT INTO dependances VALUES ('bsdmainutils', 'libc6');
INSERT INTO dependances VALUES ('bsdmainutils', 'libncurses5');
INSERT INTO dependances VALUES ('bsdmainutils', 'bsdutils');
INSERT INTO dependances VALUES ('bsdmainutils', 'debianutils');
INSERT INTO dependances VALUES ('bzip2', 'libbz2-1.0');
INSERT INTO dependances VALUES ('ca-certificates', 'openssl');
INSERT INTO dependances VALUES ('chkconfig', 'libc6');
INSERT INTO dependances VALUES ('chkconfig', 'libnewt0.52');
INSERT INTO dependances VALUES ('chkconfig', 'libpopt0');
INSERT INTO dependances VALUES ('chkrootkit', 'libc6');
INSERT INTO dependances VALUES ('chkrootkit', 'binutils');
INSERT INTO dependances VALUES ('chkrootkit', 'net-tools');
INSERT INTO dependances VALUES ('chkrootkit', 'procps');
INSERT INTO dependances VALUES ('clamav', 'libc6');
INSERT INTO dependances VALUES ('clamav', 'libclamav2');
INSERT INTO dependances VALUES ('clamav', 'zlib1g');
INSERT INTO dependances VALUES ('clamav', 'clamav-data');
INSERT INTO dependances VALUES ('clamav-base', 'adduser');
INSERT INTO dependances VALUES ('clamav-base', 'ucf');
INSERT INTO dependances VALUES ('clamav-base', 'logrotate');
INSERT INTO dependances VALUES ('clamav-freshclam', 'clamav-base');
INSERT INTO dependances VALUES ('clamav-freshclam', 'libc6');
INSERT INTO dependances VALUES ('clamav-freshclam', 'libclamav2');
INSERT INTO dependances VALUES ('clamav-freshclam', 'zlib1g');
INSERT INTO dependances VALUES ('clamav-freshclam', 'debianutils');
INSERT INTO dependances VALUES ('clamav-freshclam', 'ucf');
INSERT INTO dependances VALUES ('clamav-freshclam', 'logrotate');
INSERT INTO dependances VALUES ('clamav-freshclam', 'lsb-base');
INSERT INTO dependances VALUES ('command-not-found', 'python');
INSERT INTO dependances VALUES ('command-not-found', 'python-central');
INSERT INTO dependances VALUES ('command-not-found', 'command-not-found-data');
INSERT INTO dependances VALUES ('conf-amon', 'python');
INSERT INTO dependances VALUES ('console-setup', 'perl');
INSERT INTO dependances VALUES ('console-setup', 'console-terminus');
INSERT INTO dependances VALUES ('console-setup', 'xkb-data');
INSERT INTO dependances VALUES ('console-setup', 'initramfs-tools');
INSERT INTO dependances VALUES ('console-terminus', 'console-tools');
INSERT INTO dependances VALUES ('console-tools', 'libc6');
INSERT INTO dependances VALUES ('console-tools', 'libconsole');
INSERT INTO dependances VALUES ('console-tools', 'lsb-base');
INSERT INTO dependances VALUES ('cpio', 'libc6');
INSERT INTO dependances VALUES ('cpp', 'cpp-4.1');
INSERT INTO dependances VALUES ('cpp-4.1', 'gcc-4.1-base');
INSERT INTO dependances VALUES ('cpp-4.1', 'libc6');
INSERT INTO dependances VALUES ('creole', 'python');
INSERT INTO dependances VALUES ('creole', 'python-cheetah');
INSERT INTO dependances VALUES ('creole', 'python-glade2');
INSERT INTO dependances VALUES ('creole', 'python-gtk2');
INSERT INTO dependances VALUES ('cron', 'libc6');
INSERT INTO dependances VALUES ('cron', 'libpam0g');
INSERT INTO dependances VALUES ('cron', 'libselinux1');
INSERT INTO dependances VALUES ('cron', 'debianutils');
INSERT INTO dependances VALUES ('cron', 'adduser');
INSERT INTO dependances VALUES ('cron', 'lsb-base');
INSERT INTO dependances VALUES ('cron', 'sysv-rc');
INSERT INTO dependances VALUES ('cu', 'libc6');
INSERT INTO dependances VALUES ('dansguardian', 'libbz2-1.0');
INSERT INTO dependances VALUES ('dansguardian', 'libc6');
INSERT INTO dependances VALUES ('dansguardian', 'libclamav2');
INSERT INTO dependances VALUES ('dansguardian', 'libcomerr2');
INSERT INTO dependances VALUES ('dansguardian', 'libcurl3');
INSERT INTO dependances VALUES ('dansguardian', 'libgcc1');
INSERT INTO dependances VALUES ('dansguardian', 'libgmp3c2');
INSERT INTO dependances VALUES ('dansguardian', 'libidn11');
INSERT INTO dependances VALUES ('dansguardian', 'libkrb53');
INSERT INTO dependances VALUES ('dansguardian', 'libpcre3');
INSERT INTO dependances VALUES ('dansguardian', 'libssl0.9.8');
INSERT INTO dependances VALUES ('dansguardian', 'libstdc++6');
INSERT INTO dependances VALUES ('dansguardian', 'zlib1g');
INSERT INTO dependances VALUES ('dansguardian', 'perl');
INSERT INTO dependances VALUES ('dansguardian', 'adduser');
INSERT INTO dependances VALUES ('dansguardian', 'clamav');
INSERT INTO dependances VALUES ('dash', 'debianutils');
INSERT INTO dependances VALUES ('debconf', 'debconf-english');
INSERT INTO dependances VALUES ('debconf-i18n', 'debconf');
INSERT INTO dependances VALUES ('debconf-i18n', 'liblocale-gettext-perl');
INSERT INTO dependances VALUES ('debconf-i18n', 'libtext-iconv-perl');
INSERT INTO dependances VALUES ('debconf-i18n', 'libtext-wrapi18n-perl');
INSERT INTO dependances VALUES ('debconf-i18n', 'libtext-charwidth-perl');
INSERT INTO dependances VALUES ('defoma', 'dialog');
INSERT INTO dependances VALUES ('defoma', 'file');
INSERT INTO dependances VALUES ('defoma', 'perl');
INSERT INTO dependances VALUES ('dhcp3-client', 'debianutils');
INSERT INTO dependances VALUES ('dhcp3-client', 'dhcp3-common');
INSERT INTO dependances VALUES ('dhcp3-client', 'libc6');
INSERT INTO dependances VALUES ('dhcp3-client', 'libcap1');
INSERT INTO dependances VALUES ('dhcp3-common', 'debianutils');
INSERT INTO dependances VALUES ('dhcp3-common', 'libc6');
INSERT INTO dependances VALUES ('dhcp3-relay', 'debianutils');
INSERT INTO dependances VALUES ('dhcp3-relay', 'dhcp3-common');
INSERT INTO dependances VALUES ('dhcp3-relay', 'libc6');
INSERT INTO dependances VALUES ('dialog', 'libc6');
INSERT INTO dependances VALUES ('dialog', 'libncursesw5');
INSERT INTO dependances VALUES ('dialog', 'debianutils');
INSERT INTO dependances VALUES ('dmidecode', 'libc6');
INSERT INTO dependances VALUES ('dmsetup', 'libc6');
INSERT INTO dependances VALUES ('dmsetup', 'libdevmapper1.02');
INSERT INTO dependances VALUES ('dnsutils', 'libbind9-0');
INSERT INTO dependances VALUES ('dnsutils', 'libc6');
INSERT INTO dependances VALUES ('dnsutils', 'libdns22');
INSERT INTO dependances VALUES ('dnsutils', 'libisc11');
INSERT INTO dependances VALUES ('dnsutils', 'libisccfg1');
INSERT INTO dependances VALUES ('dnsutils', 'liblwres9');
INSERT INTO dependances VALUES ('dnsutils', 'libssl0.9.8');
INSERT INTO dependances VALUES ('dnsutils', 'host');
INSERT INTO dependances VALUES ('dosfstools', 'libc6');
INSERT INTO dependances VALUES ('dselect', 'libc6');
INSERT INTO dependances VALUES ('dselect', 'libgcc1');
INSERT INTO dependances VALUES ('dselect', 'libncurses5');
INSERT INTO dependances VALUES ('dselect', 'libstdc++6');
INSERT INTO dependances VALUES ('dselect', 'dpkg');
INSERT INTO dependances VALUES ('e2fslibs', 'libc6');
INSERT INTO dependances VALUES ('ead-amon', 'apache2');
INSERT INTO dependances VALUES ('ead-amon', 'php5');
INSERT INTO dependances VALUES ('ead-amon', 'php5-gd');
INSERT INTO dependances VALUES ('ead-amon', 'python');
INSERT INTO dependances VALUES ('ed', 'libc6');
INSERT INTO dependances VALUES ('editres', 'libc6');
INSERT INTO dependances VALUES ('editres', 'libice6');
INSERT INTO dependances VALUES ('editres', 'libsm6');
INSERT INTO dependances VALUES ('editres', 'libx11-6');
INSERT INTO dependances VALUES ('editres', 'libxaw7');
INSERT INTO dependances VALUES ('editres', 'libxmu6');
INSERT INTO dependances VALUES ('editres', 'libxt6');
INSERT INTO dependances VALUES ('eject', 'libc6');
INSERT INTO dependances VALUES ('eject', 'libdevmapper1.02');
INSERT INTO dependances VALUES ('eole-ead-common', 'python');
INSERT INTO dependances VALUES ('eole-ead-common', 'python-nevow');
INSERT INTO dependances VALUES ('eole-ead-common', 'python-pyopenssl');
INSERT INTO dependances VALUES ('eole-ead-server', 'python');
INSERT INTO dependances VALUES ('eole-ead-server', 'eole-ead-common');
INSERT INTO dependances VALUES ('eole-ead-server', 'lshw');
INSERT INTO dependances VALUES ('eole-ead-server', 'python-pam');
INSERT INTO dependances VALUES ('eole-ead-web', 'python');
INSERT INTO dependances VALUES ('eole-ead-web', 'eole-ead-common');
INSERT INTO dependances VALUES ('eole-kernel-version', 'linux-image-2.6.20-16-eole');
INSERT INTO dependances VALUES ('eole-kernel-version', 'linux-image-debug-2.6.20-16-eole');
INSERT INTO dependances VALUES ('eole-kernel-version', 'linux-headers-2.6.20-16-eole');
INSERT INTO dependances VALUES ('eole-register', 'python');
INSERT INTO dependances VALUES ('eole-register', 'python-twisted');
INSERT INTO dependances VALUES ('eolebase', 'apt-show-versions');
INSERT INTO dependances VALUES ('eolebase', 'autostatus');
INSERT INTO dependances VALUES ('eolebase', 'chkconfig');
INSERT INTO dependances VALUES ('eolebase', 'creole');
INSERT INTO dependances VALUES ('eolebase', 'dialog');
INSERT INTO dependances VALUES ('eolebase', 'eole-ead-common');
INSERT INTO dependances VALUES ('eolebase', 'eole-ead-server');
INSERT INTO dependances VALUES ('eolebase', 'eole-ead-web');
INSERT INTO dependances VALUES ('eolebase', 'eole-register');
INSERT INTO dependances VALUES ('eolebase', 'eolex11');
INSERT INTO dependances VALUES ('eolebase', 'gnupg');
INSERT INTO dependances VALUES ('eolebase', 'gpm');
INSERT INTO dependances VALUES ('eolebase', 'fping');
INSERT INTO dependances VALUES ('eolebase', 'iptraf');
INSERT INTO dependances VALUES ('eolebase', 'language-pack-fr-base');
INSERT INTO dependances VALUES ('eolebase', 'language-pack-en-base');
INSERT INTO dependances VALUES ('eolebase', 'language-pack-es-base');
INSERT INTO dependances VALUES ('eolebase', 'language-pack-de-base');
INSERT INTO dependances VALUES ('eolebase', 'libxml2-utils');
INSERT INTO dependances VALUES ('eolebase', 'localization-config');
INSERT INTO dependances VALUES ('eolebase', 'lvm2');
INSERT INTO dependances VALUES ('eolebase', 'lynx');
INSERT INTO dependances VALUES ('eolebase', 'mailx');
INSERT INTO dependances VALUES ('eolebase', 'manpages-fr');
INSERT INTO dependances VALUES ('eolebase', 'manpages-de');
INSERT INTO dependances VALUES ('eolebase', 'manpages-es');
INSERT INTO dependances VALUES ('eolebase', 'mc');
INSERT INTO dependances VALUES ('eolebase', 'mdadm');
INSERT INTO dependances VALUES ('eolebase', 'nut');
INSERT INTO dependances VALUES ('eolebase', 'nut-usb');
INSERT INTO dependances VALUES ('eolebase', 'openssh-server');
INSERT INTO dependances VALUES ('eolebase', 'openssh-client');
INSERT INTO dependances VALUES ('eolebase', 'patch');
INSERT INTO dependances VALUES ('eolebase', 'rsync');
INSERT INTO dependances VALUES ('eolebase', 'stunnel');
INSERT INTO dependances VALUES ('eolebase', 'sudo');
INSERT INTO dependances VALUES ('eolebase', 'tcpdump');
INSERT INTO dependances VALUES ('eolebase', 'ulogd');
INSERT INTO dependances VALUES ('eolebase', 'unzip');
INSERT INTO dependances VALUES ('eolebase', 'usplash');
INSERT INTO dependances VALUES ('eolebase', 'usplash-theme-eole');
INSERT INTO dependances VALUES ('eolebase', 'vim');
INSERT INTO dependances VALUES ('eolebase', 'vlan');
INSERT INTO dependances VALUES ('eolebase', 'zephir-client');
INSERT INTO dependances VALUES ('eolebase', 'zip');
INSERT INTO dependances VALUES ('eolebase', 'gawk');
INSERT INTO dependances VALUES ('eolebase', 'console-data');
INSERT INTO dependances VALUES ('eolex11', 'xserver-xorg-input-all');
INSERT INTO dependances VALUES ('eolex11', 'xserver-xorg-video-all');
INSERT INTO dependances VALUES ('eolex11', 'xfonts-utils');
INSERT INTO dependances VALUES ('eolex11', 'xfonts-base');
INSERT INTO dependances VALUES ('eolex11', 'xfonts-100dpi');
INSERT INTO dependances VALUES ('eolex11', 'xfonts-75dpi');
INSERT INTO dependances VALUES ('eolex11', 'xinit');
INSERT INTO dependances VALUES ('eolex11', 'numlockx');
INSERT INTO dependances VALUES ('eolex11', 'mdetect');
INSERT INTO dependances VALUES ('eolex11', 'read-edid');
INSERT INTO dependances VALUES ('era', 'python');
INSERT INTO dependances VALUES ('era', 'creole');
INSERT INTO dependances VALUES ('ethtool', 'libc6');
INSERT INTO dependances VALUES ('fdutils', 'libc6');
INSERT INTO dependances VALUES ('fdutils', 'debianutils');
INSERT INTO dependances VALUES ('file', 'libmagic1');
INSERT INTO dependances VALUES ('file', 'libc6');
INSERT INTO dependances VALUES ('filtrage', 'python');
INSERT INTO dependances VALUES ('filtrage', 'python-reverend');
INSERT INTO dependances VALUES ('firefox', 'fontconfig');
INSERT INTO dependances VALUES ('firefox', 'psmisc');
INSERT INTO dependances VALUES ('firefox', 'debianutils');
INSERT INTO dependances VALUES ('firefox', 'libatk1.0-0');
INSERT INTO dependances VALUES ('firefox', 'libc6');
INSERT INTO dependances VALUES ('firefox', 'libcairo2');
INSERT INTO dependances VALUES ('firefox', 'libfontconfig1');
INSERT INTO dependances VALUES ('firefox', 'libfreetype6');
INSERT INTO dependances VALUES ('firefox', 'libgcc1');
INSERT INTO dependances VALUES ('firefox', 'libglib2.0-0');
INSERT INTO dependances VALUES ('firefox', 'libgtk2.0-0');
INSERT INTO dependances VALUES ('firefox', 'libhunspell-1.1-0');
INSERT INTO dependances VALUES ('firefox', 'libjpeg62');
INSERT INTO dependances VALUES ('firefox', 'libpango1.0-0');
INSERT INTO dependances VALUES ('firefox', 'libstdc++6');
INSERT INTO dependances VALUES ('firefox', 'libx11-6');
INSERT INTO dependances VALUES ('firefox', 'libxft2');
INSERT INTO dependances VALUES ('firefox', 'libxinerama1');
INSERT INTO dependances VALUES ('firefox', 'libxrender1');
INSERT INTO dependances VALUES ('firefox', 'libxt6');
INSERT INTO dependances VALUES ('firefox', 'zlib1g');
INSERT INTO dependances VALUES ('firefox', 'libnspr4');
INSERT INTO dependances VALUES ('firefox', 'libnss3');
INSERT INTO dependances VALUES ('fontconfig', 'libc6');
INSERT INTO dependances VALUES ('fontconfig', 'libexpat1');
INSERT INTO dependances VALUES ('fontconfig', 'libfontconfig1');
INSERT INTO dependances VALUES ('fontconfig', 'libfreetype6');
INSERT INTO dependances VALUES ('fontconfig', 'zlib1g');
INSERT INTO dependances VALUES ('fontconfig', 'defoma');
INSERT INTO dependances VALUES ('fontconfig', 'fontconfig-config');
INSERT INTO dependances VALUES ('fontconfig-config', 'ucf');
INSERT INTO dependances VALUES ('fontconfig-config', 'msttcorefonts');
INSERT INTO dependances VALUES ('fping', 'libc6');
INSERT INTO dependances VALUES ('fstobdf', 'libc6');
INSERT INTO dependances VALUES ('fstobdf', 'libfs6');
INSERT INTO dependances VALUES ('fstobdf', 'libx11-6');
INSERT INTO dependances VALUES ('ftp', 'libc6');
INSERT INTO dependances VALUES ('ftp', 'libncurses5');
INSERT INTO dependances VALUES ('ftp', 'libreadline5');
INSERT INTO dependances VALUES ('ftp', 'netbase');
INSERT INTO dependances VALUES ('gettext-base', 'libc6');
INSERT INTO dependances VALUES ('gnupg', 'libbz2-1.0');
INSERT INTO dependances VALUES ('gnupg', 'libc6');
INSERT INTO dependances VALUES ('gnupg', 'libldap2');
INSERT INTO dependances VALUES ('gnupg', 'libreadline5');
INSERT INTO dependances VALUES ('gnupg', 'libusb-0.1-4');
INSERT INTO dependances VALUES ('gnupg', 'zlib1g');
INSERT INTO dependances VALUES ('gnupg', 'gpgv');
INSERT INTO dependances VALUES ('gpgv', 'libc6');
INSERT INTO dependances VALUES ('gpgv', 'zlib1g');
INSERT INTO dependances VALUES ('gpm', 'libc6');
INSERT INTO dependances VALUES ('gpm', 'debianutils');
INSERT INTO dependances VALUES ('gpm', 'ucf');
INSERT INTO dependances VALUES ('gpm', 'lsb-base');
INSERT INTO dependances VALUES ('groff-base', 'libc6');
INSERT INTO dependances VALUES ('groff-base', 'libgcc1');
INSERT INTO dependances VALUES ('groff-base', 'libstdc++6');
INSERT INTO dependances VALUES ('grub', 'libc6');
INSERT INTO dependances VALUES ('grub', 'libncurses5');
INSERT INTO dependances VALUES ('grub', 'volumeid');
INSERT INTO dependances VALUES ('gzip', 'debianutils');
INSERT INTO dependances VALUES ('hdparm', 'libc6');
INSERT INTO dependances VALUES ('iceauth', 'libc6');
INSERT INTO dependances VALUES ('iceauth', 'libice6');
INSERT INTO dependances VALUES ('ico', 'libc6');
INSERT INTO dependances VALUES ('ico', 'libx11-6');
INSERT INTO dependances VALUES ('ifupdown', 'net-tools');
INSERT INTO dependances VALUES ('ifupdown', 'libc6');
INSERT INTO dependances VALUES ('ifupdown', 'lsb-base');
INSERT INTO dependances VALUES ('info', 'libc6');
INSERT INTO dependances VALUES ('info', 'libncurses5');
INSERT INTO dependances VALUES ('initramfs-tools', 'klibc-utils');
INSERT INTO dependances VALUES ('initramfs-tools', 'busybox-initramfs');
INSERT INTO dependances VALUES ('initramfs-tools', 'cpio');
INSERT INTO dependances VALUES ('initramfs-tools', 'module-init-tools');
INSERT INTO dependances VALUES ('initramfs-tools', 'udev');
INSERT INTO dependances VALUES ('initramfs-tools', 'volumeid');
INSERT INTO dependances VALUES ('initscripts', 'libc6');
INSERT INTO dependances VALUES ('initscripts', 'mount');
INSERT INTO dependances VALUES ('initscripts', 'e2fsprogs');
INSERT INTO dependances VALUES ('initscripts', 'debianutils');
INSERT INTO dependances VALUES ('initscripts', 'lsb-base');
INSERT INTO dependances VALUES ('initscripts', 'sysvutils');
INSERT INTO dependances VALUES ('inputattach', 'libc6');
INSERT INTO dependances VALUES ('iproute', 'libc6');
INSERT INTO dependances VALUES ('iproute', 'libdb4.3');
INSERT INTO dependances VALUES ('ipsec-tools', 'libc6');
INSERT INTO dependances VALUES ('ipsec-tools', 'libcomerr2');
INSERT INTO dependances VALUES ('ipsec-tools', 'libkrb53');
INSERT INTO dependances VALUES ('ipsec-tools', 'libpam0g');
INSERT INTO dependances VALUES ('ipsec-tools', 'libssl0.9.8');
INSERT INTO dependances VALUES ('ipsec-tools', 'lsb-base');
INSERT INTO dependances VALUES ('iptables', 'libc6');
INSERT INTO dependances VALUES ('iptables', 'libselinux1');
INSERT INTO dependances VALUES ('iptraf', 'libc6');
INSERT INTO dependances VALUES ('iptraf', 'libncurses5');
INSERT INTO dependances VALUES ('iputils-arping', 'libc6');
INSERT INTO dependances VALUES ('iputils-ping', 'libc6');
INSERT INTO dependances VALUES ('iputils-tracepath', 'libc6');
INSERT INTO dependances VALUES ('klibc-utils', 'libklibc');
INSERT INTO dependances VALUES ('language-pack-de', 'language-pack-de-base');
INSERT INTO dependances VALUES ('language-pack-de-base', 'locales');
INSERT INTO dependances VALUES ('language-pack-de-base', 'language-pack-de');
INSERT INTO dependances VALUES ('language-pack-en', 'language-pack-en-base');
INSERT INTO dependances VALUES ('language-pack-en-base', 'locales');
INSERT INTO dependances VALUES ('language-pack-en-base', 'language-pack-en');
INSERT INTO dependances VALUES ('language-pack-es', 'language-pack-es-base');
INSERT INTO dependances VALUES ('language-pack-es-base', 'locales');
INSERT INTO dependances VALUES ('language-pack-es-base', 'language-pack-es');
INSERT INTO dependances VALUES ('language-pack-fr', 'language-pack-fr-base');
INSERT INTO dependances VALUES ('language-pack-fr-base', 'locales');
INSERT INTO dependances VALUES ('language-pack-fr-base', 'language-pack-fr');
INSERT INTO dependances VALUES ('language-pack-gnome-en', 'language-pack-gnome-en-base');
INSERT INTO dependances VALUES ('language-pack-gnome-en-base', 'locales');
INSERT INTO dependances VALUES ('language-pack-gnome-en-base', 'language-pack-gnome-en');
INSERT INTO dependances VALUES ('language-pack-gnome-fr', 'language-pack-gnome-fr-base');
INSERT INTO dependances VALUES ('language-pack-gnome-fr-base', 'locales');
INSERT INTO dependances VALUES ('language-pack-gnome-fr-base', 'language-pack-gnome-fr');
INSERT INTO dependances VALUES ('laptop-detect', 'dmidecode');
INSERT INTO dependances VALUES ('less', 'libc6');
INSERT INTO dependances VALUES ('less', 'libncurses5');
INSERT INTO dependances VALUES ('less', 'debianutils');
INSERT INTO dependances VALUES ('libacl1', 'libattr1');
INSERT INTO dependances VALUES ('libacl1', 'libc6');
INSERT INTO dependances VALUES ('libapache2-mod-php5', 'libbz2-1.0');
INSERT INTO dependances VALUES ('libapache2-mod-php5', 'libc6');
INSERT INTO dependances VALUES ('libapache2-mod-php5', 'libcomerr2');
INSERT INTO dependances VALUES ('libapache2-mod-php5', 'libdb4.4');
INSERT INTO dependances VALUES ('libapache2-mod-php5', 'libkrb53');
INSERT INTO dependances VALUES ('libapache2-mod-php5', 'libpcre3');
INSERT INTO dependances VALUES ('libapache2-mod-php5', 'libssl0.9.8');
INSERT INTO dependances VALUES ('libapache2-mod-php5', 'libxml2');
INSERT INTO dependances VALUES ('libapache2-mod-php5', 'zlib1g');
INSERT INTO dependances VALUES ('libapache2-mod-php5', 'mime-support');
INSERT INTO dependances VALUES ('libapache2-mod-php5', 'apache2-mpm-itk');
INSERT INTO dependances VALUES ('libapache2-mod-php5', 'apache2.2-common');
INSERT INTO dependances VALUES ('libapache2-mod-php5', 'php5-common');
INSERT INTO dependances VALUES ('libapache2-mod-php5', 'libmagic1');
INSERT INTO dependances VALUES ('libapache2-mod-php5', 'ucf');
INSERT INTO dependances VALUES ('libapr1', 'libc6');
INSERT INTO dependances VALUES ('libapr1', 'libuuid1');
INSERT INTO dependances VALUES ('libaprutil1', 'libapr1');
INSERT INTO dependances VALUES ('libaprutil1', 'libc6');
INSERT INTO dependances VALUES ('libaprutil1', 'libdb4.4');
INSERT INTO dependances VALUES ('libaprutil1', 'libexpat1');
INSERT INTO dependances VALUES ('libaprutil1', 'libldap2');
INSERT INTO dependances VALUES ('libaprutil1', 'libpq5');
INSERT INTO dependances VALUES ('libaprutil1', 'libsqlite3-0');
INSERT INTO dependances VALUES ('libaprutil1', 'libuuid1');
INSERT INTO dependances VALUES ('libapt-pkg-perl', 'perl-base');
INSERT INTO dependances VALUES ('libapt-pkg-perl', 'libc6');
INSERT INTO dependances VALUES ('libapt-pkg-perl', 'libgcc1');
INSERT INTO dependances VALUES ('libapt-pkg-perl', 'libstdc++6');
INSERT INTO dependances VALUES ('libart-2.0-2', 'libc6');
INSERT INTO dependances VALUES ('libasound2', 'libc6');
INSERT INTO dependances VALUES ('libatk1.0-0', 'libc6');
INSERT INTO dependances VALUES ('libatk1.0-0', 'libglib2.0-0');
INSERT INTO dependances VALUES ('libattr1', 'libc6');
INSERT INTO dependances VALUES ('libbind9-0', 'libc6');
INSERT INTO dependances VALUES ('libbind9-0', 'libdns22');
INSERT INTO dependances VALUES ('libbind9-0', 'libisc11');
INSERT INTO dependances VALUES ('libbind9-0', 'libisccfg1');
INSERT INTO dependances VALUES ('libblkid1', 'libc6');
INSERT INTO dependances VALUES ('libblkid1', 'libdevmapper1.02');
INSERT INTO dependances VALUES ('libblkid1', 'libselinux1');
INSERT INTO dependances VALUES ('libblkid1', 'libsepol1');
INSERT INTO dependances VALUES ('libbz2-1.0', 'libc6');
INSERT INTO dependances VALUES ('libc6', 'locales');
INSERT INTO dependances VALUES ('libcairo2', 'libc6');
INSERT INTO dependances VALUES ('libcairo2', 'libfontconfig1');
INSERT INTO dependances VALUES ('libcairo2', 'libfreetype6');
INSERT INTO dependances VALUES ('libcairo2', 'libpng12-0');
INSERT INTO dependances VALUES ('libcairo2', 'libx11-6');
INSERT INTO dependances VALUES ('libcairo2', 'libxrender1');
INSERT INTO dependances VALUES ('libcairo2', 'zlib1g');
INSERT INTO dependances VALUES ('libcap1', 'libc6');
INSERT INTO dependances VALUES ('libclamav2', 'libbz2-1.0');
INSERT INTO dependances VALUES ('libclamav2', 'libc6');
INSERT INTO dependances VALUES ('libclamav2', 'libcomerr2');
INSERT INTO dependances VALUES ('libclamav2', 'libcurl3');
INSERT INTO dependances VALUES ('libclamav2', 'libgmp3c2');
INSERT INTO dependances VALUES ('libclamav2', 'libidn11');
INSERT INTO dependances VALUES ('libclamav2', 'libkrb53');
INSERT INTO dependances VALUES ('libclamav2', 'libssl0.9.8');
INSERT INTO dependances VALUES ('libclamav2', 'zlib1g');
INSERT INTO dependances VALUES ('libcomerr2', 'libc6');
INSERT INTO dependances VALUES ('libconfig-inifiles-perl', 'perl-base');
INSERT INTO dependances VALUES ('libconsole', 'libc6');
INSERT INTO dependances VALUES ('libcupsys2', 'libc6');
INSERT INTO dependances VALUES ('libcupsys2', 'libgnutls13');
INSERT INTO dependances VALUES ('libcupsys2', 'zlib1g');
INSERT INTO dependances VALUES ('libcurl3', 'libc6');
INSERT INTO dependances VALUES ('libcurl3', 'libcomerr2');
INSERT INTO dependances VALUES ('libcurl3', 'libidn11');
INSERT INTO dependances VALUES ('libcurl3', 'libkrb53');
INSERT INTO dependances VALUES ('libcurl3', 'libssl0.9.8');
INSERT INTO dependances VALUES ('libcurl3', 'zlib1g');
INSERT INTO dependances VALUES ('libcurl3', 'ca-certificates');
INSERT INTO dependances VALUES ('libdatrie0', 'libc6');
INSERT INTO dependances VALUES ('libdb4.2', 'libc6');
INSERT INTO dependances VALUES ('libdb4.3', 'libc6');
INSERT INTO dependances VALUES ('libdb4.4', 'libc6');
INSERT INTO dependances VALUES ('libdbus-1-3', 'libc6');
INSERT INTO dependances VALUES ('libdevmapper1.02', 'dmsetup');
INSERT INTO dependances VALUES ('libdmx1', 'libc6');
INSERT INTO dependances VALUES ('libdmx1', 'libx11-6');
INSERT INTO dependances VALUES ('libdmx1', 'libxext6');
INSERT INTO dependances VALUES ('libdns22', 'libc6');
INSERT INTO dependances VALUES ('libdns22', 'libisc11');
INSERT INTO dependances VALUES ('libdns22', 'libssl0.9.8');
INSERT INTO dependances VALUES ('libdrm2', 'libc6');
INSERT INTO dependances VALUES ('libedit2', 'libc6');
INSERT INTO dependances VALUES ('libedit2', 'libncurses5');
INSERT INTO dependances VALUES ('libelfg0', 'libc6');
INSERT INTO dependances VALUES ('libexpat1', 'libc6');
INSERT INTO dependances VALUES ('libfontconfig1', 'libc6');
INSERT INTO dependances VALUES ('libfontconfig1', 'libexpat1');
INSERT INTO dependances VALUES ('libfontconfig1', 'libfreetype6');
INSERT INTO dependances VALUES ('libfontconfig1', 'zlib1g');
INSERT INTO dependances VALUES ('libfontconfig1', 'fontconfig-config');
INSERT INTO dependances VALUES ('libfontenc1', 'libc6');
INSERT INTO dependances VALUES ('libfontenc1', 'zlib1g');
INSERT INTO dependances VALUES ('libfontenc1', 'x11-common');
INSERT INTO dependances VALUES ('libfreetype6', 'libc6');
INSERT INTO dependances VALUES ('libfreetype6', 'zlib1g');
INSERT INTO dependances VALUES ('libfribidi0', 'libc6');
INSERT INTO dependances VALUES ('libfs6', 'libc6');
INSERT INTO dependances VALUES ('libfs6', 'x11-common');
INSERT INTO dependances VALUES ('libgc1c2', 'libc6');
INSERT INTO dependances VALUES ('libgc1c2', 'libgcc1');
INSERT INTO dependances VALUES ('libgc1c2', 'libstdc++6');
INSERT INTO dependances VALUES ('libgcc1', 'gcc-4.1-base');
INSERT INTO dependances VALUES ('libgcc1', 'libc6');
INSERT INTO dependances VALUES ('libgcrypt11', 'libc6');
INSERT INTO dependances VALUES ('libgcrypt11', 'libgpg-error0');
INSERT INTO dependances VALUES ('libgd2-xpm', 'libc6');
INSERT INTO dependances VALUES ('libgd2-xpm', 'libfontconfig1');
INSERT INTO dependances VALUES ('libgd2-xpm', 'libfreetype6');
INSERT INTO dependances VALUES ('libgd2-xpm', 'libjpeg62');
INSERT INTO dependances VALUES ('libgd2-xpm', 'libpng12-0');
INSERT INTO dependances VALUES ('libgd2-xpm', 'libx11-6');
INSERT INTO dependances VALUES ('libgd2-xpm', 'libxpm4');
INSERT INTO dependances VALUES ('libgd2-xpm', 'zlib1g');
INSERT INTO dependances VALUES ('libgdbm3', 'libc6');
INSERT INTO dependances VALUES ('libgl1-mesa-glx', 'libc6');
INSERT INTO dependances VALUES ('libgl1-mesa-glx', 'libdrm2');
INSERT INTO dependances VALUES ('libgl1-mesa-glx', 'libx11-6');
INSERT INTO dependances VALUES ('libgl1-mesa-glx', 'libxext6');
INSERT INTO dependances VALUES ('libgl1-mesa-glx', 'libxxf86vm1');
INSERT INTO dependances VALUES ('libglade2-0', 'libatk1.0-0');
INSERT INTO dependances VALUES ('libglade2-0', 'libc6');
INSERT INTO dependances VALUES ('libglade2-0', 'libcairo2');
INSERT INTO dependances VALUES ('libglade2-0', 'libfontconfig1');
INSERT INTO dependances VALUES ('libglade2-0', 'libglib2.0-0');
INSERT INTO dependances VALUES ('libglade2-0', 'libgtk2.0-0');
INSERT INTO dependances VALUES ('libglade2-0', 'libpango1.0-0');
INSERT INTO dependances VALUES ('libglade2-0', 'libx11-6');
INSERT INTO dependances VALUES ('libglade2-0', 'libxcursor1');
INSERT INTO dependances VALUES ('libglade2-0', 'libxext6');
INSERT INTO dependances VALUES ('libglade2-0', 'libxfixes3');
INSERT INTO dependances VALUES ('libglade2-0', 'libxi6');
INSERT INTO dependances VALUES ('libglade2-0', 'libxinerama1');
INSERT INTO dependances VALUES ('libglade2-0', 'libxml2');
INSERT INTO dependances VALUES ('libglade2-0', 'libxrandr2');
INSERT INTO dependances VALUES ('libglade2-0', 'libxrender1');
INSERT INTO dependances VALUES ('libglib2.0-0', 'libc6');
INSERT INTO dependances VALUES ('libgmp3c2', 'libc6');
INSERT INTO dependances VALUES ('libgnutls13', 'libc6');
INSERT INTO dependances VALUES ('libgnutls13', 'libgcrypt11');
INSERT INTO dependances VALUES ('libgnutls13', 'libgpg-error0');
INSERT INTO dependances VALUES ('libgnutls13', 'liblzo1');
INSERT INTO dependances VALUES ('libgnutls13', 'libopencdk8');
INSERT INTO dependances VALUES ('libgnutls13', 'libtasn1-3');
INSERT INTO dependances VALUES ('libgnutls13', 'zlib1g');
INSERT INTO dependances VALUES ('libgpg-error0', 'libc6');
INSERT INTO dependances VALUES ('libgpmg1', 'libc6');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libgtk2.0-common');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libgtk2.0-bin');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libatk1.0-0');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libc6');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libcairo2');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libcupsys2');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libfontconfig1');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libglib2.0-0');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libgnutls13');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libgtk2.0-0');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libjpeg62');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libpango1.0-0');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libpng12-0');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libtiff4');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libx11-6');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libxcursor1');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libxext6');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libxfixes3');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libxi6');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libxinerama1');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libxrandr2');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'libxrender1');
INSERT INTO dependances VALUES ('libgtk2.0-0', 'zlib1g');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libatk1.0-0');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libc6');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libcairo2');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libfontconfig1');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libfreetype6');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libglib2.0-0');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libgtk2.0-0');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libpango1.0-0');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libpng12-0');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libx11-6');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libxcursor1');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libxext6');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libxfixes3');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libxi6');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libxinerama1');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libxrandr2');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'libxrender1');
INSERT INTO dependances VALUES ('libgtk2.0-bin', 'zlib1g');
INSERT INTO dependances VALUES ('libgtk2.0-common', 'libgtk2.0-0');
INSERT INTO dependances VALUES ('libhunspell-1.1-0', 'libc6');
INSERT INTO dependances VALUES ('libhunspell-1.1-0', 'libgcc1');
INSERT INTO dependances VALUES ('libhunspell-1.1-0', 'libstdc++6');
INSERT INTO dependances VALUES ('libice6', 'libc6');
INSERT INTO dependances VALUES ('libice6', 'x11-common');
INSERT INTO dependances VALUES ('libidn11', 'libc6');
INSERT INTO dependances VALUES ('libisc11', 'libc6');
INSERT INTO dependances VALUES ('libisccc0', 'libc6');
INSERT INTO dependances VALUES ('libisccc0', 'libisc11');
INSERT INTO dependances VALUES ('libisccfg1', 'libc6');
INSERT INTO dependances VALUES ('libisccfg1', 'libdns22');
INSERT INTO dependances VALUES ('libisccfg1', 'libisc11');
INSERT INTO dependances VALUES ('libisccfg1', 'libisccc0');
INSERT INTO dependances VALUES ('libiw28', 'libc6');
INSERT INTO dependances VALUES ('libjpeg62', 'libc6');
INSERT INTO dependances VALUES ('libkrb53', 'libc6');
INSERT INTO dependances VALUES ('libkrb53', 'libcomerr2');
INSERT INTO dependances VALUES ('libldap2', 'libc6');
INSERT INTO dependances VALUES ('libldap2', 'libgnutls13');
INSERT INTO dependances VALUES ('libldap2', 'libsasl2-2');
INSERT INTO dependances VALUES ('liblocale-gettext-perl', 'libc6');
INSERT INTO dependances VALUES ('liblockfile1', 'libc6');
INSERT INTO dependances VALUES ('liblwres9', 'libc6');
INSERT INTO dependances VALUES ('liblzo1', 'libc6');
INSERT INTO dependances VALUES ('libmagic1', 'libc6');
INSERT INTO dependances VALUES ('libmagic1', 'zlib1g');
INSERT INTO dependances VALUES ('libncurses5', 'libc6');
INSERT INTO dependances VALUES ('libncursesw5', 'libc6');
INSERT INTO dependances VALUES ('libneon26', 'libc6');
INSERT INTO dependances VALUES ('libneon26', 'libcomerr2');
INSERT INTO dependances VALUES ('libneon26', 'libkrb53');
INSERT INTO dependances VALUES ('libneon26', 'libssl0.9.8');
INSERT INTO dependances VALUES ('libneon26', 'libxml2');
INSERT INTO dependances VALUES ('libneon26', 'zlib1g');
INSERT INTO dependances VALUES ('libnewt0.52', 'libc6');
INSERT INTO dependances VALUES ('libnewt0.52', 'libslang2');
INSERT INTO dependances VALUES ('libnspr4', 'libc6');
INSERT INTO dependances VALUES ('libnss3', 'libc6');
INSERT INTO dependances VALUES ('libnss3', 'libnspr4');
INSERT INTO dependances VALUES ('libopencdk8', 'libc6');
INSERT INTO dependances VALUES ('libopencdk8', 'libgcrypt11');
INSERT INTO dependances VALUES ('libopencdk8', 'libgpg-error0');
INSERT INTO dependances VALUES ('libopencdk8', 'zlib1g');
INSERT INTO dependances VALUES ('libpam-foreground', 'libc6');
INSERT INTO dependances VALUES ('libpam-modules', 'libc6');
INSERT INTO dependances VALUES ('libpam-modules', 'libcap1');
INSERT INTO dependances VALUES ('libpam-modules', 'libdb4.3');
INSERT INTO dependances VALUES ('libpam-modules', 'libpam0g');
INSERT INTO dependances VALUES ('libpam-modules', 'libselinux1');
INSERT INTO dependances VALUES ('libpam-runtime', 'libpam-foreground');
INSERT INTO dependances VALUES ('libpam0g', 'libc6');
INSERT INTO dependances VALUES ('libpam0g', 'libpam-runtime');
INSERT INTO dependances VALUES ('libpango1.0-0', 'libpango1.0-common');
INSERT INTO dependances VALUES ('libpango1.0-0', 'libc6');
INSERT INTO dependances VALUES ('libpango1.0-0', 'libcairo2');
INSERT INTO dependances VALUES ('libpango1.0-0', 'libdatrie0');
INSERT INTO dependances VALUES ('libpango1.0-0', 'libfontconfig1');
INSERT INTO dependances VALUES ('libpango1.0-0', 'libfreetype6');
INSERT INTO dependances VALUES ('libpango1.0-0', 'libglib2.0-0');
INSERT INTO dependances VALUES ('libpango1.0-0', 'libthai0');
INSERT INTO dependances VALUES ('libpango1.0-0', 'libx11-6');
INSERT INTO dependances VALUES ('libpango1.0-0', 'libxft2');
INSERT INTO dependances VALUES ('libpango1.0-0', 'libxrender1');
INSERT INTO dependances VALUES ('libpango1.0-0', 'zlib1g');
INSERT INTO dependances VALUES ('libpango1.0-common', 'defoma');
INSERT INTO dependances VALUES ('libpango1.0-common', 'fontconfig');
INSERT INTO dependances VALUES ('libparted1.7-1', 'libc6');
INSERT INTO dependances VALUES ('libparted1.7-1', 'libuuid1');
INSERT INTO dependances VALUES ('libpcap0.8', 'libc6');
INSERT INTO dependances VALUES ('libpci2', 'libc6');
INSERT INTO dependances VALUES ('libpcre3', 'libc6');
INSERT INTO dependances VALUES ('libpng12-0', 'libc6');
INSERT INTO dependances VALUES ('libpng12-0', 'zlib1g');
INSERT INTO dependances VALUES ('libpopt0', 'libc6');
INSERT INTO dependances VALUES ('libpq5', 'libc6');
INSERT INTO dependances VALUES ('libpq5', 'libcomerr2');
INSERT INTO dependances VALUES ('libpq5', 'libkrb53');
INSERT INTO dependances VALUES ('libpq5', 'libssl0.9.8');
INSERT INTO dependances VALUES ('libprelude2', 'libc6');
INSERT INTO dependances VALUES ('libprelude2', 'libgcrypt11');
INSERT INTO dependances VALUES ('libprelude2', 'libgnutls13');
INSERT INTO dependances VALUES ('libprelude2', 'libgpg-error0');
INSERT INTO dependances VALUES ('libreadline5', 'readline-common');
INSERT INTO dependances VALUES ('libreadline5', 'libc6');
INSERT INTO dependances VALUES ('libreadline5', 'libncurses5');
INSERT INTO dependances VALUES ('librrd2', 'libart-2.0-2');
INSERT INTO dependances VALUES ('librrd2', 'libc6');
INSERT INTO dependances VALUES ('librrd2', 'libfreetype6');
INSERT INTO dependances VALUES ('librrd2', 'libpng12-0');
INSERT INTO dependances VALUES ('librrd2', 'zlib1g');
INSERT INTO dependances VALUES ('librrd2', 'ttf-dejavu');
INSERT INTO dependances VALUES ('librrds-perl', 'perl');
INSERT INTO dependances VALUES ('librrds-perl', 'libc6');
INSERT INTO dependances VALUES ('librrds-perl', 'librrd2');
INSERT INTO dependances VALUES ('libsasl2-2', 'libc6');
INSERT INTO dependances VALUES ('libsasl2-2', 'libdb4.2');
INSERT INTO dependances VALUES ('libsasl2-modules', 'libsasl2-2');
INSERT INTO dependances VALUES ('libsasl2-modules', 'libc6');
INSERT INTO dependances VALUES ('libsasl2-modules', 'libssl0.9.8');
INSERT INTO dependances VALUES ('libselinux1', 'libc6');
INSERT INTO dependances VALUES ('libselinux1', 'libsepol1');
INSERT INTO dependances VALUES ('libsensors3', 'udev');
INSERT INTO dependances VALUES ('libsensors3', 'libc6');
INSERT INTO dependances VALUES ('libsensors3', 'libsysfs2');
INSERT INTO dependances VALUES ('libsepol1', 'libc6');
INSERT INTO dependances VALUES ('libsigc++-2.0-0c2a', 'libc6');
INSERT INTO dependances VALUES ('libsigc++-2.0-0c2a', 'libgcc1');
INSERT INTO dependances VALUES ('libsigc++-2.0-0c2a', 'libstdc++6');
INSERT INTO dependances VALUES ('libslang2', 'libc6');
INSERT INTO dependances VALUES ('libsm6', 'libc6');
INSERT INTO dependances VALUES ('libsm6', 'libice6');
INSERT INTO dependances VALUES ('libsm6', 'x11-common');
INSERT INTO dependances VALUES ('libsnmp-perl', 'perl');
INSERT INTO dependances VALUES ('libsnmp-perl', 'libsnmp9');
INSERT INTO dependances VALUES ('libsnmp9', 'libsnmp-base');
INSERT INTO dependances VALUES ('libsnmp9', 'libc6');
INSERT INTO dependances VALUES ('libsnmp9', 'libsensors3');
INSERT INTO dependances VALUES ('libsnmp9', 'libssl0.9.8');
INSERT INTO dependances VALUES ('libsnmp9', 'libwrap0');
INSERT INTO dependances VALUES ('libsqlite3-0', 'libc6');
INSERT INTO dependances VALUES ('libss2', 'libcomerr2');
INSERT INTO dependances VALUES ('libssl0.9.8', 'libc6');
INSERT INTO dependances VALUES ('libssl0.9.8', 'zlib1g');
INSERT INTO dependances VALUES ('libstdc++6', 'gcc-4.1-base');
INSERT INTO dependances VALUES ('libstdc++6', 'libc6');
INSERT INTO dependances VALUES ('libstdc++6', 'libgcc1');
INSERT INTO dependances VALUES ('libsvn1', 'libapr1');
INSERT INTO dependances VALUES ('libsvn1', 'libaprutil1');
INSERT INTO dependances VALUES ('libsvn1', 'libc6');
INSERT INTO dependances VALUES ('libsvn1', 'libdb4.4');
INSERT INTO dependances VALUES ('libsvn1', 'libneon26');
INSERT INTO dependances VALUES ('libsvn1', 'zlib1g');
INSERT INTO dependances VALUES ('libsysfs2', 'libc6');
INSERT INTO dependances VALUES ('libt1-5', 'libc6');
INSERT INTO dependances VALUES ('libtasn1-3', 'libc6');
INSERT INTO dependances VALUES ('libtext-charwidth-perl', 'libc6');
INSERT INTO dependances VALUES ('libtext-charwidth-perl', 'perl-base');
INSERT INTO dependances VALUES ('libtext-iconv-perl', 'libc6');
INSERT INTO dependances VALUES ('libtext-iconv-perl', 'perl-base');
INSERT INTO dependances VALUES ('libtext-wrapi18n-perl', 'libtext-charwidth-perl');
INSERT INTO dependances VALUES ('libthai0', 'libc6');
INSERT INTO dependances VALUES ('libthai0', 'libdatrie0');
INSERT INTO dependances VALUES ('libthai0', 'libthai-data');
INSERT INTO dependances VALUES ('libtiff4', 'libc6');
INSERT INTO dependances VALUES ('libtiff4', 'libjpeg62');
INSERT INTO dependances VALUES ('libtiff4', 'zlib1g');
INSERT INTO dependances VALUES ('libusb-0.1-4', 'libc6');
INSERT INTO dependances VALUES ('libusplash0', 'libc6');
INSERT INTO dependances VALUES ('libusplash0', 'libx86-1');
INSERT INTO dependances VALUES ('libuuid1', 'libc6');
INSERT INTO dependances VALUES ('libvolume-id0', 'libc6');
INSERT INTO dependances VALUES ('libwrap0', 'libc6');
INSERT INTO dependances VALUES ('libx11-6', 'libc6');
INSERT INTO dependances VALUES ('libx11-6', 'libxau6');
INSERT INTO dependances VALUES ('libx11-6', 'libxdmcp6');
INSERT INTO dependances VALUES ('libx11-6', 'libx11-data');
INSERT INTO dependances VALUES ('libx86-1', 'libc6');
INSERT INTO dependances VALUES ('libxau6', 'libc6');
INSERT INTO dependances VALUES ('libxau6', 'x11-common');
INSERT INTO dependances VALUES ('libxaw7', 'libc6');
INSERT INTO dependances VALUES ('libxaw7', 'libice6');
INSERT INTO dependances VALUES ('libxaw7', 'libsm6');
INSERT INTO dependances VALUES ('libxaw7', 'libx11-6');
INSERT INTO dependances VALUES ('libxaw7', 'libxext6');
INSERT INTO dependances VALUES ('libxaw7', 'libxmu6');
INSERT INTO dependances VALUES ('libxaw7', 'libxpm4');
INSERT INTO dependances VALUES ('libxaw7', 'libxt6');
INSERT INTO dependances VALUES ('libxaw7', 'x11-common');
INSERT INTO dependances VALUES ('libxcursor1', 'libc6');
INSERT INTO dependances VALUES ('libxcursor1', 'libx11-6');
INSERT INTO dependances VALUES ('libxcursor1', 'libxfixes3');
INSERT INTO dependances VALUES ('libxcursor1', 'libxrender1');
INSERT INTO dependances VALUES ('libxdmcp6', 'libc6');
INSERT INTO dependances VALUES ('libxdmcp6', 'x11-common');
INSERT INTO dependances VALUES ('libxext6', 'libc6');
INSERT INTO dependances VALUES ('libxext6', 'libx11-6');
INSERT INTO dependances VALUES ('libxext6', 'libxau6');
INSERT INTO dependances VALUES ('libxext6', 'x11-common');
INSERT INTO dependances VALUES ('libxfixes3', 'libc6');
INSERT INTO dependances VALUES ('libxfixes3', 'libx11-6');
INSERT INTO dependances VALUES ('libxfont1', 'libc6');
INSERT INTO dependances VALUES ('libxfont1', 'libfontenc1');
INSERT INTO dependances VALUES ('libxfont1', 'libfreetype6');
INSERT INTO dependances VALUES ('libxfont1', 'zlib1g');
INSERT INTO dependances VALUES ('libxfont1', 'x11-common');
INSERT INTO dependances VALUES ('libxft2', 'libc6');
INSERT INTO dependances VALUES ('libxft2', 'libfontconfig1');
INSERT INTO dependances VALUES ('libxft2', 'libfreetype6');
INSERT INTO dependances VALUES ('libxft2', 'libx11-6');
INSERT INTO dependances VALUES ('libxft2', 'libxrender1');
INSERT INTO dependances VALUES ('libxft2', 'zlib1g');
INSERT INTO dependances VALUES ('libxi6', 'libc6');
INSERT INTO dependances VALUES ('libxi6', 'libx11-6');
INSERT INTO dependances VALUES ('libxi6', 'libxext6');
INSERT INTO dependances VALUES ('libxi6', 'x11-common');
INSERT INTO dependances VALUES ('libxinerama1', 'libc6');
INSERT INTO dependances VALUES ('libxinerama1', 'libx11-6');
INSERT INTO dependances VALUES ('libxinerama1', 'libxext6');
INSERT INTO dependances VALUES ('libxinerama1', 'x11-common');
INSERT INTO dependances VALUES ('libxkbfile1', 'libc6');
INSERT INTO dependances VALUES ('libxkbfile1', 'libx11-6');
INSERT INTO dependances VALUES ('libxkbfile1', 'x11-common');
INSERT INTO dependances VALUES ('libxml2', 'libc6');
INSERT INTO dependances VALUES ('libxml2', 'zlib1g');
INSERT INTO dependances VALUES ('libxml2-utils', 'libc6');
INSERT INTO dependances VALUES ('libxml2-utils', 'libncurses5');
INSERT INTO dependances VALUES ('libxml2-utils', 'libreadline5');
INSERT INTO dependances VALUES ('libxml2-utils', 'libxml2');
INSERT INTO dependances VALUES ('libxml2-utils', 'zlib1g');
INSERT INTO dependances VALUES ('libxmu6', 'libc6');
INSERT INTO dependances VALUES ('libxmu6', 'libice6');
INSERT INTO dependances VALUES ('libxmu6', 'libsm6');
INSERT INTO dependances VALUES ('libxmu6', 'libx11-6');
INSERT INTO dependances VALUES ('libxmu6', 'libxext6');
INSERT INTO dependances VALUES ('libxmu6', 'libxt6');
INSERT INTO dependances VALUES ('libxmu6', 'x11-common');
INSERT INTO dependances VALUES ('libxmuu1', 'libc6');
INSERT INTO dependances VALUES ('libxmuu1', 'libx11-6');
INSERT INTO dependances VALUES ('libxmuu1', 'x11-common');
INSERT INTO dependances VALUES ('libxpm4', 'libc6');
INSERT INTO dependances VALUES ('libxpm4', 'libx11-6');
INSERT INTO dependances VALUES ('libxpm4', 'x11-common');
INSERT INTO dependances VALUES ('libxrandr2', 'libc6');
INSERT INTO dependances VALUES ('libxrandr2', 'libx11-6');
INSERT INTO dependances VALUES ('libxrandr2', 'libxext6');
INSERT INTO dependances VALUES ('libxrandr2', 'libxrender1');
INSERT INTO dependances VALUES ('libxrandr2', 'x11-common');
INSERT INTO dependances VALUES ('libxrender1', 'libc6');
INSERT INTO dependances VALUES ('libxrender1', 'libx11-6');
INSERT INTO dependances VALUES ('libxss1', 'libc6');
INSERT INTO dependances VALUES ('libxss1', 'libx11-6');
INSERT INTO dependances VALUES ('libxss1', 'libxext6');
INSERT INTO dependances VALUES ('libxss1', 'x11-common');
INSERT INTO dependances VALUES ('libxt6', 'libc6');
INSERT INTO dependances VALUES ('libxt6', 'libice6');
INSERT INTO dependances VALUES ('libxt6', 'libsm6');
INSERT INTO dependances VALUES ('libxt6', 'libx11-6');
INSERT INTO dependances VALUES ('libxtrap6', 'libc6');
INSERT INTO dependances VALUES ('libxtrap6', 'libice6');
INSERT INTO dependances VALUES ('libxtrap6', 'libsm6');
INSERT INTO dependances VALUES ('libxtrap6', 'libx11-6');
INSERT INTO dependances VALUES ('libxtrap6', 'libxext6');
INSERT INTO dependances VALUES ('libxtrap6', 'libxt6');
INSERT INTO dependances VALUES ('libxtrap6', 'x11-common');
INSERT INTO dependances VALUES ('libxtst6', 'libc6');
INSERT INTO dependances VALUES ('libxtst6', 'libx11-6');
INSERT INTO dependances VALUES ('libxtst6', 'libxext6');
INSERT INTO dependances VALUES ('libxtst6', 'x11-common');
INSERT INTO dependances VALUES ('libxv1', 'libc6');
INSERT INTO dependances VALUES ('libxv1', 'libx11-6');
INSERT INTO dependances VALUES ('libxv1', 'libxext6');
INSERT INTO dependances VALUES ('libxv1', 'x11-common');
INSERT INTO dependances VALUES ('libxxf86dga1', 'libc6');
INSERT INTO dependances VALUES ('libxxf86dga1', 'libx11-6');
INSERT INTO dependances VALUES ('libxxf86dga1', 'libxext6');
INSERT INTO dependances VALUES ('libxxf86dga1', 'x11-common');
INSERT INTO dependances VALUES ('libxxf86misc1', 'libc6');
INSERT INTO dependances VALUES ('libxxf86misc1', 'libx11-6');
INSERT INTO dependances VALUES ('libxxf86misc1', 'libxext6');
INSERT INTO dependances VALUES ('libxxf86misc1', 'x11-common');
INSERT INTO dependances VALUES ('libxxf86vm1', 'libc6');
INSERT INTO dependances VALUES ('libxxf86vm1', 'libx11-6');
INSERT INTO dependances VALUES ('libxxf86vm1', 'libxext6');
INSERT INTO dependances VALUES ('libxxf86vm1', 'x11-common');
INSERT INTO dependances VALUES ('linux-generic', 'linux-image-generic');
INSERT INTO dependances VALUES ('linux-generic', 'linux-restricted-modules-generic');
INSERT INTO dependances VALUES ('linux-headers-2.6.20-16', 'fileutils');
INSERT INTO dependances VALUES ('linux-headers-2.6.20-16-eole', 'fileutils');
INSERT INTO dependances VALUES ('linux-headers-2.6.20-16-eole', 'linux-headers-2.6.20-16');
INSERT INTO dependances VALUES ('linux-headers-2.6.20-16-eole', 'libc6');
INSERT INTO dependances VALUES ('linux-headers-2.6.20-16-eole', 'libncurses5');
INSERT INTO dependances VALUES ('linux-image-2.6.20-16-eole', 'initramfs-tools');
INSERT INTO dependances VALUES ('linux-image-2.6.20-16-eole', 'fileutils');
INSERT INTO dependances VALUES ('linux-image-2.6.20-16-eole', 'module-init-tools');
INSERT INTO dependances VALUES ('linux-image-2.6.20-16-generic', 'initramfs-tools');
INSERT INTO dependances VALUES ('linux-image-2.6.20-16-generic', 'fileutils');
INSERT INTO dependances VALUES ('linux-image-2.6.20-16-generic', 'module-init-tools');
INSERT INTO dependances VALUES ('linux-image-generic', 'linux-image-2.6.20-16-generic');
INSERT INTO dependances VALUES ('linux-restricted-modules-2.6.20-15-generic', 'linux-image-2.6.20-15-generic');
INSERT INTO dependances VALUES ('linux-restricted-modules-2.6.20-15-generic', 'linux-restricted-modules-common');
INSERT INTO dependances VALUES ('linux-restricted-modules-2.6.20-15-generic', 'module-init-tools');
INSERT INTO dependances VALUES ('linux-restricted-modules-2.6.20-15-generic', 'nvidia-kernel-common');
INSERT INTO dependances VALUES ('linux-restricted-modules-2.6.20-16-generic', 'linux-image-2.6.20-16-generic');
INSERT INTO dependances VALUES ('linux-restricted-modules-2.6.20-16-generic', 'linux-restricted-modules-common');
INSERT INTO dependances VALUES ('linux-restricted-modules-2.6.20-16-generic', 'module-init-tools');
INSERT INTO dependances VALUES ('linux-restricted-modules-2.6.20-16-generic', 'nvidia-kernel-common');
INSERT INTO dependances VALUES ('linux-restricted-modules-common', 'binutils-static');
INSERT INTO dependances VALUES ('linux-restricted-modules-generic', 'linux-restricted-modules-2.6.20-16-generic');
INSERT INTO dependances VALUES ('linux-sound-base', 'module-init-tools');
INSERT INTO dependances VALUES ('listres', 'libc6');
INSERT INTO dependances VALUES ('listres', 'libice6');
INSERT INTO dependances VALUES ('listres', 'libsm6');
INSERT INTO dependances VALUES ('listres', 'libx11-6');
INSERT INTO dependances VALUES ('listres', 'libxaw7');
INSERT INTO dependances VALUES ('listres', 'libxmu6');
INSERT INTO dependances VALUES ('listres', 'libxt6');
INSERT INTO dependances VALUES ('locales', 'belocs-locales-bin');
INSERT INTO dependances VALUES ('locales', 'tzdata');
INSERT INTO dependances VALUES ('localization-config', 'perl-base');
INSERT INTO dependances VALUES ('localization-config', 'libapt-pkg-perl');
INSERT INTO dependances VALUES ('localization-config', 'libconfig-inifiles-perl');
INSERT INTO dependances VALUES ('localization-config', 'belocs-locales-data');
INSERT INTO dependances VALUES ('login', 'libpam-modules');
INSERT INTO dependances VALUES ('logrotate', 'libc6');
INSERT INTO dependances VALUES ('logrotate', 'libpopt0');
INSERT INTO dependances VALUES ('logrotate', 'libselinux1');
INSERT INTO dependances VALUES ('logrotate', 'fcron');
INSERT INTO dependances VALUES ('logrotate', 'base-passwd');
INSERT INTO dependances VALUES ('lsb-base', 'sed');
INSERT INTO dependances VALUES ('lsb-base', 'ncurses-bin');
INSERT INTO dependances VALUES ('lsb-release', 'python');
INSERT INTO dependances VALUES ('lshw', 'libc6');
INSERT INTO dependances VALUES ('lshw', 'libgcc1');
INSERT INTO dependances VALUES ('lshw', 'libstdc++6');
INSERT INTO dependances VALUES ('lshw', 'pciutils');
INSERT INTO dependances VALUES ('lshw', 'usbutils');
INSERT INTO dependances VALUES ('lsof', 'libc6');
INSERT INTO dependances VALUES ('ltrace', 'libc6');
INSERT INTO dependances VALUES ('ltrace', 'libelfg0');
INSERT INTO dependances VALUES ('lvm-common', 'libc6');
INSERT INTO dependances VALUES ('lvm-common', 'modutils');
INSERT INTO dependances VALUES ('lvm-common', 'lsb-base');
INSERT INTO dependances VALUES ('lvm2', 'libc6');
INSERT INTO dependances VALUES ('lvm2', 'libdevmapper1.02');
INSERT INTO dependances VALUES ('lvm2', 'libncurses5');
INSERT INTO dependances VALUES ('lvm2', 'libreadline5');
INSERT INTO dependances VALUES ('lvm2', 'lvm-common');
INSERT INTO dependances VALUES ('lynx', 'libbz2-1.0');
INSERT INTO dependances VALUES ('lynx', 'libc6');
INSERT INTO dependances VALUES ('lynx', 'libgnutls13');
INSERT INTO dependances VALUES ('lynx', 'libncursesw5');
INSERT INTO dependances VALUES ('lynx', 'zlib1g');
INSERT INTO dependances VALUES ('mailx', 'libc6');
INSERT INTO dependances VALUES ('mailx', 'liblockfile1');
INSERT INTO dependances VALUES ('mailx', 'base-files');
INSERT INTO dependances VALUES ('make', 'libc6');
INSERT INTO dependances VALUES ('makedev', 'base-passwd');
INSERT INTO dependances VALUES ('makedev', 'sysv-rc');
INSERT INTO dependances VALUES ('man-db', 'groff-base');
INSERT INTO dependances VALUES ('man-db', 'bsdmainutils');
INSERT INTO dependances VALUES ('man-db', 'dpkg');
INSERT INTO dependances VALUES ('man-db', 'libc6');
INSERT INTO dependances VALUES ('man-db', 'libgdbm3');
INSERT INTO dependances VALUES ('manpages-fr', 'manpages-fr-dev');
INSERT INTO dependances VALUES ('manpages-fr', 'manpages-fr-extra');
INSERT INTO dependances VALUES ('mc', 'libc6');
INSERT INTO dependances VALUES ('mc', 'libglib2.0-0');
INSERT INTO dependances VALUES ('mc', 'libgpmg1');
INSERT INTO dependances VALUES ('mc', 'libslang2');
INSERT INTO dependances VALUES ('mcpp', 'libc6');
INSERT INTO dependances VALUES ('mdadm', 'libc6');
INSERT INTO dependances VALUES ('mdadm', 'makedev');
INSERT INTO dependances VALUES ('mdadm', 'lsb-base');
INSERT INTO dependances VALUES ('mdadm', 'udev');
INSERT INTO dependances VALUES ('mdadm', 'debconf');
INSERT INTO dependances VALUES ('mdetect', 'libc6');
INSERT INTO dependances VALUES ('mesa-utils', 'libc6');
INSERT INTO dependances VALUES ('mesa-utils', 'libx11-6');
INSERT INTO dependances VALUES ('mii-diag', 'libc6');
INSERT INTO dependances VALUES ('mktemp', 'libc6');
INSERT INTO dependances VALUES ('module-init-tools', 'libc6');
INSERT INTO dependances VALUES ('module-init-tools', 'lsb-base');
INSERT INTO dependances VALUES ('mtr-tiny', 'libc6');
INSERT INTO dependances VALUES ('mtr-tiny', 'libncurses5');
INSERT INTO dependances VALUES ('nano', 'libc6');
INSERT INTO dependances VALUES ('nano', 'libncursesw5');
INSERT INTO dependances VALUES ('ncurses-base', 'libncurses5');
INSERT INTO dependances VALUES ('net-tools', 'libc6');
INSERT INTO dependances VALUES ('netbase', 'ifupdown');
INSERT INTO dependances VALUES ('netbase', 'lsb-base');
INSERT INTO dependances VALUES ('netbase', 'update-inetd');
INSERT INTO dependances VALUES ('netcat', 'libc6');
INSERT INTO dependances VALUES ('ntpdate', 'netbase');
INSERT INTO dependances VALUES ('ntpdate', 'libc6');
INSERT INTO dependances VALUES ('ntpdate', 'libcap1');
INSERT INTO dependances VALUES ('ntpdate', 'libssl0.9.8');
INSERT INTO dependances VALUES ('numlockx', 'libc6');
INSERT INTO dependances VALUES ('numlockx', 'libx11-6');
INSERT INTO dependances VALUES ('numlockx', 'libxtst6');
INSERT INTO dependances VALUES ('nut', 'libc6');
INSERT INTO dependances VALUES ('nut', 'adduser');
INSERT INTO dependances VALUES ('nut', 'debconf');
INSERT INTO dependances VALUES ('nut', 'lsb-base');
INSERT INTO dependances VALUES ('nut-usb', 'libc6');
INSERT INTO dependances VALUES ('nut-usb', 'libusb-0.1-4');
INSERT INTO dependances VALUES ('nut-usb', 'nut');
INSERT INTO dependances VALUES ('nut-usb', 'udev');
INSERT INTO dependances VALUES ('nvidia-kernel-common', 'module-init-tools');
INSERT INTO dependances VALUES ('nvidia-kernel-common', 'sysv-rc');
INSERT INTO dependances VALUES ('oclock', 'libc6');
INSERT INTO dependances VALUES ('oclock', 'libice6');
INSERT INTO dependances VALUES ('oclock', 'libsm6');
INSERT INTO dependances VALUES ('oclock', 'libx11-6');
INSERT INTO dependances VALUES ('oclock', 'libxext6');
INSERT INTO dependances VALUES ('oclock', 'libxmu6');
INSERT INTO dependances VALUES ('oclock', 'libxt6');
INSERT INTO dependances VALUES ('openssh-client', 'libc6');
INSERT INTO dependances VALUES ('openssh-client', 'libcomerr2');
INSERT INTO dependances VALUES ('openssh-client', 'libedit2');
INSERT INTO dependances VALUES ('openssh-client', 'libkrb53');
INSERT INTO dependances VALUES ('openssh-client', 'libncurses5');
INSERT INTO dependances VALUES ('openssh-client', 'libssl0.9.8');
INSERT INTO dependances VALUES ('openssh-client', 'zlib1g');
INSERT INTO dependances VALUES ('openssh-client', 'adduser');
INSERT INTO dependances VALUES ('openssh-client', 'dpkg');
INSERT INTO dependances VALUES ('openssh-client', 'passwd');
INSERT INTO dependances VALUES ('openssh-server', 'libc6');
INSERT INTO dependances VALUES ('openssh-server', 'libcomerr2');
INSERT INTO dependances VALUES ('openssh-server', 'libkrb53');
INSERT INTO dependances VALUES ('openssh-server', 'libpam0g');
INSERT INTO dependances VALUES ('openssh-server', 'libselinux1');
INSERT INTO dependances VALUES ('openssh-server', 'libssl0.9.8');
INSERT INTO dependances VALUES ('openssh-server', 'libwrap0');
INSERT INTO dependances VALUES ('openssh-server', 'zlib1g');
INSERT INTO dependances VALUES ('openssh-server', 'libpam-runtime');
INSERT INTO dependances VALUES ('openssh-server', 'libpam-modules');
INSERT INTO dependances VALUES ('openssh-server', 'adduser');
INSERT INTO dependances VALUES ('openssh-server', 'dpkg');
INSERT INTO dependances VALUES ('openssh-server', 'openssh-client');
INSERT INTO dependances VALUES ('openssh-server', 'lsb-base');
INSERT INTO dependances VALUES ('openssh-server', 'sysv-rc');
INSERT INTO dependances VALUES ('openssl', 'libc6');
INSERT INTO dependances VALUES ('openssl', 'libssl0.9.8');
INSERT INTO dependances VALUES ('openssl', 'zlib1g');
INSERT INTO dependances VALUES ('parted', 'libc6');
INSERT INTO dependances VALUES ('parted', 'libncurses5');
INSERT INTO dependances VALUES ('parted', 'libparted1.7-1');
INSERT INTO dependances VALUES ('parted', 'libreadline5');
INSERT INTO dependances VALUES ('passwd', 'libc6');
INSERT INTO dependances VALUES ('passwd', 'libpam0g');
INSERT INTO dependances VALUES ('passwd', 'libselinux1');
INSERT INTO dependances VALUES ('passwd', 'login');
INSERT INTO dependances VALUES ('passwd', 'libpam-modules');
INSERT INTO dependances VALUES ('passwd', 'debianutils');
INSERT INTO dependances VALUES ('patch', 'libc6');
INSERT INTO dependances VALUES ('pciutils', 'libpci2');
INSERT INTO dependances VALUES ('pciutils', 'libc6');
INSERT INTO dependances VALUES ('pciutils', 'zlib1g');
INSERT INTO dependances VALUES ('pcmciautils', 'udev');
INSERT INTO dependances VALUES ('pcmciautils', 'module-init-tools');
INSERT INTO dependances VALUES ('pcmciautils', 'lsb-base');
INSERT INTO dependances VALUES ('pcmciautils', 'libc6');
INSERT INTO dependances VALUES ('pcmciautils', 'libsysfs2');
INSERT INTO dependances VALUES ('perl', 'perl-base');
INSERT INTO dependances VALUES ('perl', 'perl-modules');
INSERT INTO dependances VALUES ('perl', 'libc6');
INSERT INTO dependances VALUES ('perl', 'libdb4.4');
INSERT INTO dependances VALUES ('perl', 'libgdbm3');
INSERT INTO dependances VALUES ('perl-modules', 'perl');
INSERT INTO dependances VALUES ('php5', 'php5-cgi');
INSERT INTO dependances VALUES ('php5', 'php5-common');
INSERT INTO dependances VALUES ('php5-common', 'sed');
INSERT INTO dependances VALUES ('php5-gd', 'libc6');
INSERT INTO dependances VALUES ('php5-gd', 'libfreetype6');
INSERT INTO dependances VALUES ('php5-gd', 'libgd2-xpm');
INSERT INTO dependances VALUES ('php5-gd', 'libjpeg62');
INSERT INTO dependances VALUES ('php5-gd', 'libpng12-0');
INSERT INTO dependances VALUES ('php5-gd', 'libt1-5');
INSERT INTO dependances VALUES ('php5-gd', 'libx11-6');
INSERT INTO dependances VALUES ('php5-gd', 'libxpm4');
INSERT INTO dependances VALUES ('php5-gd', 'zlib1g');
INSERT INTO dependances VALUES ('php5-gd', 'php5-common');
INSERT INTO dependances VALUES ('popularity-contest', 'dpkg');
INSERT INTO dependances VALUES ('ppp', 'libc6');
INSERT INTO dependances VALUES ('ppp', 'libpam0g');
INSERT INTO dependances VALUES ('ppp', 'libpcap0.8');
INSERT INTO dependances VALUES ('ppp', 'libpam-modules');
INSERT INTO dependances VALUES ('ppp', 'libpam-runtime');
INSERT INTO dependances VALUES ('ppp', 'netbase');
INSERT INTO dependances VALUES ('ppp', 'procps');
INSERT INTO dependances VALUES ('pppconfig', 'ppp');
INSERT INTO dependances VALUES ('pppconfig', 'dialog');
INSERT INTO dependances VALUES ('pppconfig', 'lsb-base');
INSERT INTO dependances VALUES ('pppoeconf', 'whiptail');
INSERT INTO dependances VALUES ('pppoeconf', 'pppoe');
INSERT INTO dependances VALUES ('pppoeconf', 'ppp');
INSERT INTO dependances VALUES ('pppoeconf', 'gettext-base');
INSERT INTO dependances VALUES ('pppoeconf', 'sed');
INSERT INTO dependances VALUES ('procps', 'libc6');
INSERT INTO dependances VALUES ('procps', 'libncurses5');
INSERT INTO dependances VALUES ('procps', 'lsb-base');
INSERT INTO dependances VALUES ('psmisc', 'libc6');
INSERT INTO dependances VALUES ('psmisc', 'libncurses5');
INSERT INTO dependances VALUES ('python', 'python2.5');
INSERT INTO dependances VALUES ('python', 'python-minimal');
INSERT INTO dependances VALUES ('python-apt', 'python-central');
INSERT INTO dependances VALUES ('python-apt', 'python');
INSERT INTO dependances VALUES ('python-apt', 'libc6');
INSERT INTO dependances VALUES ('python-apt', 'libgcc1');
INSERT INTO dependances VALUES ('python-apt', 'libstdc++6');
INSERT INTO dependances VALUES ('python-apt', 'lsb-release');
INSERT INTO dependances VALUES ('python-cairo', 'libc6');
INSERT INTO dependances VALUES ('python-cairo', 'libcairo2');
INSERT INTO dependances VALUES ('python-cairo', 'python-central');
INSERT INTO dependances VALUES ('python-cairo', 'python');
INSERT INTO dependances VALUES ('python-cairo', 'python-numeric');
INSERT INTO dependances VALUES ('python-central', 'python');
INSERT INTO dependances VALUES ('python-cheetah', 'python');
INSERT INTO dependances VALUES ('python-cheetah', 'python-support');
INSERT INTO dependances VALUES ('python-cheetah', 'libc6');
INSERT INTO dependances VALUES ('python-crypto', 'python-central');
INSERT INTO dependances VALUES ('python-crypto', 'python');
INSERT INTO dependances VALUES ('python-egenix-mxdatetime', 'libc6');
INSERT INTO dependances VALUES ('python-egenix-mxdatetime', 'python-central');
INSERT INTO dependances VALUES ('python-egenix-mxdatetime', 'python');
INSERT INTO dependances VALUES ('python-egenix-mxdatetime', 'python-egenix-mxtools');
INSERT INTO dependances VALUES ('python-egenix-mxtools', 'libc6');
INSERT INTO dependances VALUES ('python-egenix-mxtools', 'python-central');
INSERT INTO dependances VALUES ('python-egenix-mxtools', 'python');
INSERT INTO dependances VALUES ('python-glade2', 'python-support');
INSERT INTO dependances VALUES ('python-glade2', 'python');
INSERT INTO dependances VALUES ('python-glade2', 'libatk1.0-0');
INSERT INTO dependances VALUES ('python-glade2', 'libc6');
INSERT INTO dependances VALUES ('python-glade2', 'libcairo2');
INSERT INTO dependances VALUES ('python-glade2', 'libfontconfig1');
INSERT INTO dependances VALUES ('python-glade2', 'libglade2-0');
INSERT INTO dependances VALUES ('python-glade2', 'libglib2.0-0');
INSERT INTO dependances VALUES ('python-glade2', 'libgtk2.0-0');
INSERT INTO dependances VALUES ('python-glade2', 'libpango1.0-0');
INSERT INTO dependances VALUES ('python-glade2', 'libx11-6');
INSERT INTO dependances VALUES ('python-glade2', 'libxcursor1');
INSERT INTO dependances VALUES ('python-glade2', 'libxext6');
INSERT INTO dependances VALUES ('python-glade2', 'libxfixes3');
INSERT INTO dependances VALUES ('python-glade2', 'libxi6');
INSERT INTO dependances VALUES ('python-glade2', 'libxinerama1');
INSERT INTO dependances VALUES ('python-glade2', 'libxml2');
INSERT INTO dependances VALUES ('python-glade2', 'libxrandr2');
INSERT INTO dependances VALUES ('python-glade2', 'libxrender1');
INSERT INTO dependances VALUES ('python-glade2', 'python-gtk2');
INSERT INTO dependances VALUES ('python-gnupginterface', 'python-support');
INSERT INTO dependances VALUES ('python-gnupginterface', 'gnupg');
INSERT INTO dependances VALUES ('python-gobject', 'python-support');
INSERT INTO dependances VALUES ('python-gobject', 'python');
INSERT INTO dependances VALUES ('python-gobject', 'libc6');
INSERT INTO dependances VALUES ('python-gobject', 'libglib2.0-0');
INSERT INTO dependances VALUES ('python-gtk2', 'python-support');
INSERT INTO dependances VALUES ('python-gtk2', 'python');
INSERT INTO dependances VALUES ('python-gtk2', 'libatk1.0-0');
INSERT INTO dependances VALUES ('python-gtk2', 'libc6');
INSERT INTO dependances VALUES ('python-gtk2', 'libcairo2');
INSERT INTO dependances VALUES ('python-gtk2', 'libfontconfig1');
INSERT INTO dependances VALUES ('python-gtk2', 'libglib2.0-0');
INSERT INTO dependances VALUES ('python-gtk2', 'libgtk2.0-0');
INSERT INTO dependances VALUES ('python-gtk2', 'libpango1.0-0');
INSERT INTO dependances VALUES ('python-gtk2', 'libx11-6');
INSERT INTO dependances VALUES ('python-gtk2', 'libxcursor1');
INSERT INTO dependances VALUES ('python-gtk2', 'libxext6');
INSERT INTO dependances VALUES ('python-gtk2', 'libxfixes3');
INSERT INTO dependances VALUES ('python-gtk2', 'libxi6');
INSERT INTO dependances VALUES ('python-gtk2', 'libxinerama1');
INSERT INTO dependances VALUES ('python-gtk2', 'libxrandr2');
INSERT INTO dependances VALUES ('python-gtk2', 'libxrender1');
INSERT INTO dependances VALUES ('python-gtk2', 'python-numeric');
INSERT INTO dependances VALUES ('python-gtk2', 'python-cairo');
INSERT INTO dependances VALUES ('python-gtk2', 'python-gobject');
INSERT INTO dependances VALUES ('python-minimal', 'python2.5-minimal');
INSERT INTO dependances VALUES ('python-minimal', 'dpkg');
INSERT INTO dependances VALUES ('python-nevow', 'python-support');
INSERT INTO dependances VALUES ('python-nevow', 'python-twisted-core');
INSERT INTO dependances VALUES ('python-nevow', 'python-twisted-web');
INSERT INTO dependances VALUES ('python-numeric', 'python-central');
INSERT INTO dependances VALUES ('python-numeric', 'python');
INSERT INTO dependances VALUES ('python-numeric', 'libc6');
INSERT INTO dependances VALUES ('python-pam', 'python-central');
INSERT INTO dependances VALUES ('python-pam', 'python');
INSERT INTO dependances VALUES ('python-pam', 'libc6');
INSERT INTO dependances VALUES ('python-pam', 'libpam0g');
INSERT INTO dependances VALUES ('python-psycopg2', 'python-central');
INSERT INTO dependances VALUES ('python-psycopg2', 'python');
INSERT INTO dependances VALUES ('python-psycopg2', 'libc6');
INSERT INTO dependances VALUES ('python-psycopg2', 'libpq5');
INSERT INTO dependances VALUES ('python-psycopg2', 'python-egenix-mxdatetime');
INSERT INTO dependances VALUES ('python-pyopenssl', 'python-support');
INSERT INTO dependances VALUES ('python-pyopenssl', 'python');
INSERT INTO dependances VALUES ('python-pyopenssl', 'libc6');
INSERT INTO dependances VALUES ('python-pyopenssl', 'libssl0.9.8');
INSERT INTO dependances VALUES ('python-reverend', 'python-support');
INSERT INTO dependances VALUES ('python-rrd', 'libc6');
INSERT INTO dependances VALUES ('python-rrd', 'librrd2');
INSERT INTO dependances VALUES ('python-support', 'python');
INSERT INTO dependances VALUES ('python-svn', 'libapr1');
INSERT INTO dependances VALUES ('python-svn', 'libc6');
INSERT INTO dependances VALUES ('python-svn', 'libgcc1');
INSERT INTO dependances VALUES ('python-svn', 'libstdc++6');
INSERT INTO dependances VALUES ('python-svn', 'libsvn1');
INSERT INTO dependances VALUES ('python-svn', 'libuuid1');
INSERT INTO dependances VALUES ('python-svn', 'python-central');
INSERT INTO dependances VALUES ('python-svn', 'python');
INSERT INTO dependances VALUES ('python-twisted', 'python-twisted-core');
INSERT INTO dependances VALUES ('python-twisted', 'python-twisted-conch');
INSERT INTO dependances VALUES ('python-twisted', 'python-twisted-mail');
INSERT INTO dependances VALUES ('python-twisted', 'python-twisted-lore');
INSERT INTO dependances VALUES ('python-twisted', 'python-twisted-names');
INSERT INTO dependances VALUES ('python-twisted', 'python-twisted-news');
INSERT INTO dependances VALUES ('python-twisted', 'python-twisted-runner');
INSERT INTO dependances VALUES ('python-twisted', 'python-twisted-web');
INSERT INTO dependances VALUES ('python-twisted', 'python-twisted-words');
INSERT INTO dependances VALUES ('python-twisted-bin', 'python');
INSERT INTO dependances VALUES ('python-twisted-bin', 'libc6');
INSERT INTO dependances VALUES ('python-twisted-conch', 'python');
INSERT INTO dependances VALUES ('python-twisted-conch', 'python-central');
INSERT INTO dependances VALUES ('python-twisted-conch', 'python-crypto');
INSERT INTO dependances VALUES ('python-twisted-conch', 'python-twisted-core');
INSERT INTO dependances VALUES ('python-twisted-core', 'python');
INSERT INTO dependances VALUES ('python-twisted-core', 'python-central');
INSERT INTO dependances VALUES ('python-twisted-core', 'python-twisted-bin');
INSERT INTO dependances VALUES ('python-twisted-core', 'python-zopeinterface');
INSERT INTO dependances VALUES ('python-twisted-lore', 'python');
INSERT INTO dependances VALUES ('python-twisted-lore', 'python-central');
INSERT INTO dependances VALUES ('python-twisted-lore', 'python-twisted-web');
INSERT INTO dependances VALUES ('python-twisted-mail', 'python');
INSERT INTO dependances VALUES ('python-twisted-mail', 'python-central');
INSERT INTO dependances VALUES ('python-twisted-mail', 'python-twisted-core');
INSERT INTO dependances VALUES ('python-twisted-names', 'python');
INSERT INTO dependances VALUES ('python-twisted-names', 'python-central');
INSERT INTO dependances VALUES ('python-twisted-names', 'python-twisted-core');
INSERT INTO dependances VALUES ('python-twisted-news', 'python');
INSERT INTO dependances VALUES ('python-twisted-news', 'python-central');
INSERT INTO dependances VALUES ('python-twisted-news', 'python-twisted-core');
INSERT INTO dependances VALUES ('python-twisted-runner', 'python-central');
INSERT INTO dependances VALUES ('python-twisted-runner', 'python');
INSERT INTO dependances VALUES ('python-twisted-runner', 'python-twisted-core');
INSERT INTO dependances VALUES ('python-twisted-web', 'python');
INSERT INTO dependances VALUES ('python-twisted-web', 'python-central');
INSERT INTO dependances VALUES ('python-twisted-web', 'python-twisted-core');
INSERT INTO dependances VALUES ('python-twisted-words', 'python');
INSERT INTO dependances VALUES ('python-twisted-words', 'python-central');
INSERT INTO dependances VALUES ('python-twisted-words', 'python-twisted-core');
INSERT INTO dependances VALUES ('python-zopeinterface', 'python-central');
INSERT INTO dependances VALUES ('python-zopeinterface', 'python');
INSERT INTO dependances VALUES ('python2.5', 'python2.5-minimal');
INSERT INTO dependances VALUES ('python2.5', 'mime-support');
INSERT INTO dependances VALUES ('python2.5', 'libbz2-1.0');
INSERT INTO dependances VALUES ('python2.5', 'libc6');
INSERT INTO dependances VALUES ('python2.5', 'libdb4.4');
INSERT INTO dependances VALUES ('python2.5', 'libncursesw5');
INSERT INTO dependances VALUES ('python2.5', 'libreadline5');
INSERT INTO dependances VALUES ('python2.5', 'libsqlite3-0');
INSERT INTO dependances VALUES ('python2.5', 'libssl0.9.8');
INSERT INTO dependances VALUES ('python2.5-minimal', 'libc6');
INSERT INTO dependances VALUES ('python2.5-minimal', 'zlib1g');
INSERT INTO dependances VALUES ('read-edid', 'libc6');
INSERT INTO dependances VALUES ('reiserfsprogs', 'libc6');
INSERT INTO dependances VALUES ('reiserfsprogs', 'libuuid1');
INSERT INTO dependances VALUES ('rrdtool', 'libart-2.0-2');
INSERT INTO dependances VALUES ('rrdtool', 'libc6');
INSERT INTO dependances VALUES ('rrdtool', 'libfreetype6');
INSERT INTO dependances VALUES ('rrdtool', 'libpng12-0');
INSERT INTO dependances VALUES ('rrdtool', 'librrd2');
INSERT INTO dependances VALUES ('rrdtool', 'zlib1g');
INSERT INTO dependances VALUES ('rsync', 'libacl1');
INSERT INTO dependances VALUES ('rsync', 'libc6');
INSERT INTO dependances VALUES ('rsync', 'libpopt0');
INSERT INTO dependances VALUES ('rsync', 'lsb-base');
INSERT INTO dependances VALUES ('rsync', 'sysv-rc');
INSERT INTO dependances VALUES ('samba-common', 'libpam-modules');
INSERT INTO dependances VALUES ('samba-common', 'libc6');
INSERT INTO dependances VALUES ('samba-common', 'libcomerr2');
INSERT INTO dependances VALUES ('samba-common', 'libkrb53');
INSERT INTO dependances VALUES ('samba-common', 'libldap2');
INSERT INTO dependances VALUES ('samba-common', 'libncurses5');
INSERT INTO dependances VALUES ('samba-common', 'libpopt0');
INSERT INTO dependances VALUES ('samba-common', 'libreadline5');
INSERT INTO dependances VALUES ('samhain', 'libprelude2');
INSERT INTO dependances VALUES ('sessreg', 'libc6');
INSERT INTO dependances VALUES ('smproxy', 'libc6');
INSERT INTO dependances VALUES ('smproxy', 'libice6');
INSERT INTO dependances VALUES ('smproxy', 'libsm6');
INSERT INTO dependances VALUES ('smproxy', 'libx11-6');
INSERT INTO dependances VALUES ('smproxy', 'libxmu6');
INSERT INTO dependances VALUES ('smproxy', 'libxt6');
INSERT INTO dependances VALUES ('snmp', 'libc6');
INSERT INTO dependances VALUES ('snmp', 'libsnmp9');
INSERT INTO dependances VALUES ('snort', 'snort-rules-default');
INSERT INTO dependances VALUES ('snort', 'libc6');
INSERT INTO dependances VALUES ('snort', 'libgcrypt11');
INSERT INTO dependances VALUES ('snort', 'libgnutls13');
INSERT INTO dependances VALUES ('snort', 'libgpg-error0');
INSERT INTO dependances VALUES ('snort', 'libpcap0.8');
INSERT INTO dependances VALUES ('snort', 'libpcre3');
INSERT INTO dependances VALUES ('snort', 'libprelude2');
INSERT INTO dependances VALUES ('snort', 'libtasn1-3');
INSERT INTO dependances VALUES ('snort', 'zlib1g');
INSERT INTO dependances VALUES ('snort', 'snort-common');
INSERT INTO dependances VALUES ('snort', 'logrotate');
INSERT INTO dependances VALUES ('snort', 'coreutils');
INSERT INTO dependances VALUES ('snort-common', 'perl-modules');
INSERT INTO dependances VALUES ('snort-common', 'libc6');
INSERT INTO dependances VALUES ('snort-common', 'libgcrypt11');
INSERT INTO dependances VALUES ('snort-common', 'libgnutls13');
INSERT INTO dependances VALUES ('snort-common', 'libgpg-error0');
INSERT INTO dependances VALUES ('snort-common', 'libpcap0.8');
INSERT INTO dependances VALUES ('snort-common', 'libpcre3');
INSERT INTO dependances VALUES ('snort-common', 'libprelude2');
INSERT INTO dependances VALUES ('snort-rules-default', 'adduser');
INSERT INTO dependances VALUES ('squid', 'libc6');
INSERT INTO dependances VALUES ('squid', 'libdb4.4');
INSERT INTO dependances VALUES ('squid', 'libldap2');
INSERT INTO dependances VALUES ('squid', 'libpam0g');
INSERT INTO dependances VALUES ('squid', 'libssl0.9.8');
INSERT INTO dependances VALUES ('squid', 'netbase');
INSERT INTO dependances VALUES ('squid', 'adduser');
INSERT INTO dependances VALUES ('squid', 'logrotate');
INSERT INTO dependances VALUES ('squid', 'squid-common');
INSERT INTO dependances VALUES ('squid', 'coreutils');
INSERT INTO dependances VALUES ('squid', 'lsb-base');
INSERT INTO dependances VALUES ('squid', 'ssl-cert');
INSERT INTO dependances VALUES ('squid-cgi', 'libc6');
INSERT INTO dependances VALUES ('squidclient', 'libc6');
INSERT INTO dependances VALUES ('ssl-cert', 'openssl');
INSERT INTO dependances VALUES ('ssl-cert', 'adduser');
INSERT INTO dependances VALUES ('ssmtp', 'libc6');
INSERT INTO dependances VALUES ('ssmtp', 'libgnutls13');
INSERT INTO dependances VALUES ('ssmtp', 'debconf');
INSERT INTO dependances VALUES ('startup-tasks', 'upstart');
INSERT INTO dependances VALUES ('strace', 'libc6');
INSERT INTO dependances VALUES ('strongswan', 'libc6');
INSERT INTO dependances VALUES ('strongswan', 'libcurl3');
INSERT INTO dependances VALUES ('strongswan', 'libgmp3c2');
INSERT INTO dependances VALUES ('strongswan', 'libldap2');
INSERT INTO dependances VALUES ('strongswan', 'ipsec-tools');
INSERT INTO dependances VALUES ('stunnel', 'libc6');
INSERT INTO dependances VALUES ('stunnel', 'libssl0.9.8');
INSERT INTO dependances VALUES ('stunnel', 'libwrap0');
INSERT INTO dependances VALUES ('stunnel', 'openssl');
INSERT INTO dependances VALUES ('stunnel', 'netbase');
INSERT INTO dependances VALUES ('sudo', 'libc6');
INSERT INTO dependances VALUES ('sudo', 'libpam0g');
INSERT INTO dependances VALUES ('sudo', 'libpam-modules');
INSERT INTO dependances VALUES ('syslog-ng', 'libc6');
INSERT INTO dependances VALUES ('system-services', 'upstart');
INSERT INTO dependances VALUES ('system-services', 'upstart-compat-sysv');
INSERT INTO dependances VALUES ('sysvutils', 'libc6');
INSERT INTO dependances VALUES ('sysvutils', 'libselinux1');
INSERT INTO dependances VALUES ('sysvutils', 'libsepol1');
INSERT INTO dependances VALUES ('tasksel', 'cdebconf');
INSERT INTO dependances VALUES ('tasksel', 'liblocale-gettext-perl');
INSERT INTO dependances VALUES ('tasksel', 'apt');
INSERT INTO dependances VALUES ('tasksel', 'aptitude');
INSERT INTO dependances VALUES ('tasksel', 'tasksel-data');
INSERT INTO dependances VALUES ('tasksel-data', 'tasksel');
INSERT INTO dependances VALUES ('tasksel-data', 'laptop-detect');
INSERT INTO dependances VALUES ('tcpdump', 'libc6');
INSERT INTO dependances VALUES ('tcpdump', 'libpcap0.8');
INSERT INTO dependances VALUES ('tcpdump', 'libssl0.9.8');
INSERT INTO dependances VALUES ('telnet', 'netbase');
INSERT INTO dependances VALUES ('telnet', 'libc6');
INSERT INTO dependances VALUES ('telnet', 'libgcc1');
INSERT INTO dependances VALUES ('telnet', 'libncurses5');
INSERT INTO dependances VALUES ('telnet', 'libstdc++6');
INSERT INTO dependances VALUES ('time', 'libc6');
INSERT INTO dependances VALUES ('traceroute', 'libc6');
INSERT INTO dependances VALUES ('ttf-dejavu', 'defoma');
INSERT INTO dependances VALUES ('ubuntu-keyring', 'gnupg');
INSERT INTO dependances VALUES ('ubuntu-standard', 'at');
INSERT INTO dependances VALUES ('ubuntu-standard', 'cpio');
INSERT INTO dependances VALUES ('ubuntu-standard', 'cron');
INSERT INTO dependances VALUES ('ubuntu-standard', 'dmidecode');
INSERT INTO dependances VALUES ('ubuntu-standard', 'dnsutils');
INSERT INTO dependances VALUES ('ubuntu-standard', 'dosfstools');
INSERT INTO dependances VALUES ('ubuntu-standard', 'dselect');
INSERT INTO dependances VALUES ('ubuntu-standard', 'ed');
INSERT INTO dependances VALUES ('ubuntu-standard', 'fdutils');
INSERT INTO dependances VALUES ('ubuntu-standard', 'file');
INSERT INTO dependances VALUES ('ubuntu-standard', 'ftp');
INSERT INTO dependances VALUES ('ubuntu-standard', 'hdparm');
INSERT INTO dependances VALUES ('ubuntu-standard', 'info');
INSERT INTO dependances VALUES ('ubuntu-standard', 'inputattach');
INSERT INTO dependances VALUES ('ubuntu-standard', 'iptables');
INSERT INTO dependances VALUES ('ubuntu-standard', 'iputils-arping');
INSERT INTO dependances VALUES ('ubuntu-standard', 'iputils-tracepath');
INSERT INTO dependances VALUES ('ubuntu-standard', 'logrotate');
INSERT INTO dependances VALUES ('ubuntu-standard', 'lshw');
INSERT INTO dependances VALUES ('ubuntu-standard', 'lsof');
INSERT INTO dependances VALUES ('ubuntu-standard', 'ltrace');
INSERT INTO dependances VALUES ('ubuntu-standard', 'man-db');
INSERT INTO dependances VALUES ('ubuntu-standard', 'manpages');
INSERT INTO dependances VALUES ('ubuntu-standard', 'memtest86+');
INSERT INTO dependances VALUES ('ubuntu-standard', 'mime-support');
INSERT INTO dependances VALUES ('ubuntu-standard', 'nano');
INSERT INTO dependances VALUES ('ubuntu-standard', 'parted');
INSERT INTO dependances VALUES ('ubuntu-standard', 'popularity-contest');
INSERT INTO dependances VALUES ('ubuntu-standard', 'ppp');
INSERT INTO dependances VALUES ('ubuntu-standard', 'pppconfig');
INSERT INTO dependances VALUES ('ubuntu-standard', 'pppoeconf');
INSERT INTO dependances VALUES ('ubuntu-standard', 'psmisc');
INSERT INTO dependances VALUES ('ubuntu-standard', 'reiserfsprogs');
INSERT INTO dependances VALUES ('ubuntu-standard', 'rsync');
INSERT INTO dependances VALUES ('ubuntu-standard', 'strace');
INSERT INTO dependances VALUES ('ubuntu-standard', 'tcpdump');
INSERT INTO dependances VALUES ('ubuntu-standard', 'telnet');
INSERT INTO dependances VALUES ('ubuntu-standard', 'time');
INSERT INTO dependances VALUES ('ubuntu-standard', 'w3m');
INSERT INTO dependances VALUES ('ubuntu-standard', 'wget');
INSERT INTO dependances VALUES ('ucf', 'debconf');
INSERT INTO dependances VALUES ('ucf', 'coreutils');
INSERT INTO dependances VALUES ('udev', 'libc6');
INSERT INTO dependances VALUES ('udev', 'libselinux1');
INSERT INTO dependances VALUES ('udev', 'libsepol1');
INSERT INTO dependances VALUES ('udev', 'volumeid');
INSERT INTO dependances VALUES ('udev', 'module-init-tools');
INSERT INTO dependances VALUES ('udev', 'initramfs-tools');
INSERT INTO dependances VALUES ('udev', 'procps');
INSERT INTO dependances VALUES ('ulogd', 'libc6');
INSERT INTO dependances VALUES ('unzip', 'libc6');
INSERT INTO dependances VALUES ('update-inetd', 'debconf');
INSERT INTO dependances VALUES ('update-manager-core', 'python2.5');
INSERT INTO dependances VALUES ('update-manager-core', 'python-central');
INSERT INTO dependances VALUES ('update-manager-core', 'python');
INSERT INTO dependances VALUES ('update-manager-core', 'python-apt');
INSERT INTO dependances VALUES ('update-manager-core', 'lsb-release');
INSERT INTO dependances VALUES ('update-manager-core', 'python-gnupginterface');
INSERT INTO dependances VALUES ('upstart-compat-sysv', 'libc6');
INSERT INTO dependances VALUES ('upstart-compat-sysv', 'upstart');
INSERT INTO dependances VALUES ('upstart-compat-sysv', 'sysvutils');
INSERT INTO dependances VALUES ('upstart-compat-sysv', 'sysv-rc');
INSERT INTO dependances VALUES ('upstart-compat-sysv', 'initscripts');
INSERT INTO dependances VALUES ('upstart-logd', 'libc6');
INSERT INTO dependances VALUES ('upstart-logd', 'upstart');
INSERT INTO dependances VALUES ('usbutils', 'libc6');
INSERT INTO dependances VALUES ('usbutils', 'libusb-0.1-4');
INSERT INTO dependances VALUES ('usbutils', 'zlib1g');
INSERT INTO dependances VALUES ('usplash', 'libc6');
INSERT INTO dependances VALUES ('usplash', 'libusplash0');
INSERT INTO dependances VALUES ('usplash', 'initramfs-tools');
INSERT INTO dependances VALUES ('usplash-theme-eole', 'libc6');
INSERT INTO dependances VALUES ('usplash-theme-eole', 'initramfs-tools');
INSERT INTO dependances VALUES ('usplash-theme-eole', 'usplash');
INSERT INTO dependances VALUES ('util-linux', 'lsb-base');
INSERT INTO dependances VALUES ('util-linux', 'tzdata');
INSERT INTO dependances VALUES ('util-linux-locales', 'util-linux');
INSERT INTO dependances VALUES ('uucp', 'libc6');
INSERT INTO dependances VALUES ('uucp', 'libpam0g');
INSERT INTO dependances VALUES ('uucp', 'cron');
INSERT INTO dependances VALUES ('uucp', 'mailx');
INSERT INTO dependances VALUES ('uucp', 'logrotate');
INSERT INTO dependances VALUES ('uucp', 'libpam-runtime');
INSERT INTO dependances VALUES ('uucp', 'cu');
INSERT INTO dependances VALUES ('uucp', 'netbase');
INSERT INTO dependances VALUES ('uucp', 'update-inetd');
INSERT INTO dependances VALUES ('viewres', 'libc6');
INSERT INTO dependances VALUES ('viewres', 'libice6');
INSERT INTO dependances VALUES ('viewres', 'libsm6');
INSERT INTO dependances VALUES ('viewres', 'libx11-6');
INSERT INTO dependances VALUES ('viewres', 'libxaw7');
INSERT INTO dependances VALUES ('viewres', 'libxmu6');
INSERT INTO dependances VALUES ('viewres', 'libxt6');
INSERT INTO dependances VALUES ('vim', 'vim-common');
INSERT INTO dependances VALUES ('vim', 'vim-runtime');
INSERT INTO dependances VALUES ('vim', 'libc6');
INSERT INTO dependances VALUES ('vim', 'libgpmg1');
INSERT INTO dependances VALUES ('vim', 'libncurses5');
INSERT INTO dependances VALUES ('vim-common', 'libc6');
INSERT INTO dependances VALUES ('vim-tiny', 'vim-common');
INSERT INTO dependances VALUES ('vim-tiny', 'libc6');
INSERT INTO dependances VALUES ('vim-tiny', 'libncurses5');
INSERT INTO dependances VALUES ('vlan', 'libc6');
INSERT INTO dependances VALUES ('vlan', 'iproute');
INSERT INTO dependances VALUES ('volumeid', 'libc6');
INSERT INTO dependances VALUES ('volumeid', 'libselinux1');
INSERT INTO dependances VALUES ('volumeid', 'libsepol1');
INSERT INTO dependances VALUES ('volumeid', 'libvolume-id0');
INSERT INTO dependances VALUES ('volumeid', 'e2fsprogs');
INSERT INTO dependances VALUES ('volumeid', 'initramfs-tools');
INSERT INTO dependances VALUES ('w3m', 'libc6');
INSERT INTO dependances VALUES ('w3m', 'libgc1c2');
INSERT INTO dependances VALUES ('w3m', 'libgpmg1');
INSERT INTO dependances VALUES ('w3m', 'libncurses5');
INSERT INTO dependances VALUES ('w3m', 'libssl0.9.8');
INSERT INTO dependances VALUES ('w3m', 'zlib1g');
INSERT INTO dependances VALUES ('wget', 'libc6');
INSERT INTO dependances VALUES ('wget', 'libssl0.9.8');
INSERT INTO dependances VALUES ('whiptail', 'libc6');
INSERT INTO dependances VALUES ('whiptail', 'libnewt0.52');
INSERT INTO dependances VALUES ('whiptail', 'libpopt0');
INSERT INTO dependances VALUES ('whiptail', 'libslang2');
INSERT INTO dependances VALUES ('winbind', 'libc6');
INSERT INTO dependances VALUES ('winbind', 'libcomerr2');
INSERT INTO dependances VALUES ('winbind', 'libkrb53');
INSERT INTO dependances VALUES ('winbind', 'libldap2');
INSERT INTO dependances VALUES ('winbind', 'libpam0g');
INSERT INTO dependances VALUES ('winbind', 'libpopt0');
INSERT INTO dependances VALUES ('winbind', 'samba-common');
INSERT INTO dependances VALUES ('winbind', 'lsb-base');
INSERT INTO dependances VALUES ('winbind', 'adduser');
INSERT INTO dependances VALUES ('wireless-tools', 'libc6');
INSERT INTO dependances VALUES ('wireless-tools', 'libiw28');
INSERT INTO dependances VALUES ('wpasupplicant', 'libc6');
INSERT INTO dependances VALUES ('wpasupplicant', 'libdbus-1-3');
INSERT INTO dependances VALUES ('wpasupplicant', 'libncurses5');
INSERT INTO dependances VALUES ('wpasupplicant', 'libreadline5');
INSERT INTO dependances VALUES ('wpasupplicant', 'libssl0.9.8');
INSERT INTO dependances VALUES ('wpasupplicant', 'lsb-base');
INSERT INTO dependances VALUES ('x11-common', 'debianutils');
INSERT INTO dependances VALUES ('x11-common', 'lsb-base');
INSERT INTO dependances VALUES ('x11perf', 'libc6');
INSERT INTO dependances VALUES ('x11perf', 'libx11-6');
INSERT INTO dependances VALUES ('x11perf', 'libxext6');
INSERT INTO dependances VALUES ('x11perf', 'libxmuu1');
INSERT INTO dependances VALUES ('xauth', 'libc6');
INSERT INTO dependances VALUES ('xauth', 'libx11-6');
INSERT INTO dependances VALUES ('xauth', 'libxau6');
INSERT INTO dependances VALUES ('xauth', 'libxext6');
INSERT INTO dependances VALUES ('xauth', 'libxmuu1');
INSERT INTO dependances VALUES ('xbase-clients', 'xauth');
INSERT INTO dependances VALUES ('xbase-clients', 'xdpyinfo');
INSERT INTO dependances VALUES ('xbase-clients', 'xhost');
INSERT INTO dependances VALUES ('xbase-clients', 'xinit');
INSERT INTO dependances VALUES ('xbase-clients', 'xkbutils');
INSERT INTO dependances VALUES ('xbase-clients', 'xpmutils');
INSERT INTO dependances VALUES ('xbase-clients', 'xprop');
INSERT INTO dependances VALUES ('xbase-clients', 'xrandr');
INSERT INTO dependances VALUES ('xbase-clients', 'xrdb');
INSERT INTO dependances VALUES ('xbase-clients', 'xsetmode');
INSERT INTO dependances VALUES ('xbase-clients', 'xsetpointer');
INSERT INTO dependances VALUES ('xbase-clients', 'xvinfo');
INSERT INTO dependances VALUES ('xbase-clients', 'mesa-utils');
INSERT INTO dependances VALUES ('xbase-clients', 'xset');
INSERT INTO dependances VALUES ('xbase-clients', 'xmodmap');
INSERT INTO dependances VALUES ('xbase-clients', 'xdriinfo');
INSERT INTO dependances VALUES ('xbase-clients', 'appres');
INSERT INTO dependances VALUES ('xbase-clients', 'beforelight');
INSERT INTO dependances VALUES ('xbase-clients', 'bitmap');
INSERT INTO dependances VALUES ('xbase-clients', 'editres');
INSERT INTO dependances VALUES ('xbase-clients', 'fstobdf');
INSERT INTO dependances VALUES ('xbase-clients', 'iceauth');
INSERT INTO dependances VALUES ('xbase-clients', 'ico');
INSERT INTO dependances VALUES ('xbase-clients', 'listres');
INSERT INTO dependances VALUES ('xbase-clients', 'oclock');
INSERT INTO dependances VALUES ('xbase-clients', 'smproxy');
INSERT INTO dependances VALUES ('xbase-clients', 'viewres');
INSERT INTO dependances VALUES ('xbase-clients', 'x11perf');
INSERT INTO dependances VALUES ('xbase-clients', 'xbiff');
INSERT INTO dependances VALUES ('xbase-clients', 'xcalc');
INSERT INTO dependances VALUES ('xbase-clients', 'xclipboard');
INSERT INTO dependances VALUES ('xbase-clients', 'xclock');
INSERT INTO dependances VALUES ('xbase-clients', 'xconsole');
INSERT INTO dependances VALUES ('xbase-clients', 'xcursorgen');
INSERT INTO dependances VALUES ('xbase-clients', 'xditview');
INSERT INTO dependances VALUES ('xbase-clients', 'xev');
INSERT INTO dependances VALUES ('xbase-clients', 'xeyes');
INSERT INTO dependances VALUES ('xbase-clients', 'xf86dga');
INSERT INTO dependances VALUES ('xbase-clients', 'xfd');
INSERT INTO dependances VALUES ('xbase-clients', 'xfontsel');
INSERT INTO dependances VALUES ('xbase-clients', 'xgamma');
INSERT INTO dependances VALUES ('xbase-clients', 'xgc');
INSERT INTO dependances VALUES ('xbase-clients', 'xkill');
INSERT INTO dependances VALUES ('xbase-clients', 'xload');
INSERT INTO dependances VALUES ('xbase-clients', 'xlogo');
INSERT INTO dependances VALUES ('xbase-clients', 'xlsatoms');
INSERT INTO dependances VALUES ('xbase-clients', 'xlsclients');
INSERT INTO dependances VALUES ('xbase-clients', 'xlsfonts');
INSERT INTO dependances VALUES ('xbase-clients', 'xmag');
INSERT INTO dependances VALUES ('xbase-clients', 'xman');
INSERT INTO dependances VALUES ('xbase-clients', 'xmessage');
INSERT INTO dependances VALUES ('xbase-clients', 'xmore');
INSERT INTO dependances VALUES ('xbase-clients', 'xrgb');
INSERT INTO dependances VALUES ('xbase-clients', 'xrefresh');
INSERT INTO dependances VALUES ('xbase-clients', 'xsetroot');
INSERT INTO dependances VALUES ('xbase-clients', 'xsm');
INSERT INTO dependances VALUES ('xbase-clients', 'xstdcmap');
INSERT INTO dependances VALUES ('xbase-clients', 'xtrap');
INSERT INTO dependances VALUES ('xbase-clients', 'xvidtune');
INSERT INTO dependances VALUES ('xbase-clients', 'xwd');
INSERT INTO dependances VALUES ('xbase-clients', 'xwininfo');
INSERT INTO dependances VALUES ('xbase-clients', 'xwud');
INSERT INTO dependances VALUES ('xbase-clients', 'xutils');
INSERT INTO dependances VALUES ('xbiff', 'libc6');
INSERT INTO dependances VALUES ('xbiff', 'libice6');
INSERT INTO dependances VALUES ('xbiff', 'libsm6');
INSERT INTO dependances VALUES ('xbiff', 'libx11-6');
INSERT INTO dependances VALUES ('xbiff', 'libxaw7');
INSERT INTO dependances VALUES ('xbiff', 'libxext6');
INSERT INTO dependances VALUES ('xbiff', 'libxmu6');
INSERT INTO dependances VALUES ('xbiff', 'libxt6');
INSERT INTO dependances VALUES ('xcalc', 'libc6');
INSERT INTO dependances VALUES ('xcalc', 'libice6');
INSERT INTO dependances VALUES ('xcalc', 'libsm6');
INSERT INTO dependances VALUES ('xcalc', 'libx11-6');
INSERT INTO dependances VALUES ('xcalc', 'libxaw7');
INSERT INTO dependances VALUES ('xcalc', 'libxmu6');
INSERT INTO dependances VALUES ('xcalc', 'libxt6');
INSERT INTO dependances VALUES ('xclipboard', 'libc6');
INSERT INTO dependances VALUES ('xclipboard', 'libice6');
INSERT INTO dependances VALUES ('xclipboard', 'libsm6');
INSERT INTO dependances VALUES ('xclipboard', 'libx11-6');
INSERT INTO dependances VALUES ('xclipboard', 'libxaw7');
INSERT INTO dependances VALUES ('xclipboard', 'libxmu6');
INSERT INTO dependances VALUES ('xclipboard', 'libxt6');
INSERT INTO dependances VALUES ('xclock', 'libc6');
INSERT INTO dependances VALUES ('xclock', 'libfontconfig1');
INSERT INTO dependances VALUES ('xclock', 'libfreetype6');
INSERT INTO dependances VALUES ('xclock', 'libice6');
INSERT INTO dependances VALUES ('xclock', 'libsm6');
INSERT INTO dependances VALUES ('xclock', 'libx11-6');
INSERT INTO dependances VALUES ('xclock', 'libxaw7');
INSERT INTO dependances VALUES ('xclock', 'libxft2');
INSERT INTO dependances VALUES ('xclock', 'libxkbfile1');
INSERT INTO dependances VALUES ('xclock', 'libxmu6');
INSERT INTO dependances VALUES ('xclock', 'libxrender1');
INSERT INTO dependances VALUES ('xclock', 'libxt6');
INSERT INTO dependances VALUES ('xclock', 'zlib1g');
INSERT INTO dependances VALUES ('xconsole', 'libc6');
INSERT INTO dependances VALUES ('xconsole', 'libice6');
INSERT INTO dependances VALUES ('xconsole', 'libsm6');
INSERT INTO dependances VALUES ('xconsole', 'libx11-6');
INSERT INTO dependances VALUES ('xconsole', 'libxaw7');
INSERT INTO dependances VALUES ('xconsole', 'libxmu6');
INSERT INTO dependances VALUES ('xconsole', 'libxt6');
INSERT INTO dependances VALUES ('xcursorgen', 'libc6');
INSERT INTO dependances VALUES ('xcursorgen', 'libpng12-0');
INSERT INTO dependances VALUES ('xcursorgen', 'libx11-6');
INSERT INTO dependances VALUES ('xcursorgen', 'libxcursor1');
INSERT INTO dependances VALUES ('xditview', 'libc6');
INSERT INTO dependances VALUES ('xditview', 'libice6');
INSERT INTO dependances VALUES ('xditview', 'libsm6');
INSERT INTO dependances VALUES ('xditview', 'libx11-6');
INSERT INTO dependances VALUES ('xditview', 'libxaw7');
INSERT INTO dependances VALUES ('xditview', 'libxmu6');
INSERT INTO dependances VALUES ('xditview', 'libxt6');
INSERT INTO dependances VALUES ('xdpyinfo', 'libc6');
INSERT INTO dependances VALUES ('xdpyinfo', 'libdmx1');
INSERT INTO dependances VALUES ('xdpyinfo', 'libx11-6');
INSERT INTO dependances VALUES ('xdpyinfo', 'libxext6');
INSERT INTO dependances VALUES ('xdpyinfo', 'libxi6');
INSERT INTO dependances VALUES ('xdpyinfo', 'libxinerama1');
INSERT INTO dependances VALUES ('xdpyinfo', 'libxrender1');
INSERT INTO dependances VALUES ('xdpyinfo', 'libxtst6');
INSERT INTO dependances VALUES ('xdpyinfo', 'libxxf86dga1');
INSERT INTO dependances VALUES ('xdpyinfo', 'libxxf86misc1');
INSERT INTO dependances VALUES ('xdpyinfo', 'libxxf86vm1');
INSERT INTO dependances VALUES ('xdriinfo', 'libc6');
INSERT INTO dependances VALUES ('xdriinfo', 'libx11-6');
INSERT INTO dependances VALUES ('xev', 'libc6');
INSERT INTO dependances VALUES ('xev', 'libx11-6');
INSERT INTO dependances VALUES ('xeyes', 'libc6');
INSERT INTO dependances VALUES ('xeyes', 'libice6');
INSERT INTO dependances VALUES ('xeyes', 'libsm6');
INSERT INTO dependances VALUES ('xeyes', 'libx11-6');
INSERT INTO dependances VALUES ('xeyes', 'libxext6');
INSERT INTO dependances VALUES ('xeyes', 'libxmu6');
INSERT INTO dependances VALUES ('xeyes', 'libxt6');
INSERT INTO dependances VALUES ('xf86dga', 'libc6');
INSERT INTO dependances VALUES ('xf86dga', 'libice6');
INSERT INTO dependances VALUES ('xf86dga', 'libsm6');
INSERT INTO dependances VALUES ('xf86dga', 'libx11-6');
INSERT INTO dependances VALUES ('xf86dga', 'libxaw7');
INSERT INTO dependances VALUES ('xf86dga', 'libxmu6');
INSERT INTO dependances VALUES ('xf86dga', 'libxt6');
INSERT INTO dependances VALUES ('xf86dga', 'libxxf86dga1');
INSERT INTO dependances VALUES ('xfd', 'libc6');
INSERT INTO dependances VALUES ('xfd', 'libfontconfig1');
INSERT INTO dependances VALUES ('xfd', 'libfreetype6');
INSERT INTO dependances VALUES ('xfd', 'libice6');
INSERT INTO dependances VALUES ('xfd', 'libsm6');
INSERT INTO dependances VALUES ('xfd', 'libx11-6');
INSERT INTO dependances VALUES ('xfd', 'libxaw7');
INSERT INTO dependances VALUES ('xfd', 'libxft2');
INSERT INTO dependances VALUES ('xfd', 'libxmu6');
INSERT INTO dependances VALUES ('xfd', 'libxrender1');
INSERT INTO dependances VALUES ('xfd', 'libxt6');
INSERT INTO dependances VALUES ('xfd', 'zlib1g');
INSERT INTO dependances VALUES ('xfonts-100dpi', 'xfonts-utils');
INSERT INTO dependances VALUES ('xfonts-75dpi', 'xfonts-utils');
INSERT INTO dependances VALUES ('xfonts-base', 'xfonts-utils');
INSERT INTO dependances VALUES ('xfonts-encodings', 'x11-common');
INSERT INTO dependances VALUES ('xfonts-utils', 'libc6');
INSERT INTO dependances VALUES ('xfonts-utils', 'libfontenc1');
INSERT INTO dependances VALUES ('xfonts-utils', 'libfreetype6');
INSERT INTO dependances VALUES ('xfonts-utils', 'libxfont1');
INSERT INTO dependances VALUES ('xfonts-utils', 'zlib1g');
INSERT INTO dependances VALUES ('xfonts-utils', 'x11-common');
INSERT INTO dependances VALUES ('xfonts-utils', 'xfonts-encodings');
INSERT INTO dependances VALUES ('xfontsel', 'libc6');
INSERT INTO dependances VALUES ('xfontsel', 'libice6');
INSERT INTO dependances VALUES ('xfontsel', 'libsm6');
INSERT INTO dependances VALUES ('xfontsel', 'libx11-6');
INSERT INTO dependances VALUES ('xfontsel', 'libxaw7');
INSERT INTO dependances VALUES ('xfontsel', 'libxmu6');
INSERT INTO dependances VALUES ('xfontsel', 'libxt6');
INSERT INTO dependances VALUES ('xgamma', 'libc6');
INSERT INTO dependances VALUES ('xgamma', 'libx11-6');
INSERT INTO dependances VALUES ('xgamma', 'libxxf86vm1');
INSERT INTO dependances VALUES ('xgc', 'libc6');
INSERT INTO dependances VALUES ('xgc', 'libice6');
INSERT INTO dependances VALUES ('xgc', 'libsm6');
INSERT INTO dependances VALUES ('xgc', 'libx11-6');
INSERT INTO dependances VALUES ('xgc', 'libxaw7');
INSERT INTO dependances VALUES ('xgc', 'libxmu6');
INSERT INTO dependances VALUES ('xgc', 'libxt6');
INSERT INTO dependances VALUES ('xhost', 'libc6');
INSERT INTO dependances VALUES ('xhost', 'libx11-6');
INSERT INTO dependances VALUES ('xhost', 'libxau6');
INSERT INTO dependances VALUES ('xhost', 'libxmuu1');
INSERT INTO dependances VALUES ('xinit', 'libc6');
INSERT INTO dependances VALUES ('xinit', 'libx11-6');
INSERT INTO dependances VALUES ('xinit', 'xauth');
INSERT INTO dependances VALUES ('xinit', 'xrdb');
INSERT INTO dependances VALUES ('xkbutils', 'libc6');
INSERT INTO dependances VALUES ('xkbutils', 'libice6');
INSERT INTO dependances VALUES ('xkbutils', 'libsm6');
INSERT INTO dependances VALUES ('xkbutils', 'libx11-6');
INSERT INTO dependances VALUES ('xkbutils', 'libxaw7');
INSERT INTO dependances VALUES ('xkbutils', 'libxkbfile1');
INSERT INTO dependances VALUES ('xkbutils', 'libxmu6');
INSERT INTO dependances VALUES ('xkbutils', 'libxt6');
INSERT INTO dependances VALUES ('xkill', 'libc6');
INSERT INTO dependances VALUES ('xkill', 'libx11-6');
INSERT INTO dependances VALUES ('xkill', 'libxmuu1');
INSERT INTO dependances VALUES ('xload', 'libc6');
INSERT INTO dependances VALUES ('xload', 'libice6');
INSERT INTO dependances VALUES ('xload', 'libsm6');
INSERT INTO dependances VALUES ('xload', 'libx11-6');
INSERT INTO dependances VALUES ('xload', 'libxaw7');
INSERT INTO dependances VALUES ('xload', 'libxmu6');
INSERT INTO dependances VALUES ('xload', 'libxt6');
INSERT INTO dependances VALUES ('xlogo', 'libc6');
INSERT INTO dependances VALUES ('xlogo', 'libfontconfig1');
INSERT INTO dependances VALUES ('xlogo', 'libfreetype6');
INSERT INTO dependances VALUES ('xlogo', 'libice6');
INSERT INTO dependances VALUES ('xlogo', 'libsm6');
INSERT INTO dependances VALUES ('xlogo', 'libx11-6');
INSERT INTO dependances VALUES ('xlogo', 'libxaw7');
INSERT INTO dependances VALUES ('xlogo', 'libxext6');
INSERT INTO dependances VALUES ('xlogo', 'libxft2');
INSERT INTO dependances VALUES ('xlogo', 'libxmu6');
INSERT INTO dependances VALUES ('xlogo', 'libxrender1');
INSERT INTO dependances VALUES ('xlogo', 'libxt6');
INSERT INTO dependances VALUES ('xlogo', 'zlib1g');
INSERT INTO dependances VALUES ('xlsatoms', 'libc6');
INSERT INTO dependances VALUES ('xlsatoms', 'libx11-6');
INSERT INTO dependances VALUES ('xlsatoms', 'libxmuu1');
INSERT INTO dependances VALUES ('xlsclients', 'libc6');
INSERT INTO dependances VALUES ('xlsclients', 'libx11-6');
INSERT INTO dependances VALUES ('xlsclients', 'libxmuu1');
INSERT INTO dependances VALUES ('xlsfonts', 'libc6');
INSERT INTO dependances VALUES ('xlsfonts', 'libx11-6');
INSERT INTO dependances VALUES ('xmag', 'libc6');
INSERT INTO dependances VALUES ('xmag', 'libice6');
INSERT INTO dependances VALUES ('xmag', 'libsm6');
INSERT INTO dependances VALUES ('xmag', 'libx11-6');
INSERT INTO dependances VALUES ('xmag', 'libxaw7');
INSERT INTO dependances VALUES ('xmag', 'libxmu6');
INSERT INTO dependances VALUES ('xmag', 'libxt6');
INSERT INTO dependances VALUES ('xman', 'libc6');
INSERT INTO dependances VALUES ('xman', 'libice6');
INSERT INTO dependances VALUES ('xman', 'libsm6');
INSERT INTO dependances VALUES ('xman', 'libx11-6');
INSERT INTO dependances VALUES ('xman', 'libxaw7');
INSERT INTO dependances VALUES ('xman', 'libxmu6');
INSERT INTO dependances VALUES ('xman', 'libxt6');
INSERT INTO dependances VALUES ('xmessage', 'libc6');
INSERT INTO dependances VALUES ('xmessage', 'libice6');
INSERT INTO dependances VALUES ('xmessage', 'libsm6');
INSERT INTO dependances VALUES ('xmessage', 'libx11-6');
INSERT INTO dependances VALUES ('xmessage', 'libxaw7');
INSERT INTO dependances VALUES ('xmessage', 'libxmu6');
INSERT INTO dependances VALUES ('xmessage', 'libxt6');
INSERT INTO dependances VALUES ('xmodmap', 'libc6');
INSERT INTO dependances VALUES ('xmodmap', 'libx11-6');
INSERT INTO dependances VALUES ('xmore', 'libc6');
INSERT INTO dependances VALUES ('xmore', 'libice6');
INSERT INTO dependances VALUES ('xmore', 'libsm6');
INSERT INTO dependances VALUES ('xmore', 'libx11-6');
INSERT INTO dependances VALUES ('xmore', 'libxaw7');
INSERT INTO dependances VALUES ('xmore', 'libxmu6');
INSERT INTO dependances VALUES ('xmore', 'libxt6');
INSERT INTO dependances VALUES ('xpmutils', 'libc6');
INSERT INTO dependances VALUES ('xpmutils', 'libice6');
INSERT INTO dependances VALUES ('xpmutils', 'libsm6');
INSERT INTO dependances VALUES ('xpmutils', 'libx11-6');
INSERT INTO dependances VALUES ('xpmutils', 'libxext6');
INSERT INTO dependances VALUES ('xpmutils', 'libxt6');
INSERT INTO dependances VALUES ('xprop', 'libc6');
INSERT INTO dependances VALUES ('xprop', 'libx11-6');
INSERT INTO dependances VALUES ('xprop', 'libxmuu1');
INSERT INTO dependances VALUES ('xrandr', 'libc6');
INSERT INTO dependances VALUES ('xrandr', 'libx11-6');
INSERT INTO dependances VALUES ('xrandr', 'libxrandr2');
INSERT INTO dependances VALUES ('xrandr', 'libxrender1');
INSERT INTO dependances VALUES ('xrdb', 'libc6');
INSERT INTO dependances VALUES ('xrdb', 'libx11-6');
INSERT INTO dependances VALUES ('xrdb', 'libxmuu1');
INSERT INTO dependances VALUES ('xrdb', 'mcpp');
INSERT INTO dependances VALUES ('xrefresh', 'libc6');
INSERT INTO dependances VALUES ('xrefresh', 'libx11-6');
INSERT INTO dependances VALUES ('xrgb', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg', 'xkb-data-legacy');
INSERT INTO dependances VALUES ('xserver-xorg', 'xbase-clients');
INSERT INTO dependances VALUES ('xserver-xorg-core', 'x11-common');
INSERT INTO dependances VALUES ('xserver-xorg-core', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-core', 'libdrm2');
INSERT INTO dependances VALUES ('xserver-xorg-core', 'libfontenc1');
INSERT INTO dependances VALUES ('xserver-xorg-core', 'libgcc1');
INSERT INTO dependances VALUES ('xserver-xorg-core', 'libxau6');
INSERT INTO dependances VALUES ('xserver-xorg-core', 'libxdmcp6');
INSERT INTO dependances VALUES ('xserver-xorg-core', 'libxfont1');
INSERT INTO dependances VALUES ('xserver-xorg-core', 'xserver-xorg');
INSERT INTO dependances VALUES ('xserver-xorg-input-all', 'xserver-xorg-input-evdev');
INSERT INTO dependances VALUES ('xserver-xorg-input-all', 'xserver-xorg-input-kbd');
INSERT INTO dependances VALUES ('xserver-xorg-input-all', 'xserver-xorg-input-mouse');
INSERT INTO dependances VALUES ('xserver-xorg-input-all', 'xserver-xorg-input-synaptics');
INSERT INTO dependances VALUES ('xserver-xorg-input-all', 'xserver-xorg-input-wacom');
INSERT INTO dependances VALUES ('xserver-xorg-input-all', 'xserver-xorg-input-elographics');
INSERT INTO dependances VALUES ('xserver-xorg-input-elographics', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-input-elographics', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-input-evdev', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-input-evdev', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-input-kbd', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-input-kbd', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-input-mouse', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-input-mouse', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-input-synaptics', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-input-synaptics', 'libx11-6');
INSERT INTO dependances VALUES ('xserver-xorg-input-synaptics', 'libxext6');
INSERT INTO dependances VALUES ('xserver-xorg-input-synaptics', 'libxi6');
INSERT INTO dependances VALUES ('xserver-xorg-input-synaptics', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-apm');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-ark');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-ati');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-chips');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-cirrus');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-cyrix');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-dummy');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-fbdev');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-glint');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-i128');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-i740');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-intel');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-imstt');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-mga');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-neomagic');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-newport');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-nsc');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-nv');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-rendition');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-s3');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-s3virge');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-savage');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-siliconmotion');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-sis');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-sisusb');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-tdfx');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-tga');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-trident');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-tseng');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-vesa');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-vga');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-via');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-voodoo');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-vmware');
INSERT INTO dependances VALUES ('xserver-xorg-video-all', 'xserver-xorg-video-v4l');
INSERT INTO dependances VALUES ('xserver-xorg-video-apm', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-apm', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-ark', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-ark', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-ati', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-ati', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-chips', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-chips', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-cirrus', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-cirrus', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-cyrix', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-cyrix', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-dummy', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-dummy', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-fbdev', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-fbdev', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-glint', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-glint', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-i128', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-i128', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-i740', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-i740', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-i810', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-i810', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-imstt', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-imstt', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-mga', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-mga', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-neomagic', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-neomagic', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-newport', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-newport', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-nsc', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-nsc', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-nv', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-nv', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-rendition', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-rendition', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-s3', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-s3', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-s3virge', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-s3virge', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-savage', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-savage', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-siliconmotion', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-siliconmotion', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-sis', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-sis', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-sisusb', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-sisusb', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-tdfx', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-tdfx', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-tga', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-tga', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-trident', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-trident', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-tseng', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-tseng', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-v4l', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-v4l', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-vesa', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-vesa', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-vga', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-vga', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-via', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-via', 'libdrm2');
INSERT INTO dependances VALUES ('xserver-xorg-video-via', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-vmware', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-vmware', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xserver-xorg-video-voodoo', 'libc6');
INSERT INTO dependances VALUES ('xserver-xorg-video-voodoo', 'xserver-xorg-core');
INSERT INTO dependances VALUES ('xset', 'libc6');
INSERT INTO dependances VALUES ('xset', 'libx11-6');
INSERT INTO dependances VALUES ('xset', 'libxext6');
INSERT INTO dependances VALUES ('xset', 'libxmuu1');
INSERT INTO dependances VALUES ('xset', 'libxxf86misc1');
INSERT INTO dependances VALUES ('xsetmode', 'libc6');
INSERT INTO dependances VALUES ('xsetmode', 'libx11-6');
INSERT INTO dependances VALUES ('xsetmode', 'libxi6');
INSERT INTO dependances VALUES ('xsetpointer', 'libc6');
INSERT INTO dependances VALUES ('xsetpointer', 'libx11-6');
INSERT INTO dependances VALUES ('xsetpointer', 'libxi6');
INSERT INTO dependances VALUES ('xsetroot', 'libc6');
INSERT INTO dependances VALUES ('xsetroot', 'libx11-6');
INSERT INTO dependances VALUES ('xsetroot', 'libxmuu1');
INSERT INTO dependances VALUES ('xsm', 'libc6');
INSERT INTO dependances VALUES ('xsm', 'libice6');
INSERT INTO dependances VALUES ('xsm', 'libsm6');
INSERT INTO dependances VALUES ('xsm', 'libx11-6');
INSERT INTO dependances VALUES ('xsm', 'libxaw7');
INSERT INTO dependances VALUES ('xsm', 'libxmu6');
INSERT INTO dependances VALUES ('xsm', 'libxt6');
INSERT INTO dependances VALUES ('xstdcmap', 'libc6');
INSERT INTO dependances VALUES ('xstdcmap', 'libice6');
INSERT INTO dependances VALUES ('xstdcmap', 'libsm6');
INSERT INTO dependances VALUES ('xstdcmap', 'libx11-6');
INSERT INTO dependances VALUES ('xstdcmap', 'libxmu6');
INSERT INTO dependances VALUES ('xstdcmap', 'libxt6');
INSERT INTO dependances VALUES ('xtrap', 'libc6');
INSERT INTO dependances VALUES ('xtrap', 'libice6');
INSERT INTO dependances VALUES ('xtrap', 'libsm6');
INSERT INTO dependances VALUES ('xtrap', 'libx11-6');
INSERT INTO dependances VALUES ('xtrap', 'libxt6');
INSERT INTO dependances VALUES ('xtrap', 'libxtrap6');
INSERT INTO dependances VALUES ('xutils', 'xutils-dev');
INSERT INTO dependances VALUES ('xutils', 'xcursorgen');
INSERT INTO dependances VALUES ('xutils', 'sessreg');
INSERT INTO dependances VALUES ('xutils', 'xfonts-utils');
INSERT INTO dependances VALUES ('xutils-dev', 'libc6');
INSERT INTO dependances VALUES ('xutils-dev', 'cpp');
INSERT INTO dependances VALUES ('xvidtune', 'libc6');
INSERT INTO dependances VALUES ('xvidtune', 'libice6');
INSERT INTO dependances VALUES ('xvidtune', 'libsm6');
INSERT INTO dependances VALUES ('xvidtune', 'libx11-6');
INSERT INTO dependances VALUES ('xvidtune', 'libxaw7');
INSERT INTO dependances VALUES ('xvidtune', 'libxmu6');
INSERT INTO dependances VALUES ('xvidtune', 'libxt6');
INSERT INTO dependances VALUES ('xvidtune', 'libxxf86vm1');
INSERT INTO dependances VALUES ('xvinfo', 'libc6');
INSERT INTO dependances VALUES ('xvinfo', 'libx11-6');
INSERT INTO dependances VALUES ('xvinfo', 'libxv1');
INSERT INTO dependances VALUES ('xwd', 'libc6');
INSERT INTO dependances VALUES ('xwd', 'libx11-6');
INSERT INTO dependances VALUES ('xwd', 'libxmuu1');
INSERT INTO dependances VALUES ('xwininfo', 'libc6');
INSERT INTO dependances VALUES ('xwininfo', 'libx11-6');
INSERT INTO dependances VALUES ('xwininfo', 'libxext6');
INSERT INTO dependances VALUES ('xwininfo', 'libxmuu1');
INSERT INTO dependances VALUES ('xwud', 'libc6');
INSERT INTO dependances VALUES ('xwud', 'libx11-6');
INSERT INTO dependances VALUES ('zephir-client', 'python');
INSERT INTO dependances VALUES ('zephir-client', 'python-support');
INSERT INTO dependances VALUES ('zephir-client', 'python-rrd');
INSERT INTO dependances VALUES ('zephir-client', 'python-twisted');
INSERT INTO dependances VALUES ('zephir-client', 'uucp');
INSERT INTO dependances VALUES ('zip', 'libc6');
INSERT INTO dependances VALUES ('zlib1g', 'libc6');


--
-- Data for Name: dist_eole; Type: TABLE DATA; Schema: public; Owner: eole
--

INSERT INTO dist_eole VALUES (3, 'eole-2.0-security', 'feisty');
INSERT INTO dist_eole VALUES (4, 'eole-2.0-updates', 'feisty');
INSERT INTO dist_eole VALUES (1, 'eole-2.0-dev', 'feisty');
INSERT INTO dist_eole VALUES (10, 'eole-2.0-proposed', 'feisty');
INSERT INTO dist_eole VALUES (2, 'eole-2.0', 'feisty');
INSERT INTO dist_eole VALUES (6, 'eole-2.1-dev', 'gutsy');
INSERT INTO dist_eole VALUES (7, 'eole-2.1', 'gutsy');
INSERT INTO dist_eole VALUES (8, 'eole-2.1-security', 'gutsy');
INSERT INTO dist_eole VALUES (9, 'eole-2.1-updates', 'gutsy');
INSERT INTO dist_eole VALUES (11, 'eole-2.1-proposed', 'gutsy');


--
-- Data for Name: dist_ubuntu; Type: TABLE DATA; Schema: public; Owner: eole
--

INSERT INTO dist_ubuntu VALUES (1, 'dapper', NULL, NULL);
INSERT INTO dist_ubuntu VALUES (2, 'edgy', NULL, NULL);
INSERT INTO dist_ubuntu VALUES (5, 'hardy', '2.2', NULL);
INSERT INTO dist_ubuntu VALUES (4, 'gutsy', '2.1', 'http://192.168.230.3:7080');
INSERT INTO dist_ubuntu VALUES (3, 'feisty', '2.0', 'http://192.168.10.134:7080');


--
-- Data for Name: modules; Type: TABLE DATA; Schema: public; Owner: eole
--

INSERT INTO modules VALUES (1, 'scribe');
INSERT INTO modules VALUES (2, 'amon');
INSERT INTO modules VALUES (3, 'horus');
INSERT INTO modules VALUES (4, 'zephir');
INSERT INTO modules VALUES (5, 'sphynx');
INSERT INTO modules VALUES (6, 'preludemanager');
INSERT INTO modules VALUES (7, 'zephirlogs');
INSERT INTO modules VALUES (8, 'eclair');
INSERT INTO modules VALUES (9, 'sentinelle');
INSERT INTO modules VALUES (10, 'amonecole');


--
-- Data for Name: paquets; Type: TABLE DATA; Schema: public; Owner: eole
--

INSERT INTO paquets VALUES (2, 'eoletest', '2.0', 3);
INSERT INTO paquets VALUES (3, 'conf-amon', '0.99', 2);
INSERT INTO paquets VALUES (5, 'conf-horus', '2.0', 3);
INSERT INTO paquets VALUES (12, 'conf-sphynx', '2.0', 3);
INSERT INTO paquets VALUES (13, 'sphynx-pkg', '0.1', 3);
INSERT INTO paquets VALUES (14, 'conf-amon', '2.0', 3);
INSERT INTO paquets VALUES (15, 'ead-amon', '1.0', 3);
INSERT INTO paquets VALUES (16, 'blacklists', '1.0', 3);
INSERT INTO paquets VALUES (17, 'sphynx-vpn', '1.98', 3);
INSERT INTO paquets VALUES (18, 'conf-scribe', '2.0', 3);
INSERT INTO paquets VALUES (19, 'controle-vnc', '1.0', 3);
INSERT INTO paquets VALUES (20, 'ead-scribe', '1.0', 3);
INSERT INTO paquets VALUES (21, 'extraction-scribe', '1.0', 3);
INSERT INTO paquets VALUES (22, 'scribe-backend', '2.0', 3);
INSERT INTO paquets VALUES (23, 'scribe-eva2', '1.0', 3);
INSERT INTO paquets VALUES (24, 'scribe-gibii5', '1.0', 3);
INSERT INTO paquets VALUES (25, 'scribe-pkg', '1.0', 3);
INSERT INTO paquets VALUES (26, 'squirrelmail-plugins', '1.0', 3);
INSERT INTO paquets VALUES (27, 'conf-zephir', '2.0', 3);
INSERT INTO paquets VALUES (28, 'zephir-pkg', '2.0', 3);
INSERT INTO paquets VALUES (29, 'zephir-parc', '2.0', 3);
INSERT INTO paquets VALUES (30, 'mars-nwe', '0.99.pl20', 3);
INSERT INTO paquets VALUES (31, 'ead-horus', '1.0', 3);
INSERT INTO paquets VALUES (32, 'horus-backend', '2.0', 3);
INSERT INTO paquets VALUES (33, 'horus-pkg', '1.0', 3);
INSERT INTO paquets VALUES (34, 'frontend-horus', '1.0', 3);
INSERT INTO paquets VALUES (35, 'eolex11', '0.1', 3);
INSERT INTO paquets VALUES (36, 'eolebase', '1.0', 3);
INSERT INTO paquets VALUES (37, 'amon-pkg', '0.1', 3);
INSERT INTO paquets VALUES (38, 'creole', '2.0', 3);
INSERT INTO paquets VALUES (39, 'eole-sso', '1.0', 3);
INSERT INTO paquets VALUES (40, 'zephir-client', '2.0', 3);
INSERT INTO paquets VALUES (41, 'eole-bacula', '1.0', 3);
INSERT INTO paquets VALUES (42, 'eole-esu', '1.0', 3);
INSERT INTO paquets VALUES (43, 'eole-ead', '1.0', 3);
INSERT INTO paquets VALUES (44, 'samba-vscan', '3.0.24', 3);
INSERT INTO paquets VALUES (45, 'usplash-theme-eole', '0.1', 3);
INSERT INTO paquets VALUES (46, 'eole-register', '1.0', 3);
INSERT INTO paquets VALUES (47, 'conf-eolebase', '2.0', 3);
INSERT INTO paquets VALUES (48, 'eclair-3-about', '0.0.21', 3);
INSERT INTO paquets VALUES (49, 'eclair-3-base', '0.0.69', 3);
INSERT INTO paquets VALUES (50, 'conf-zephirlogs', '2.0', 3);
INSERT INTO paquets VALUES (51, 'zephirlogs-pkg', '0.1', 3);
INSERT INTO paquets VALUES (52, 'filtrage', '1.0', 3);
INSERT INTO paquets VALUES (53, 'conf-preludemanager', '2.0', 3);
INSERT INTO paquets VALUES (54, 'preludemanager-pkg', '0.1', 3);
INSERT INTO paquets VALUES (55, 'sentinelle-pkg', '1.0', 3);
INSERT INTO paquets VALUES (56, 'sentinelle-server', '1.0', 3);
INSERT INTO paquets VALUES (57, 'conf-sentinelle', '2.0', 3);
INSERT INTO paquets VALUES (64, 'scribe-gepi', '1.0', 3);
INSERT INTO paquets VALUES (66, 'scribe-gibii51', '1.0', 3);
INSERT INTO paquets VALUES (67, 'strongswan', '2.8.3', 3);
INSERT INTO paquets VALUES (68, 'conf-scribe', '2.1', 4);
INSERT INTO paquets VALUES (69, 'controle-vnc', '2.1', 4);
INSERT INTO paquets VALUES (70, 'extraction-scribe', '2.1', 4);
INSERT INTO paquets VALUES (71, 'scribe-backend', '2.1', 4);
INSERT INTO paquets VALUES (72, 'scribe-pkg', '2.1', 4);
INSERT INTO paquets VALUES (73, 'squirrelmail-plugins', '2.1', 4);
INSERT INTO paquets VALUES (74, 'scribe-gepi', '2.1', 4);
INSERT INTO paquets VALUES (75, 'scribe-eva3', '2.1', 4);
INSERT INTO paquets VALUES (76, 'scribe-gibii53', '2.1', 4);
INSERT INTO paquets VALUES (77, 'ead-scribe', '2.1', 4);
INSERT INTO paquets VALUES (78, 'conf-horus', '2.1', 4);
INSERT INTO paquets VALUES (79, 'horus-backend', '2.1', 4);
INSERT INTO paquets VALUES (80, 'horus-pkg', '2.1', 4);
INSERT INTO paquets VALUES (81, 'frontend-horus', '2.1', 4);
INSERT INTO paquets VALUES (82, 'eolebase', '2.1', 4);
INSERT INTO paquets VALUES (83, 'eolex11', '2.1', 4);
INSERT INTO paquets VALUES (84, 'autostatus', '2.1', 4);
INSERT INTO paquets VALUES (85, 'creole', '2.1', 4);
INSERT INTO paquets VALUES (86, 'eole-sso', '2.1', 4);
INSERT INTO paquets VALUES (87, 'zephir-client', '2.1', 4);
INSERT INTO paquets VALUES (88, 'eole-bacula', '2.1', 4);
INSERT INTO paquets VALUES (89, 'eole-esu', '2.1', 4);
INSERT INTO paquets VALUES (90, 'eole-ead', '2.1', 4);
INSERT INTO paquets VALUES (91, 'ead-horus', '2.1', 4);
INSERT INTO paquets VALUES (92, 'usplash-theme-eole', '2.1', 4);
INSERT INTO paquets VALUES (93, 'eole-register', '2.1', 4);
INSERT INTO paquets VALUES (94, 'conf-eolebase', '2.1', 4);
INSERT INTO paquets VALUES (95, 'eole-kernel-version', '2.1', 4);
INSERT INTO paquets VALUES (96, 'eole-update-notifier', '2.1', 4);
INSERT INTO paquets VALUES (97, 'filtrage', '2.1', 4);
INSERT INTO paquets VALUES (98, 'amon-pkg', '2.1', 4);
INSERT INTO paquets VALUES (99, 'conf-amon', '2.1', 4);
INSERT INTO paquets VALUES (100, 'ead-amon', '2.1', 4);
INSERT INTO paquets VALUES (101, 'era', '2.1', 4);
INSERT INTO paquets VALUES (102, 'blacklists', '2.1', 4);
INSERT INTO paquets VALUES (103, 'amon-backend', '2.1', 4);
INSERT INTO paquets VALUES (104, 'eole-dansguardian', '2.1', 4);
INSERT INTO paquets VALUES (105, 'conf-sphynx', '2.1', 4);
INSERT INTO paquets VALUES (106, 'mars-nwe', '0.99.pl20', 4);
INSERT INTO paquets VALUES (107, 'sphynx-pkg', '2.1', 4);
INSERT INTO paquets VALUES (108, 'sphynx-vpn', '2.1', 4);
INSERT INTO paquets VALUES (109, 'conf-zephir', '2.1', 4);
INSERT INTO paquets VALUES (110, 'zephir-pkg', '2.1', 4);
INSERT INTO paquets VALUES (111, 'zephir-parc', '2.1', 4);
INSERT INTO paquets VALUES (112, 'libpam-cas-eole', '2.1', 4);
INSERT INTO paquets VALUES (113, 'eclair-pkg', '2.1', 4);
INSERT INTO paquets VALUES (114, 'conf-eclair', '2.1', 4);
INSERT INTO paquets VALUES (115, 'conf-zephirlogs', '2.1', 4);
INSERT INTO paquets VALUES (116, 'zephirlogs-pkg', '2.1', 4);
INSERT INTO paquets VALUES (117, 'conf-preludemanager', '2.1', 4);
INSERT INTO paquets VALUES (118, 'preludemanager-pkg', '2.1', 4);
INSERT INTO paquets VALUES (119, 'sentinelle-pkg', '2.1', 4);
INSERT INTO paquets VALUES (120, 'sentinelle-server', '2.1', 4);
INSERT INTO paquets VALUES (121, 'conf-sentinelle', '2.1', 4);
INSERT INTO paquets VALUES (122, 'amonecole-pkg', '2.1', 4);
INSERT INTO paquets VALUES (123, 'conf-amonecole', '2.1', 4);
INSERT INTO paquets VALUES (124, 'scribe-ecole', '2.1', 4);
INSERT INTO paquets VALUES (125, 'eole-xen-server', '2.1', 4);
INSERT INTO paquets VALUES (126, 'interbase', '5.6', 4);
INSERT INTO paquets VALUES (127, 'samba-vscan', '3.0.26a', 4);
INSERT INTO paquets VALUES (128, 'ocsinventory-agent', '1.01', 4);
INSERT INTO paquets VALUES (129, 'libpam-ldap', '184', 4);
INSERT INTO paquets VALUES (130, 'ldap-auth-client', '0.4', 4);
INSERT INTO paquets VALUES (131, 'libnss-ldap', '255', 4);
INSERT INTO paquets VALUES (132, 'squid', '2.6.5', 4);
INSERT INTO paquets VALUES (133, 'nufw', '2.2.11', 4);
INSERT INTO paquets VALUES (134, 'pyctd', '0.4.2', 4);
INSERT INTO paquets VALUES (135, 'nulog', '1.2.14', 4);
INSERT INTO paquets VALUES (136, 'pynetfilter-conntrack', '0.4.1', 4);
INSERT INTO paquets VALUES (137, 'libnetfilter-conntrack', '0.0.82', 4);
INSERT INTO paquets VALUES (138, 'libnetfilter-queue', '0.0.15', 4);
INSERT INTO paquets VALUES (139, 'libnfnetlink', '0.0.30', 4);
INSERT INTO paquets VALUES (140, 'python-reverend', '0.3', 4);
INSERT INTO paquets VALUES (141, 'python-pam', '0.4.2', 4);
INSERT INTO paquets VALUES (142, 'sympa', '5.2.4', 4);
INSERT INTO paquets VALUES (143, 'bacula', '2.0.3', 4);
INSERT INTO paquets VALUES (144, 'dansguardian', '2.9.9.1', 4);
INSERT INTO paquets VALUES (145, 'python-openid', '2.0.0', 4);
INSERT INTO paquets VALUES (146, 'bacula', '2.2.8', 4);
INSERT INTO paquets VALUES (147, 'smbldap-tools', '0.9.2', 4);
INSERT INTO paquets VALUES (148, 'libpreludedb', '0.9.14.1', 4);
INSERT INTO paquets VALUES (149, 'libprelude', '0.9.16.2', 4);
INSERT INTO paquets VALUES (150, 'prelude-manager', '0.9.11', 4);
INSERT INTO paquets VALUES (151, 'prewikka', '0.9.13', 4);
INSERT INTO paquets VALUES (152, 'prelude-lml', '0.9.11', 4);
INSERT INTO paquets VALUES (153, 'glpi', '0.70.1a', 4);
INSERT INTO paquets VALUES (154, 'ocsinventory-server', '1.01', 4);
INSERT INTO paquets VALUES (155, 'conf-ocsinventory', '2.0', 4);
INSERT INTO paquets VALUES (156, 'ocsinventory-pkg', '2.0', 4);
INSERT INTO paquets VALUES (157, 'strongswan', '2.8.3', 4);
INSERT INTO paquets VALUES (158, 'strongswan', '2.8.4', 4);
INSERT INTO paquets VALUES (159, 'strongswan', '2.8.8', 4);
INSERT INTO paquets VALUES (160, 'clamav', '0.92', 4);
INSERT INTO paquets VALUES (161, 'clamav', '0.91.2', 4);
INSERT INTO paquets VALUES (162, 'clamav', '0.92.1~dfsg', 4);
INSERT INTO paquets VALUES (163, 'libpam-cas-eole', '2.1', 3);


--
-- Data for Name: paquets_conf; Type: TABLE DATA; Schema: public; Owner: eole
--

INSERT INTO paquets_conf VALUES (1, 2, 'Eole2/commun/eoletest');
INSERT INTO paquets_conf VALUES (15, 12, 'Eole2/sphynx/conf-sphynx');
INSERT INTO paquets_conf VALUES (16, 13, 'Eole2/sphynx/sphynx-pkg');
INSERT INTO paquets_conf VALUES (17, 14, 'Eole2/amon/conf-amon');
INSERT INTO paquets_conf VALUES (18, 15, 'Eole2/amon/ead-amon');
INSERT INTO paquets_conf VALUES (19, 16, 'Eole2/amon/blacklists');
INSERT INTO paquets_conf VALUES (20, 17, 'Eole2/sphynx/sphynx-vpn');
INSERT INTO paquets_conf VALUES (21, 18, 'Eole2/scribe/conf-scribe');
INSERT INTO paquets_conf VALUES (22, 19, 'Eole2/scribe/controle-vnc/');
INSERT INTO paquets_conf VALUES (23, 20, 'Eole2/scribe/ead-scribe');
INSERT INTO paquets_conf VALUES (24, 21, 'Eole2/scribe/extraction-scribe');
INSERT INTO paquets_conf VALUES (25, 22, 'Eole2/scribe/scribe-backend');
INSERT INTO paquets_conf VALUES (26, 23, 'Eole2/scribe/scribe-eva2/trunk');
INSERT INTO paquets_conf VALUES (27, 24, 'Eole2/scribe/scribe-gibii5/trunk');
INSERT INTO paquets_conf VALUES (28, 25, 'Eole2/scribe/scribe-pkg');
INSERT INTO paquets_conf VALUES (29, 26, 'Eole2/scribe/squirrelmail-plugins');
INSERT INTO paquets_conf VALUES (30, 27, 'Eole2/zephir/conf-zephir');
INSERT INTO paquets_conf VALUES (31, 28, 'Eole2/zephir/zephir-pkg');
INSERT INTO paquets_conf VALUES (32, 29, 'Eole2/zephir/zephir-parc/');
INSERT INTO paquets_conf VALUES (33, 30, 'Eole2/horus/mars-nwe/');
INSERT INTO paquets_conf VALUES (34, 31, 'Eole2/horus/ead-horus');
INSERT INTO paquets_conf VALUES (35, 32, 'Eole2/horus/horus-backend');
INSERT INTO paquets_conf VALUES (36, 33, 'Eole2/horus/horus-pkg');
INSERT INTO paquets_conf VALUES (37, 34, 'Eole1/horus-1.0/frontend-horus/trunk');
INSERT INTO paquets_conf VALUES (38, 35, 'Eole2/commun/eolex11/trunk');
INSERT INTO paquets_conf VALUES (39, 36, 'Eole2/commun/eolebase');
INSERT INTO paquets_conf VALUES (40, 37, 'Eole2/amon/amon-pkg');
INSERT INTO paquets_conf VALUES (41, 38, 'Eole2/commun/creole');
INSERT INTO paquets_conf VALUES (42, 39, 'Outils/eole_sso');
INSERT INTO paquets_conf VALUES (43, 40, 'Eole2/zephir/zephir-client/');
INSERT INTO paquets_conf VALUES (44, 41, 'Outils/eole-bacula');
INSERT INTO paquets_conf VALUES (45, 42, 'Outils/eole-esu');
INSERT INTO paquets_conf VALUES (46, 43, 'Outils/ead');
INSERT INTO paquets_conf VALUES (47, 44, 'Eole2/commun/samba-vscan');
INSERT INTO paquets_conf VALUES (48, 45, 'Eole2/commun/usplash-theme-eole');
INSERT INTO paquets_conf VALUES (49, 46, 'Outils/compteur/register');
INSERT INTO paquets_conf VALUES (50, 47, 'Eole2/commun/conf-eolebase');
INSERT INTO paquets_conf VALUES (51, 48, 'Eole2/eclair/eclair-3-about');
INSERT INTO paquets_conf VALUES (52, 49, 'Eole2/eclair/eclair-3-base');
INSERT INTO paquets_conf VALUES (53, 50, 'Eole2/zephirlogs/conf-zephirlogs');
INSERT INTO paquets_conf VALUES (54, 51, 'Eole2/zephirlogs/zephirlogs-pkg');
INSERT INTO paquets_conf VALUES (55, 52, 'Outils/filtrage/');
INSERT INTO paquets_conf VALUES (56, 53, 'Eole2/preludemanager/conf-preludemanager/trunk');
INSERT INTO paquets_conf VALUES (57, 54, 'Eole2/preludemanager/preludemanager-pkg');
INSERT INTO paquets_conf VALUES (58, 55, 'Eole2/sentinelle/sentinelle-pkg');
INSERT INTO paquets_conf VALUES (59, 56, 'Eole2/sentinelle/sentinelle-server');
INSERT INTO paquets_conf VALUES (60, 57, 'Eole2/sentinelle/conf-sentinelle');
INSERT INTO paquets_conf VALUES (67, 64, 'Eole2/scribe/scribe-gepi');
INSERT INTO paquets_conf VALUES (69, 66, 'Eole2/scribe/scribe-gibii51');
INSERT INTO paquets_conf VALUES (70, 67, 'Eole2/commun/strongswan/strongswan-2.8.3');
INSERT INTO paquets_conf VALUES (71, 68, 'Eole2.1/scribe/conf-scribe');
INSERT INTO paquets_conf VALUES (72, 69, 'Eole2.1/scribe/controle-vnc/');
INSERT INTO paquets_conf VALUES (73, 70, 'Eole2.1/scribe/extraction-scribe');
INSERT INTO paquets_conf VALUES (74, 71, 'Eole2.1/scribe/scribe-backend');
INSERT INTO paquets_conf VALUES (75, 72, 'Eole2.1/scribe/scribe-pkg');
INSERT INTO paquets_conf VALUES (76, 73, 'Eole2.1/scribe/squirrelmail-plugins');
INSERT INTO paquets_conf VALUES (77, 74, 'Eole2.1/scribe/scribe-gepi');
INSERT INTO paquets_conf VALUES (78, 75, 'Eole2.1/scribe/scribe-eva3');
INSERT INTO paquets_conf VALUES (79, 76, 'Eole2.1/scribe/scribe-gibii53');
INSERT INTO paquets_conf VALUES (80, 77, 'Eole2.1/scribe/ead-scribe');
INSERT INTO paquets_conf VALUES (81, 78, 'Eole2.1/horus/conf-horus/');
INSERT INTO paquets_conf VALUES (82, 79, 'Eole2.1/horus/horus-backend');
INSERT INTO paquets_conf VALUES (83, 80, 'Eole2.1/horus/horus-pkg');
INSERT INTO paquets_conf VALUES (84, 81, 'Eole2.1/horus/frontend-horus');
INSERT INTO paquets_conf VALUES (85, 82, 'Eole2.1/commun/eolebase');
INSERT INTO paquets_conf VALUES (86, 83, 'Eole2.1/commun/eolex11');
INSERT INTO paquets_conf VALUES (87, 84, 'Eole2.1/commun/autostatus');
INSERT INTO paquets_conf VALUES (88, 85, 'Eole2.1/commun/creole');
INSERT INTO paquets_conf VALUES (89, 86, 'Eole2.1/outils/eole_sso');
INSERT INTO paquets_conf VALUES (90, 87, 'Eole2.1/zephir/zephir-client/');
INSERT INTO paquets_conf VALUES (91, 88, 'Eole2.1/outils/eole-bacula');
INSERT INTO paquets_conf VALUES (92, 89, 'Eole2.1/outils/eole-esu');
INSERT INTO paquets_conf VALUES (93, 90, 'Eole2.1/outils/ead');
INSERT INTO paquets_conf VALUES (94, 91, 'Eole2.1/horus/ead-horus');
INSERT INTO paquets_conf VALUES (95, 92, 'Eole2.1/commun/usplash-theme-eole');
INSERT INTO paquets_conf VALUES (96, 93, 'Eole2.1/outils/compteur/register');
INSERT INTO paquets_conf VALUES (97, 94, 'Eole2.1/commun/conf-eolebase');
INSERT INTO paquets_conf VALUES (98, 95, 'Eole2.1/commun/eole-kernel-version');
INSERT INTO paquets_conf VALUES (99, 96, 'Eole2.1/commun/eole-update-notifier');
INSERT INTO paquets_conf VALUES (100, 97, 'Eole2.1/outils/filtrage/');
INSERT INTO paquets_conf VALUES (101, 98, 'Eole2.1/amon/amon-pkg');
INSERT INTO paquets_conf VALUES (102, 99, 'Eole2.1/amon/conf-amon');
INSERT INTO paquets_conf VALUES (103, 100, 'Eole2.1/amon/ead-amon');
INSERT INTO paquets_conf VALUES (104, 101, 'Eole2.1/outils/era');
INSERT INTO paquets_conf VALUES (105, 102, 'Eole2.1/amon/blacklists');
INSERT INTO paquets_conf VALUES (106, 103, 'Eole2.1/amon/amon-backend');
INSERT INTO paquets_conf VALUES (107, 104, 'Eole2.1/amon/eole-dansguardian');
INSERT INTO paquets_conf VALUES (108, 105, 'Eole2.1/sphynx/conf-sphynx');
INSERT INTO paquets_conf VALUES (109, 106, 'Eole2/horus/mars-nwe/');
INSERT INTO paquets_conf VALUES (110, 107, 'Eole2.1/sphynx/sphynx-pkg');
INSERT INTO paquets_conf VALUES (111, 108, 'Eole2.1/sphynx/sphynx-vpn');
INSERT INTO paquets_conf VALUES (112, 109, 'Eole2.1/zephir/conf-zephir');
INSERT INTO paquets_conf VALUES (113, 110, 'Eole2.1/zephir/zephir-pkg');
INSERT INTO paquets_conf VALUES (114, 111, 'Eole2.1/zephir/zephir-parc/');
INSERT INTO paquets_conf VALUES (115, 112, 'Eole2.1/commun/libpam-cas-eole');
INSERT INTO paquets_conf VALUES (116, 113, 'Eole2.1/eclair/eclair-pkg');
INSERT INTO paquets_conf VALUES (117, 114, 'Eole2.1/eclair/conf-eclair');
INSERT INTO paquets_conf VALUES (118, 115, 'Eole2.1/zephirlogs/conf-zephirlogs');
INSERT INTO paquets_conf VALUES (119, 116, 'Eole2.1/zephirlogs/zephirlogs-pkg');
INSERT INTO paquets_conf VALUES (120, 117, 'Eole2.1/preludemanager/conf-preludemanager');
INSERT INTO paquets_conf VALUES (121, 118, 'Eole2.1/preludemanager/preludemanager-pkg');
INSERT INTO paquets_conf VALUES (122, 119, 'Eole2.1/sentinelle/sentinelle-pkg');
INSERT INTO paquets_conf VALUES (123, 120, 'Eole2.1/sentinelle/sentinelle-server');
INSERT INTO paquets_conf VALUES (124, 121, 'Eole2.1/sentinelle/conf-sentinelle');
INSERT INTO paquets_conf VALUES (125, 122, 'Eole2.1/amonecole/amonecole-pkg');
INSERT INTO paquets_conf VALUES (126, 123, 'Eole2.1/amonecole/conf-amonecole');
INSERT INTO paquets_conf VALUES (127, 124, 'Eole2.1/amonecole/scribe-ecole');
INSERT INTO paquets_conf VALUES (128, 125, 'Eole2.1/amonecole/eole-xen-server');
INSERT INTO paquets_conf VALUES (129, 126, '');
INSERT INTO paquets_conf VALUES (130, 127, '');
INSERT INTO paquets_conf VALUES (131, 128, '');
INSERT INTO paquets_conf VALUES (132, 129, '');
INSERT INTO paquets_conf VALUES (133, 130, '');
INSERT INTO paquets_conf VALUES (134, 131, '');
INSERT INTO paquets_conf VALUES (135, 132, '');
INSERT INTO paquets_conf VALUES (136, 133, '');
INSERT INTO paquets_conf VALUES (137, 134, '');
INSERT INTO paquets_conf VALUES (138, 135, '');
INSERT INTO paquets_conf VALUES (139, 136, '');
INSERT INTO paquets_conf VALUES (140, 137, '');
INSERT INTO paquets_conf VALUES (141, 138, '');
INSERT INTO paquets_conf VALUES (142, 139, '');
INSERT INTO paquets_conf VALUES (143, 140, '');
INSERT INTO paquets_conf VALUES (144, 141, '');
INSERT INTO paquets_conf VALUES (145, 142, '');
INSERT INTO paquets_conf VALUES (146, 143, '');
INSERT INTO paquets_conf VALUES (147, 144, '');
INSERT INTO paquets_conf VALUES (148, 145, '');
INSERT INTO paquets_conf VALUES (149, 146, '');
INSERT INTO paquets_conf VALUES (150, 147, '');
INSERT INTO paquets_conf VALUES (151, 148, '');
INSERT INTO paquets_conf VALUES (152, 149, '');
INSERT INTO paquets_conf VALUES (153, 150, '');
INSERT INTO paquets_conf VALUES (154, 151, '');
INSERT INTO paquets_conf VALUES (155, 152, '');
INSERT INTO paquets_conf VALUES (156, 153, '');
INSERT INTO paquets_conf VALUES (157, 154, '');
INSERT INTO paquets_conf VALUES (158, 155, '');
INSERT INTO paquets_conf VALUES (159, 156, '');
INSERT INTO paquets_conf VALUES (160, 157, 'Eole2/commun/strongswan/strongswan-2.8.3');
INSERT INTO paquets_conf VALUES (161, 158, '');
INSERT INTO paquets_conf VALUES (162, 159, '');
INSERT INTO paquets_conf VALUES (163, 160, '');
INSERT INTO paquets_conf VALUES (164, 161, '');
INSERT INTO paquets_conf VALUES (165, 162, '');
INSERT INTO paquets_conf VALUES (166, 163, 'Eole2.1/commun/libpam-cas-eole');


--
-- Data for Name: paquets_modules; Type: TABLE DATA; Schema: public; Owner: eole
--

INSERT INTO paquets_modules VALUES (68, 1);
INSERT INTO paquets_modules VALUES (69, 1);
INSERT INTO paquets_modules VALUES (70, 1);
INSERT INTO paquets_modules VALUES (71, 1);
INSERT INTO paquets_modules VALUES (72, 1);
INSERT INTO paquets_modules VALUES (73, 1);
INSERT INTO paquets_modules VALUES (74, 1);
INSERT INTO paquets_modules VALUES (75, 1);
INSERT INTO paquets_modules VALUES (76, 1);
INSERT INTO paquets_modules VALUES (77, 6);
INSERT INTO paquets_modules VALUES (78, 3);
INSERT INTO paquets_modules VALUES (79, 3);
INSERT INTO paquets_modules VALUES (80, 3);
INSERT INTO paquets_modules VALUES (81, 3);
INSERT INTO paquets_modules VALUES (82, 2);
INSERT INTO paquets_modules VALUES (82, 10);
INSERT INTO paquets_modules VALUES (82, 8);
INSERT INTO paquets_modules VALUES (82, 3);
INSERT INTO paquets_modules VALUES (82, 6);
INSERT INTO paquets_modules VALUES (82, 1);
INSERT INTO paquets_modules VALUES (82, 9);
INSERT INTO paquets_modules VALUES (82, 5);
INSERT INTO paquets_modules VALUES (82, 4);
INSERT INTO paquets_modules VALUES (82, 7);
INSERT INTO paquets_modules VALUES (83, 2);
INSERT INTO paquets_modules VALUES (83, 10);
INSERT INTO paquets_modules VALUES (83, 8);
INSERT INTO paquets_modules VALUES (83, 3);
INSERT INTO paquets_modules VALUES (83, 6);
INSERT INTO paquets_modules VALUES (83, 1);
INSERT INTO paquets_modules VALUES (83, 9);
INSERT INTO paquets_modules VALUES (83, 5);
INSERT INTO paquets_modules VALUES (83, 4);
INSERT INTO paquets_modules VALUES (83, 7);
INSERT INTO paquets_modules VALUES (84, 2);
INSERT INTO paquets_modules VALUES (84, 10);
INSERT INTO paquets_modules VALUES (84, 8);
INSERT INTO paquets_modules VALUES (84, 3);
INSERT INTO paquets_modules VALUES (84, 6);
INSERT INTO paquets_modules VALUES (84, 1);
INSERT INTO paquets_modules VALUES (84, 9);
INSERT INTO paquets_modules VALUES (84, 5);
INSERT INTO paquets_modules VALUES (84, 4);
INSERT INTO paquets_modules VALUES (84, 7);
INSERT INTO paquets_modules VALUES (85, 2);
INSERT INTO paquets_modules VALUES (85, 10);
INSERT INTO paquets_modules VALUES (85, 8);
INSERT INTO paquets_modules VALUES (85, 3);
INSERT INTO paquets_modules VALUES (85, 6);
INSERT INTO paquets_modules VALUES (85, 1);
INSERT INTO paquets_modules VALUES (85, 9);
INSERT INTO paquets_modules VALUES (85, 5);
INSERT INTO paquets_modules VALUES (85, 4);
INSERT INTO paquets_modules VALUES (85, 7);
INSERT INTO paquets_modules VALUES (86, 2);
INSERT INTO paquets_modules VALUES (86, 10);
INSERT INTO paquets_modules VALUES (86, 8);
INSERT INTO paquets_modules VALUES (86, 3);
INSERT INTO paquets_modules VALUES (86, 6);
INSERT INTO paquets_modules VALUES (86, 1);
INSERT INTO paquets_modules VALUES (86, 9);
INSERT INTO paquets_modules VALUES (86, 5);
INSERT INTO paquets_modules VALUES (86, 4);
INSERT INTO paquets_modules VALUES (86, 7);
INSERT INTO paquets_modules VALUES (87, 2);
INSERT INTO paquets_modules VALUES (87, 10);
INSERT INTO paquets_modules VALUES (87, 8);
INSERT INTO paquets_modules VALUES (87, 3);
INSERT INTO paquets_modules VALUES (87, 6);
INSERT INTO paquets_modules VALUES (87, 1);
INSERT INTO paquets_modules VALUES (87, 9);
INSERT INTO paquets_modules VALUES (87, 5);
INSERT INTO paquets_modules VALUES (87, 4);
INSERT INTO paquets_modules VALUES (87, 7);
INSERT INTO paquets_modules VALUES (88, 3);
INSERT INTO paquets_modules VALUES (88, 1);
INSERT INTO paquets_modules VALUES (89, 3);
INSERT INTO paquets_modules VALUES (89, 1);
INSERT INTO paquets_modules VALUES (90, 2);
INSERT INTO paquets_modules VALUES (90, 10);
INSERT INTO paquets_modules VALUES (90, 8);
INSERT INTO paquets_modules VALUES (90, 3);
INSERT INTO paquets_modules VALUES (90, 6);
INSERT INTO paquets_modules VALUES (90, 1);
INSERT INTO paquets_modules VALUES (90, 9);
INSERT INTO paquets_modules VALUES (90, 5);
INSERT INTO paquets_modules VALUES (90, 4);
INSERT INTO paquets_modules VALUES (90, 7);
INSERT INTO paquets_modules VALUES (91, 3);
INSERT INTO paquets_modules VALUES (92, 2);
INSERT INTO paquets_modules VALUES (92, 10);
INSERT INTO paquets_modules VALUES (92, 8);
INSERT INTO paquets_modules VALUES (92, 3);
INSERT INTO paquets_modules VALUES (92, 6);
INSERT INTO paquets_modules VALUES (92, 1);
INSERT INTO paquets_modules VALUES (92, 9);
INSERT INTO paquets_modules VALUES (92, 5);
INSERT INTO paquets_modules VALUES (92, 4);
INSERT INTO paquets_modules VALUES (92, 7);
INSERT INTO paquets_modules VALUES (93, 2);
INSERT INTO paquets_modules VALUES (93, 10);
INSERT INTO paquets_modules VALUES (93, 8);
INSERT INTO paquets_modules VALUES (93, 3);
INSERT INTO paquets_modules VALUES (93, 6);
INSERT INTO paquets_modules VALUES (93, 1);
INSERT INTO paquets_modules VALUES (93, 9);
INSERT INTO paquets_modules VALUES (93, 5);
INSERT INTO paquets_modules VALUES (93, 4);
INSERT INTO paquets_modules VALUES (93, 7);
INSERT INTO paquets_modules VALUES (94, 2);
INSERT INTO paquets_modules VALUES (94, 10);
INSERT INTO paquets_modules VALUES (94, 8);
INSERT INTO paquets_modules VALUES (94, 3);
INSERT INTO paquets_modules VALUES (94, 6);
INSERT INTO paquets_modules VALUES (94, 1);
INSERT INTO paquets_modules VALUES (94, 9);
INSERT INTO paquets_modules VALUES (94, 5);
INSERT INTO paquets_modules VALUES (94, 4);
INSERT INTO paquets_modules VALUES (94, 7);
INSERT INTO paquets_modules VALUES (95, 2);
INSERT INTO paquets_modules VALUES (95, 10);
INSERT INTO paquets_modules VALUES (95, 8);
INSERT INTO paquets_modules VALUES (95, 3);
INSERT INTO paquets_modules VALUES (95, 6);
INSERT INTO paquets_modules VALUES (95, 1);
INSERT INTO paquets_modules VALUES (95, 9);
INSERT INTO paquets_modules VALUES (95, 5);
INSERT INTO paquets_modules VALUES (95, 4);
INSERT INTO paquets_modules VALUES (95, 7);
INSERT INTO paquets_modules VALUES (96, 2);
INSERT INTO paquets_modules VALUES (96, 10);
INSERT INTO paquets_modules VALUES (96, 8);
INSERT INTO paquets_modules VALUES (96, 3);
INSERT INTO paquets_modules VALUES (96, 6);
INSERT INTO paquets_modules VALUES (96, 1);
INSERT INTO paquets_modules VALUES (96, 9);
INSERT INTO paquets_modules VALUES (96, 5);
INSERT INTO paquets_modules VALUES (96, 4);
INSERT INTO paquets_modules VALUES (96, 7);
INSERT INTO paquets_modules VALUES (97, 2);
INSERT INTO paquets_modules VALUES (97, 10);
INSERT INTO paquets_modules VALUES (97, 8);
INSERT INTO paquets_modules VALUES (97, 3);
INSERT INTO paquets_modules VALUES (97, 6);
INSERT INTO paquets_modules VALUES (97, 1);
INSERT INTO paquets_modules VALUES (97, 9);
INSERT INTO paquets_modules VALUES (97, 5);
INSERT INTO paquets_modules VALUES (97, 4);
INSERT INTO paquets_modules VALUES (97, 7);
INSERT INTO paquets_modules VALUES (98, 2);
INSERT INTO paquets_modules VALUES (98, 10);
INSERT INTO paquets_modules VALUES (98, 8);
INSERT INTO paquets_modules VALUES (98, 3);
INSERT INTO paquets_modules VALUES (98, 6);
INSERT INTO paquets_modules VALUES (98, 1);
INSERT INTO paquets_modules VALUES (98, 9);
INSERT INTO paquets_modules VALUES (98, 5);
INSERT INTO paquets_modules VALUES (98, 4);
INSERT INTO paquets_modules VALUES (98, 7);
INSERT INTO paquets_modules VALUES (99, 2);
INSERT INTO paquets_modules VALUES (100, 2);
INSERT INTO paquets_modules VALUES (101, 2);
INSERT INTO paquets_modules VALUES (102, 2);
INSERT INTO paquets_modules VALUES (103, 2);
INSERT INTO paquets_modules VALUES (104, 2);
INSERT INTO paquets_modules VALUES (106, 3);
INSERT INTO paquets_modules VALUES (107, 5);
INSERT INTO paquets_modules VALUES (108, 5);
INSERT INTO paquets_modules VALUES (109, 4);
INSERT INTO paquets_modules VALUES (110, 4);
INSERT INTO paquets_modules VALUES (111, 4);
INSERT INTO paquets_modules VALUES (112, 2);
INSERT INTO paquets_modules VALUES (112, 10);
INSERT INTO paquets_modules VALUES (112, 8);
INSERT INTO paquets_modules VALUES (112, 3);
INSERT INTO paquets_modules VALUES (112, 6);
INSERT INTO paquets_modules VALUES (112, 1);
INSERT INTO paquets_modules VALUES (112, 9);
INSERT INTO paquets_modules VALUES (112, 5);
INSERT INTO paquets_modules VALUES (112, 4);
INSERT INTO paquets_modules VALUES (112, 7);
INSERT INTO paquets_modules VALUES (113, 8);
INSERT INTO paquets_modules VALUES (114, 8);
INSERT INTO paquets_modules VALUES (115, 7);
INSERT INTO paquets_modules VALUES (116, 7);
INSERT INTO paquets_modules VALUES (117, 6);
INSERT INTO paquets_modules VALUES (118, 6);
INSERT INTO paquets_modules VALUES (119, 9);
INSERT INTO paquets_modules VALUES (120, 9);
INSERT INTO paquets_modules VALUES (121, 9);
INSERT INTO paquets_modules VALUES (122, 10);
INSERT INTO paquets_modules VALUES (123, 10);
INSERT INTO paquets_modules VALUES (124, 10);
INSERT INTO paquets_modules VALUES (125, 10);
INSERT INTO paquets_modules VALUES (126, 3);
INSERT INTO paquets_modules VALUES (127, 3);
INSERT INTO paquets_modules VALUES (127, 1);
INSERT INTO paquets_modules VALUES (128, 2);
INSERT INTO paquets_modules VALUES (128, 10);
INSERT INTO paquets_modules VALUES (128, 8);
INSERT INTO paquets_modules VALUES (128, 3);
INSERT INTO paquets_modules VALUES (128, 6);
INSERT INTO paquets_modules VALUES (128, 1);
INSERT INTO paquets_modules VALUES (128, 9);
INSERT INTO paquets_modules VALUES (128, 5);
INSERT INTO paquets_modules VALUES (128, 4);
INSERT INTO paquets_modules VALUES (128, 7);
INSERT INTO paquets_modules VALUES (129, 2);
INSERT INTO paquets_modules VALUES (129, 10);
INSERT INTO paquets_modules VALUES (129, 8);
INSERT INTO paquets_modules VALUES (129, 3);
INSERT INTO paquets_modules VALUES (129, 6);
INSERT INTO paquets_modules VALUES (129, 1);
INSERT INTO paquets_modules VALUES (129, 9);
INSERT INTO paquets_modules VALUES (129, 5);
INSERT INTO paquets_modules VALUES (129, 4);
INSERT INTO paquets_modules VALUES (129, 7);
INSERT INTO paquets_modules VALUES (130, 2);
INSERT INTO paquets_modules VALUES (130, 10);
INSERT INTO paquets_modules VALUES (130, 8);
INSERT INTO paquets_modules VALUES (130, 3);
INSERT INTO paquets_modules VALUES (130, 6);
INSERT INTO paquets_modules VALUES (130, 1);
INSERT INTO paquets_modules VALUES (130, 9);
INSERT INTO paquets_modules VALUES (130, 5);
INSERT INTO paquets_modules VALUES (130, 4);
INSERT INTO paquets_modules VALUES (130, 7);
INSERT INTO paquets_modules VALUES (131, 2);
INSERT INTO paquets_modules VALUES (131, 10);
INSERT INTO paquets_modules VALUES (131, 8);
INSERT INTO paquets_modules VALUES (131, 3);
INSERT INTO paquets_modules VALUES (131, 6);
INSERT INTO paquets_modules VALUES (131, 1);
INSERT INTO paquets_modules VALUES (131, 9);
INSERT INTO paquets_modules VALUES (131, 5);
INSERT INTO paquets_modules VALUES (131, 4);
INSERT INTO paquets_modules VALUES (131, 7);
INSERT INTO paquets_modules VALUES (132, 2);
INSERT INTO paquets_modules VALUES (132, 10);
INSERT INTO paquets_modules VALUES (133, 2);
INSERT INTO paquets_modules VALUES (133, 10);
INSERT INTO paquets_modules VALUES (133, 8);
INSERT INTO paquets_modules VALUES (133, 3);
INSERT INTO paquets_modules VALUES (133, 6);
INSERT INTO paquets_modules VALUES (133, 1);
INSERT INTO paquets_modules VALUES (133, 9);
INSERT INTO paquets_modules VALUES (133, 5);
INSERT INTO paquets_modules VALUES (133, 4);
INSERT INTO paquets_modules VALUES (133, 7);
INSERT INTO paquets_modules VALUES (134, 2);
INSERT INTO paquets_modules VALUES (134, 10);
INSERT INTO paquets_modules VALUES (134, 8);
INSERT INTO paquets_modules VALUES (134, 3);
INSERT INTO paquets_modules VALUES (134, 6);
INSERT INTO paquets_modules VALUES (134, 1);
INSERT INTO paquets_modules VALUES (134, 9);
INSERT INTO paquets_modules VALUES (134, 5);
INSERT INTO paquets_modules VALUES (134, 4);
INSERT INTO paquets_modules VALUES (134, 7);
INSERT INTO paquets_modules VALUES (135, 2);
INSERT INTO paquets_modules VALUES (135, 10);
INSERT INTO paquets_modules VALUES (135, 8);
INSERT INTO paquets_modules VALUES (135, 3);
INSERT INTO paquets_modules VALUES (135, 6);
INSERT INTO paquets_modules VALUES (135, 1);
INSERT INTO paquets_modules VALUES (135, 9);
INSERT INTO paquets_modules VALUES (135, 5);
INSERT INTO paquets_modules VALUES (135, 4);
INSERT INTO paquets_modules VALUES (135, 7);
INSERT INTO paquets_modules VALUES (136, 2);
INSERT INTO paquets_modules VALUES (136, 10);
INSERT INTO paquets_modules VALUES (136, 8);
INSERT INTO paquets_modules VALUES (136, 3);
INSERT INTO paquets_modules VALUES (136, 6);
INSERT INTO paquets_modules VALUES (136, 1);
INSERT INTO paquets_modules VALUES (136, 9);
INSERT INTO paquets_modules VALUES (136, 5);
INSERT INTO paquets_modules VALUES (136, 4);
INSERT INTO paquets_modules VALUES (136, 7);
INSERT INTO paquets_modules VALUES (137, 2);
INSERT INTO paquets_modules VALUES (137, 10);
INSERT INTO paquets_modules VALUES (137, 8);
INSERT INTO paquets_modules VALUES (137, 3);
INSERT INTO paquets_modules VALUES (137, 6);
INSERT INTO paquets_modules VALUES (137, 1);
INSERT INTO paquets_modules VALUES (137, 9);
INSERT INTO paquets_modules VALUES (137, 5);
INSERT INTO paquets_modules VALUES (137, 4);
INSERT INTO paquets_modules VALUES (137, 7);
INSERT INTO paquets_modules VALUES (138, 2);
INSERT INTO paquets_modules VALUES (138, 10);
INSERT INTO paquets_modules VALUES (138, 8);
INSERT INTO paquets_modules VALUES (138, 3);
INSERT INTO paquets_modules VALUES (138, 6);
INSERT INTO paquets_modules VALUES (138, 1);
INSERT INTO paquets_modules VALUES (138, 9);
INSERT INTO paquets_modules VALUES (138, 5);
INSERT INTO paquets_modules VALUES (138, 4);
INSERT INTO paquets_modules VALUES (138, 7);
INSERT INTO paquets_modules VALUES (139, 2);
INSERT INTO paquets_modules VALUES (139, 10);
INSERT INTO paquets_modules VALUES (139, 8);
INSERT INTO paquets_modules VALUES (139, 3);
INSERT INTO paquets_modules VALUES (139, 6);
INSERT INTO paquets_modules VALUES (139, 1);
INSERT INTO paquets_modules VALUES (139, 9);
INSERT INTO paquets_modules VALUES (139, 5);
INSERT INTO paquets_modules VALUES (139, 4);
INSERT INTO paquets_modules VALUES (139, 7);
INSERT INTO paquets_modules VALUES (140, 2);
INSERT INTO paquets_modules VALUES (141, 2);
INSERT INTO paquets_modules VALUES (141, 10);
INSERT INTO paquets_modules VALUES (141, 8);
INSERT INTO paquets_modules VALUES (141, 3);
INSERT INTO paquets_modules VALUES (141, 6);
INSERT INTO paquets_modules VALUES (141, 1);
INSERT INTO paquets_modules VALUES (141, 9);
INSERT INTO paquets_modules VALUES (141, 5);
INSERT INTO paquets_modules VALUES (141, 4);
INSERT INTO paquets_modules VALUES (141, 7);
INSERT INTO paquets_modules VALUES (142, 1);
INSERT INTO paquets_modules VALUES (143, 2);
INSERT INTO paquets_modules VALUES (143, 10);
INSERT INTO paquets_modules VALUES (143, 8);
INSERT INTO paquets_modules VALUES (143, 3);
INSERT INTO paquets_modules VALUES (143, 6);
INSERT INTO paquets_modules VALUES (143, 1);
INSERT INTO paquets_modules VALUES (143, 9);
INSERT INTO paquets_modules VALUES (143, 5);
INSERT INTO paquets_modules VALUES (143, 4);
INSERT INTO paquets_modules VALUES (143, 7);
INSERT INTO paquets_modules VALUES (144, 2);
INSERT INTO paquets_modules VALUES (145, 2);
INSERT INTO paquets_modules VALUES (145, 10);
INSERT INTO paquets_modules VALUES (145, 8);
INSERT INTO paquets_modules VALUES (145, 3);
INSERT INTO paquets_modules VALUES (145, 6);
INSERT INTO paquets_modules VALUES (145, 1);
INSERT INTO paquets_modules VALUES (145, 9);
INSERT INTO paquets_modules VALUES (145, 5);
INSERT INTO paquets_modules VALUES (145, 4);
INSERT INTO paquets_modules VALUES (145, 7);
INSERT INTO paquets_modules VALUES (146, 2);
INSERT INTO paquets_modules VALUES (146, 10);
INSERT INTO paquets_modules VALUES (146, 8);
INSERT INTO paquets_modules VALUES (146, 3);
INSERT INTO paquets_modules VALUES (146, 6);
INSERT INTO paquets_modules VALUES (146, 1);
INSERT INTO paquets_modules VALUES (146, 9);
INSERT INTO paquets_modules VALUES (146, 5);
INSERT INTO paquets_modules VALUES (146, 4);
INSERT INTO paquets_modules VALUES (146, 7);
INSERT INTO paquets_modules VALUES (147, 3);
INSERT INTO paquets_modules VALUES (147, 1);
INSERT INTO paquets_modules VALUES (148, 2);
INSERT INTO paquets_modules VALUES (148, 10);
INSERT INTO paquets_modules VALUES (148, 8);
INSERT INTO paquets_modules VALUES (148, 3);
INSERT INTO paquets_modules VALUES (148, 6);
INSERT INTO paquets_modules VALUES (148, 1);
INSERT INTO paquets_modules VALUES (148, 9);
INSERT INTO paquets_modules VALUES (148, 5);
INSERT INTO paquets_modules VALUES (148, 4);
INSERT INTO paquets_modules VALUES (148, 7);
INSERT INTO paquets_modules VALUES (149, 2);
INSERT INTO paquets_modules VALUES (149, 10);
INSERT INTO paquets_modules VALUES (149, 8);
INSERT INTO paquets_modules VALUES (149, 3);
INSERT INTO paquets_modules VALUES (149, 6);
INSERT INTO paquets_modules VALUES (149, 1);
INSERT INTO paquets_modules VALUES (149, 9);
INSERT INTO paquets_modules VALUES (149, 5);
INSERT INTO paquets_modules VALUES (149, 4);
INSERT INTO paquets_modules VALUES (149, 7);
INSERT INTO paquets_modules VALUES (150, 2);
INSERT INTO paquets_modules VALUES (150, 10);
INSERT INTO paquets_modules VALUES (150, 8);
INSERT INTO paquets_modules VALUES (150, 3);
INSERT INTO paquets_modules VALUES (150, 6);
INSERT INTO paquets_modules VALUES (150, 1);
INSERT INTO paquets_modules VALUES (150, 9);
INSERT INTO paquets_modules VALUES (150, 5);
INSERT INTO paquets_modules VALUES (150, 4);
INSERT INTO paquets_modules VALUES (150, 7);
INSERT INTO paquets_modules VALUES (151, 2);
INSERT INTO paquets_modules VALUES (151, 10);
INSERT INTO paquets_modules VALUES (151, 8);
INSERT INTO paquets_modules VALUES (151, 3);
INSERT INTO paquets_modules VALUES (151, 6);
INSERT INTO paquets_modules VALUES (151, 1);
INSERT INTO paquets_modules VALUES (151, 9);
INSERT INTO paquets_modules VALUES (151, 5);
INSERT INTO paquets_modules VALUES (151, 4);
INSERT INTO paquets_modules VALUES (151, 7);
INSERT INTO paquets_modules VALUES (152, 2);
INSERT INTO paquets_modules VALUES (152, 10);
INSERT INTO paquets_modules VALUES (152, 8);
INSERT INTO paquets_modules VALUES (152, 3);
INSERT INTO paquets_modules VALUES (152, 6);
INSERT INTO paquets_modules VALUES (152, 1);
INSERT INTO paquets_modules VALUES (152, 9);
INSERT INTO paquets_modules VALUES (152, 5);
INSERT INTO paquets_modules VALUES (152, 4);
INSERT INTO paquets_modules VALUES (152, 7);
INSERT INTO paquets_modules VALUES (153, 2);
INSERT INTO paquets_modules VALUES (153, 10);
INSERT INTO paquets_modules VALUES (153, 8);
INSERT INTO paquets_modules VALUES (153, 3);
INSERT INTO paquets_modules VALUES (153, 6);
INSERT INTO paquets_modules VALUES (153, 1);
INSERT INTO paquets_modules VALUES (153, 9);
INSERT INTO paquets_modules VALUES (153, 5);
INSERT INTO paquets_modules VALUES (153, 4);
INSERT INTO paquets_modules VALUES (153, 7);
INSERT INTO paquets_modules VALUES (154, 2);
INSERT INTO paquets_modules VALUES (154, 10);
INSERT INTO paquets_modules VALUES (154, 8);
INSERT INTO paquets_modules VALUES (154, 3);
INSERT INTO paquets_modules VALUES (154, 6);
INSERT INTO paquets_modules VALUES (154, 1);
INSERT INTO paquets_modules VALUES (154, 9);
INSERT INTO paquets_modules VALUES (154, 5);
INSERT INTO paquets_modules VALUES (154, 4);
INSERT INTO paquets_modules VALUES (154, 7);
INSERT INTO paquets_modules VALUES (157, 2);
INSERT INTO paquets_modules VALUES (158, 2);
INSERT INTO paquets_modules VALUES (159, 2);
INSERT INTO paquets_modules VALUES (160, 2);
INSERT INTO paquets_modules VALUES (160, 10);
INSERT INTO paquets_modules VALUES (160, 8);
INSERT INTO paquets_modules VALUES (160, 3);
INSERT INTO paquets_modules VALUES (160, 6);
INSERT INTO paquets_modules VALUES (160, 1);
INSERT INTO paquets_modules VALUES (160, 9);
INSERT INTO paquets_modules VALUES (160, 5);
INSERT INTO paquets_modules VALUES (160, 4);
INSERT INTO paquets_modules VALUES (160, 7);
INSERT INTO paquets_modules VALUES (161, 2);
INSERT INTO paquets_modules VALUES (161, 10);
INSERT INTO paquets_modules VALUES (161, 8);
INSERT INTO paquets_modules VALUES (161, 3);
INSERT INTO paquets_modules VALUES (161, 6);
INSERT INTO paquets_modules VALUES (161, 1);
INSERT INTO paquets_modules VALUES (161, 9);
INSERT INTO paquets_modules VALUES (161, 5);
INSERT INTO paquets_modules VALUES (161, 4);
INSERT INTO paquets_modules VALUES (161, 7);
INSERT INTO paquets_modules VALUES (163, 2);
INSERT INTO paquets_modules VALUES (163, 10);
INSERT INTO paquets_modules VALUES (163, 8);
INSERT INTO paquets_modules VALUES (163, 3);
INSERT INTO paquets_modules VALUES (163, 6);
INSERT INTO paquets_modules VALUES (163, 1);
INSERT INTO paquets_modules VALUES (163, 9);
INSERT INTO paquets_modules VALUES (163, 5);
INSERT INTO paquets_modules VALUES (163, 4);
INSERT INTO paquets_modules VALUES (163, 7);


--
-- Data for Name: paquets_release; Type: TABLE DATA; Schema: public; Owner: eole
--

INSERT INTO paquets_release VALUES (70, 68, 6, '2.1eole20', 20);
INSERT INTO paquets_release VALUES (71, 69, 6, '2.1eole1', 1);
INSERT INTO paquets_release VALUES (72, 70, 6, '2.1eole2', 2);
INSERT INTO paquets_release VALUES (73, 71, 6, '2.1eole6', 6);
INSERT INTO paquets_release VALUES (74, 72, 6, '2.1eole6', 6);
INSERT INTO paquets_release VALUES (75, 73, 6, '2.1eole1', 1);
INSERT INTO paquets_release VALUES (76, 74, 6, '2.1eole2', 2);
INSERT INTO paquets_release VALUES (77, 75, 6, '2.1eole2', 2);
INSERT INTO paquets_release VALUES (78, 76, 6, '2.1eole3', 3);
INSERT INTO paquets_release VALUES (79, 77, 6, '2.1eole2', 2);
INSERT INTO paquets_release VALUES (80, 78, 6, '2.1eole13', 13);
INSERT INTO paquets_release VALUES (81, 79, 6, '2.1eole3', 3);
INSERT INTO paquets_release VALUES (82, 80, 6, '2.1eole2', 2);
INSERT INTO paquets_release VALUES (83, 81, 6, '2.1eole7', 7);
INSERT INTO paquets_release VALUES (84, 82, 6, '2.1eole20', 20);
INSERT INTO paquets_release VALUES (85, 83, 6, '2.1eole6', 6);
INSERT INTO paquets_release VALUES (86, 84, 6, '2.1eole1', 1);
INSERT INTO paquets_release VALUES (87, 85, 6, '2.1eole18', 18);
INSERT INTO paquets_release VALUES (88, 86, 6, '2.1eole10', 10);
INSERT INTO paquets_release VALUES (89, 87, 6, '2.1eole10', 10);
INSERT INTO paquets_release VALUES (90, 88, 6, '2.1eole4', 4);
INSERT INTO paquets_release VALUES (91, 89, 6, '2.1eole1', 1);
INSERT INTO paquets_release VALUES (92, 90, 6, '2.1eole14', 14);
INSERT INTO paquets_release VALUES (93, 91, 6, '2.1eole2', 2);
INSERT INTO paquets_release VALUES (94, 92, 6, '2.1eole5', 5);
INSERT INTO paquets_release VALUES (95, 93, 6, '2.1eole2', 2);
INSERT INTO paquets_release VALUES (96, 94, 6, '2.1eole3', 3);
INSERT INTO paquets_release VALUES (97, 95, 6, '2.1eole7', 7);
INSERT INTO paquets_release VALUES (98, 96, 6, '2.1eole2', 2);
INSERT INTO paquets_release VALUES (99, 97, 6, '2.1eole1', 1);
INSERT INTO paquets_release VALUES (100, 98, 6, '2.1eole6', 6);
INSERT INTO paquets_release VALUES (101, 99, 6, '2.1eole17', 17);
INSERT INTO paquets_release VALUES (102, 100, 6, '2.1eole1', 1);
INSERT INTO paquets_release VALUES (103, 101, 6, '2.1eole10', 10);
INSERT INTO paquets_release VALUES (104, 102, 6, '2.1eole2', 2);
INSERT INTO paquets_release VALUES (105, 103, 6, '2.1eole12', 12);
INSERT INTO paquets_release VALUES (106, 104, 6, '2.1eole7', 7);
INSERT INTO paquets_release VALUES (107, 107, 6, '2.1eole2', 2);
INSERT INTO paquets_release VALUES (108, 108, 6, '2.1eole4', 4);
INSERT INTO paquets_release VALUES (109, 109, 6, '2.1eole7', 7);
INSERT INTO paquets_release VALUES (110, 110, 6, '2.1eole1', 1);
INSERT INTO paquets_release VALUES (111, 111, 6, '2.1eole15', 15);
INSERT INTO paquets_release VALUES (112, 113, 6, '2.1eole9', 9);
INSERT INTO paquets_release VALUES (113, 114, 6, '2.1eole20', 20);
INSERT INTO paquets_release VALUES (114, 115, 6, '2.1eole2', 2);
INSERT INTO paquets_release VALUES (115, 116, 6, '2.1eole1', 1);
INSERT INTO paquets_release VALUES (116, 117, 6, '2.1eole7', 7);
INSERT INTO paquets_release VALUES (117, 118, 6, '2.1eole2', 2);
INSERT INTO paquets_release VALUES (118, 119, 6, '2.1eole1', 1);
INSERT INTO paquets_release VALUES (119, 120, 6, '2.1eole3', 3);
INSERT INTO paquets_release VALUES (120, 121, 6, '2.1eole7', 7);
INSERT INTO paquets_release VALUES (121, 122, 6, '2.1eole2', 2);
INSERT INTO paquets_release VALUES (122, 123, 6, '2.1eole3', 3);
INSERT INTO paquets_release VALUES (123, 124, 6, '2.1eole3', 3);
INSERT INTO paquets_release VALUES (124, 125, 6, '2.1eole1', 1);
INSERT INTO paquets_release VALUES (125, 126, 6, '5.6eole5', 5);
INSERT INTO paquets_release VALUES (126, 127, 6, '3.0.26aeole2', 2);
INSERT INTO paquets_release VALUES (127, 128, 6, '1.01eole1', 1);
INSERT INTO paquets_release VALUES (128, 129, 6, '184eole1', 1);
INSERT INTO paquets_release VALUES (129, 130, 6, '0.4eole1', 1);
INSERT INTO paquets_release VALUES (130, 131, 6, '255eole1', 1);
INSERT INTO paquets_release VALUES (131, 132, 6, '2.6.5eole1', 1);
INSERT INTO paquets_release VALUES (132, 133, 6, '2.2.11eole5', 5);
INSERT INTO paquets_release VALUES (133, 134, 6, '0.4.2eole3', 3);
INSERT INTO paquets_release VALUES (134, 135, 6, '1.2.14eole1', 1);
INSERT INTO paquets_release VALUES (135, 136, 6, '0.4.1eole3', 3);
INSERT INTO paquets_release VALUES (136, 137, 6, '0.0.82eole1', 1);
INSERT INTO paquets_release VALUES (137, 139, 6, '0.0.30eole1', 1);
INSERT INTO paquets_release VALUES (138, 140, 6, '0.3eole1', 1);
INSERT INTO paquets_release VALUES (139, 141, 6, '0.4.2eole1', 1);
INSERT INTO paquets_release VALUES (140, 142, 6, '5.2.4eole1', 1);
INSERT INTO paquets_release VALUES (141, 144, 6, '2.9.9.1eole4', 4);
INSERT INTO paquets_release VALUES (142, 146, 6, '2.2.8eole4', 4);
INSERT INTO paquets_release VALUES (143, 147, 6, '0.9.2eole1', 1);
INSERT INTO paquets_release VALUES (144, 148, 6, '0.9.14.1eole1', 1);
INSERT INTO paquets_release VALUES (145, 149, 6, '0.9.16.2eole1', 1);
INSERT INTO paquets_release VALUES (146, 151, 6, '0.9.13eole2', 2);
INSERT INTO paquets_release VALUES (147, 152, 6, '0.9.11eole1', 1);
INSERT INTO paquets_release VALUES (148, 153, 6, '0.70.1aeole1', 1);
INSERT INTO paquets_release VALUES (149, 154, 6, '1.01eole1', 1);
INSERT INTO paquets_release VALUES (150, 155, 6, '2.0eole1', 1);
INSERT INTO paquets_release VALUES (151, 156, 6, '2.0eole1', 1);
INSERT INTO paquets_release VALUES (152, 157, 6, '2.8.3eole1', 1);
INSERT INTO paquets_release VALUES (153, 158, 6, '2.8.4eole1', 1);
INSERT INTO paquets_release VALUES (154, 159, 6, '2.8.8eole3', 3);
INSERT INTO paquets_release VALUES (155, 160, 6, '0.92eole1', 1);
INSERT INTO paquets_release VALUES (156, 162, 6, '0.92.1~dfsgeole1', 1);
INSERT INTO paquets_release VALUES (157, 98, 11, '2.1-eole7', 7);
INSERT INTO paquets_release VALUES (158, 98, 11, '2.1-eole7', 7);
INSERT INTO paquets_release VALUES (159, 98, 11, '2.1-eole8', 8);
INSERT INTO paquets_release VALUES (160, 98, 11, '2.1-eole9', 9);
INSERT INTO paquets_release VALUES (161, 98, 11, '2.1-eole10', 10);
INSERT INTO paquets_release VALUES (162, 98, 11, '2.1-eole10', 10);
INSERT INTO paquets_release VALUES (163, 98, 11, '2.1-eole10', 10);
INSERT INTO paquets_release VALUES (164, 98, 11, '2.1-eole10', 10);
INSERT INTO paquets_release VALUES (165, 98, 11, '2.1-eole10', 10);
INSERT INTO paquets_release VALUES (166, 82, 6, '2.1-eole23', 23);
INSERT INTO paquets_release VALUES (167, 98, 11, '2.1-eole10', 10);
INSERT INTO paquets_release VALUES (168, 98, 11, '2.1-eole10', 10);
INSERT INTO paquets_release VALUES (169, 98, 11, '2.1-eole10', 10);
INSERT INTO paquets_release VALUES (170, 98, 11, '2.1-eole10', 10);
INSERT INTO paquets_release VALUES (171, 98, 11, '2.1-eole10', 10);
INSERT INTO paquets_release VALUES (172, 103, 11, '2.1-eole20', 20);
INSERT INTO paquets_release VALUES (173, 122, 11, '2.1-eole3', 3);
INSERT INTO paquets_release VALUES (174, 84, 11, '2.1-eole2', 2);
INSERT INTO paquets_release VALUES (175, 102, 11, '2.1-eole3', 3);
INSERT INTO paquets_release VALUES (176, 99, 11, '2.1-eole20', 20);
INSERT INTO paquets_release VALUES (177, 123, 11, '2.1-eole11', 11);
INSERT INTO paquets_release VALUES (178, 114, 11, '2.1-eole28', 28);
INSERT INTO paquets_release VALUES (179, 94, 11, '2.1-eole4', 4);
INSERT INTO paquets_release VALUES (180, 78, 11, '2.1-eole15', 15);
INSERT INTO paquets_release VALUES (181, 117, 11, '2.1-eole8', 8);
INSERT INTO paquets_release VALUES (182, 68, 11, '2.1-eole23', 23);
INSERT INTO paquets_release VALUES (183, 121, 11, '2.1-eole8', 8);
INSERT INTO paquets_release VALUES (184, 105, 11, '2.1-eole8', 8);
INSERT INTO paquets_release VALUES (185, 109, 11, '2.1-eole9', 9);
INSERT INTO paquets_release VALUES (186, 115, 11, '2.1-eole3', 3);
INSERT INTO paquets_release VALUES (187, 69, 11, '2.1-eole5', 5);
INSERT INTO paquets_release VALUES (188, 85, 11, '2.1-eole20', 20);
INSERT INTO paquets_release VALUES (189, 100, 11, '2.1-eole2', 2);
INSERT INTO paquets_release VALUES (190, 91, 11, '2.1-eole3', 3);
INSERT INTO paquets_release VALUES (191, 77, 11, '2.1-eole3', 3);
INSERT INTO paquets_release VALUES (192, 77, 11, '2.1-eole4', 4);
INSERT INTO paquets_release VALUES (193, 113, 11, '2.1-eole10', 10);
INSERT INTO paquets_release VALUES (194, 88, 11, '2.1-eole5', 5);
INSERT INTO paquets_release VALUES (195, 104, 11, '2.1-eole11', 11);
INSERT INTO paquets_release VALUES (196, 90, 11, '2.1-eole21', 21);
INSERT INTO paquets_release VALUES (197, 89, 11, '2.1-eole2', 2);
INSERT INTO paquets_release VALUES (198, 95, 11, '2.1-eole8', 8);
INSERT INTO paquets_release VALUES (199, 93, 11, '2.1-eole3', 3);
INSERT INTO paquets_release VALUES (200, 86, 11, '2.1-eole11', 11);
INSERT INTO paquets_release VALUES (201, 96, 11, '2.1-eole3', 3);
INSERT INTO paquets_release VALUES (202, 125, 11, '2.1-eole3', 3);
INSERT INTO paquets_release VALUES (203, 82, 11, '2.1-eole23', 23);
INSERT INTO paquets_release VALUES (204, 83, 11, '2.1-eole7', 7);
INSERT INTO paquets_release VALUES (205, 101, 11, '2.1-eole14', 14);
INSERT INTO paquets_release VALUES (206, 70, 11, '2.1-eole3', 3);
INSERT INTO paquets_release VALUES (207, 97, 11, '2.1-eole2', 2);
INSERT INTO paquets_release VALUES (208, 79, 11, '2.1-eole4', 4);
INSERT INTO paquets_release VALUES (209, 80, 11, '2.1-eole3', 3);
INSERT INTO paquets_release VALUES (210, 118, 11, '2.1-eole3', 3);
INSERT INTO paquets_release VALUES (211, 71, 11, '2.1-eole7', 7);
INSERT INTO paquets_release VALUES (212, 124, 11, '2.1-eole4', 4);
INSERT INTO paquets_release VALUES (213, 75, 11, '2.1-eole3', 3);
INSERT INTO paquets_release VALUES (214, 74, 11, '2.1-eole3', 3);
INSERT INTO paquets_release VALUES (215, 76, 11, '2.1-eole4', 4);
INSERT INTO paquets_release VALUES (216, 72, 11, '2.1-eole7', 7);
INSERT INTO paquets_release VALUES (217, 119, 11, '2.1-eole2', 2);
INSERT INTO paquets_release VALUES (218, 120, 11, '2.1-eole4', 4);
INSERT INTO paquets_release VALUES (219, 107, 11, '2.1-eole3', 3);
INSERT INTO paquets_release VALUES (220, 108, 11, '2.1-eole5', 5);
INSERT INTO paquets_release VALUES (221, 73, 11, '2.1-eole2', 2);
INSERT INTO paquets_release VALUES (222, 92, 11, '2.1-eole7', 7);
INSERT INTO paquets_release VALUES (223, 87, 11, '2.1-eole13', 13);
INSERT INTO paquets_release VALUES (224, 111, 11, '2.1-eole19', 19);
INSERT INTO paquets_release VALUES (225, 110, 11, '2.1-eole2', 2);
INSERT INTO paquets_release VALUES (226, 116, 11, '2.1-eole2', 2);
INSERT INTO paquets_release VALUES (227, 123, 11, '2.1-eole13', 13);
INSERT INTO paquets_release VALUES (228, 114, 11, '2.1-eole30', 30);
INSERT INTO paquets_release VALUES (229, 90, 11, '2.1-eole24', 24);
INSERT INTO paquets_release VALUES (230, 81, 11, '2.1-eole2', 2);
INSERT INTO paquets_release VALUES (231, 124, 11, '2.1-eole6', 6);
INSERT INTO paquets_release VALUES (232, 112, 11, '2.1-eole5', 5);


--
-- Data for Name: utilisateurs; Type: TABLE DATA; Schema: public; Owner: eole
--

INSERT INTO utilisateurs VALUES ('jsoyer', '2bb010060d682fee5ad19d973a9a4d2a');
INSERT INTO utilisateurs VALUES ('toto', '49d02d55ad10973b7b9d0dc9eba7fdf0');
INSERT INTO utilisateurs VALUES ('prout', 'cc414bfc9c00475b59c87595299ff31d');


--
-- Name: binaires_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY binaires
    ADD CONSTRAINT binaires_pkey PRIMARY KEY (source, binaire);


--
-- Name: dependances_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY dependances
    ADD CONSTRAINT dependances_pkey PRIMARY KEY (paquet, dependance);


--
-- Name: dist_eole_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY dist_eole
    ADD CONSTRAINT dist_eole_pkey PRIMARY KEY (id);


--
-- Name: dist_ubuntu_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY dist_ubuntu
    ADD CONSTRAINT dist_ubuntu_pkey PRIMARY KEY (id);


--
-- Name: modules_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY modules
    ADD CONSTRAINT modules_pkey PRIMARY KEY (id);


--
-- Name: paquets_conf_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY paquets_conf
    ADD CONSTRAINT paquets_conf_pkey PRIMARY KEY (id);


--
-- Name: paquets_modules_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY paquets_modules
    ADD CONSTRAINT paquets_modules_pkey PRIMARY KEY (id_paquet, id_module);


--
-- Name: paquets_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY paquets
    ADD CONSTRAINT paquets_pkey PRIMARY KEY (id);


--
-- Name: paquets_version_pkey; Type: CONSTRAINT; Schema: public; Owner: eole; Tablespace: 
--

ALTER TABLE ONLY paquets_release
    ADD CONSTRAINT paquets_version_pkey PRIMARY KEY (id);


--
-- Name: paquets_conf_id_paquet_fkey; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY paquets_conf
    ADD CONSTRAINT paquets_conf_id_paquet_fkey FOREIGN KEY (id_paquet) REFERENCES paquets(id);


--
-- Name: paquets_id_dist_ubuntu_fkey; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY paquets
    ADD CONSTRAINT paquets_id_dist_ubuntu_fkey FOREIGN KEY (id_dist_ubuntu) REFERENCES dist_ubuntu(id);


--
-- Name: paquets_modules_id_module_fkey; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY paquets_modules
    ADD CONSTRAINT paquets_modules_id_module_fkey FOREIGN KEY (id_module) REFERENCES modules(id);


--
-- Name: paquets_modules_id_paquet_fkey; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY paquets_modules
    ADD CONSTRAINT paquets_modules_id_paquet_fkey FOREIGN KEY (id_paquet) REFERENCES paquets(id);


--
-- Name: paquets_version_id_dist_eole_fkey; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY paquets_release
    ADD CONSTRAINT paquets_version_id_dist_eole_fkey FOREIGN KEY (id_dist_eole) REFERENCES dist_eole(id);


--
-- Name: paquets_version_id_paquet_fkey; Type: FK CONSTRAINT; Schema: public; Owner: eole
--

ALTER TABLE ONLY paquets_release
    ADD CONSTRAINT paquets_version_id_paquet_fkey FOREIGN KEY (id_paquet) REFERENCES paquets(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

